#include <soprano_includes.h>

#include <smoke.h>
#include <soprano_smoke.h>

namespace __smokesoprano {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QDebug
      switch(to) {
        case 3: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 4:   //QEvent
      switch(to) {
        case 4: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QMetaObject
      switch(to) {
        case 6: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 7:   //QObject
      switch(to) {
        case 7: return (void*)(QObject*)xptr;
        case 42: return (void*)(Soprano::Util::AsyncQuery*)(QObject*)xptr;
        case 24: return (void*)(Soprano::Inference::InferenceModel*)(QObject*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncModel*)(QObject*)xptr;
        case 36: return (void*)(Soprano::RdfSchemaModel*)(QObject*)xptr;
        case 28: return (void*)(Soprano::Model*)(QObject*)xptr;
        case 43: return (void*)(Soprano::Util::AsyncResult*)(QObject*)xptr;
        case 22: return (void*)(Soprano::FilterModel*)(QObject*)xptr;
        case 44: return (void*)(Soprano::Util::ReadOnlyModel*)(QObject*)xptr;
        case 45: return (void*)(Soprano::Util::SignalCacheModel*)(QObject*)xptr;
        case 33: return (void*)(Soprano::PluginManager*)(QObject*)xptr;
        case 40: return (void*)(Soprano::StorageModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 8:   //QRegExp
      switch(to) {
        case 8: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 9:   //QTextStream
      switch(to) {
        case 9: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 10:   //QTimerEvent
      switch(to) {
        case 10: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QUrl
      switch(to) {
        case 11: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 12:   //QVariant
      switch(to) {
        case 12: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 14:   //Soprano::Backend
      switch(to) {
        case 32: return (void*)(Soprano::Plugin*)(Soprano::Backend*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Backend*)xptr;
        case 14: return (void*)(Soprano::Backend*)xptr;
        default: return xptr;
      }
    case 15:   //Soprano::BackendSetting
      switch(to) {
        case 15: return (void*)(Soprano::BackendSetting*)xptr;
        default: return xptr;
      }
    case 16:   //Soprano::BindingSet
      switch(to) {
        case 16: return (void*)(Soprano::BindingSet*)xptr;
        default: return xptr;
      }
    case 17:   //Soprano::Error::Error
      switch(to) {
        case 17: return (void*)(Soprano::Error::Error*)xptr;
        case 21: return (void*)(Soprano::Error::ParserError*)(Soprano::Error::Error*)xptr;
        default: return xptr;
      }
    case 18:   //Soprano::Error::ErrorCache
      switch(to) {
        case 18: return (void*)(Soprano::Error::ErrorCache*)xptr;
        case 42: return (void*)(Soprano::Util::AsyncQuery*)(Soprano::Error::ErrorCache*)xptr;
        case 24: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::Error::ErrorCache*)xptr;
        case 37: return (void*)(Soprano::Serializer*)(Soprano::Error::ErrorCache*)xptr;
        case 14: return (void*)(Soprano::Backend*)(Soprano::Error::ErrorCache*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncModel*)(Soprano::Error::ErrorCache*)xptr;
        case 36: return (void*)(Soprano::RdfSchemaModel*)(Soprano::Error::ErrorCache*)xptr;
        case 28: return (void*)(Soprano::Model*)(Soprano::Error::ErrorCache*)xptr;
        case 31: return (void*)(Soprano::Parser*)(Soprano::Error::ErrorCache*)xptr;
        case 43: return (void*)(Soprano::Util::AsyncResult*)(Soprano::Error::ErrorCache*)xptr;
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::Error::ErrorCache*)xptr;
        case 44: return (void*)(Soprano::Util::ReadOnlyModel*)(Soprano::Error::ErrorCache*)xptr;
        case 45: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::Error::ErrorCache*)xptr;
        case 40: return (void*)(Soprano::StorageModel*)(Soprano::Error::ErrorCache*)xptr;
        default: return xptr;
      }
    case 19:   //Soprano::Error::ErrorData
      switch(to) {
        case 19: return (void*)(Soprano::Error::ErrorData*)xptr;
        default: return xptr;
      }
    case 20:   //Soprano::Error::Locator
      switch(to) {
        case 20: return (void*)(Soprano::Error::Locator*)xptr;
        default: return xptr;
      }
    case 21:   //Soprano::Error::ParserError
      switch(to) {
        case 17: return (void*)(Soprano::Error::Error*)(Soprano::Error::ParserError*)xptr;
        case 21: return (void*)(Soprano::Error::ParserError*)xptr;
        default: return xptr;
      }
    case 22:   //Soprano::FilterModel
      switch(to) {
        case 28: return (void*)(Soprano::Model*)(Soprano::FilterModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::FilterModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::FilterModel*)xptr;
        case 22: return (void*)(Soprano::FilterModel*)xptr;
        case 24: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::FilterModel*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncModel*)(Soprano::FilterModel*)xptr;
        case 36: return (void*)(Soprano::RdfSchemaModel*)(Soprano::FilterModel*)xptr;
        case 45: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::FilterModel*)xptr;
        default: return xptr;
      }
    case 23:   //Soprano::Graph
      switch(to) {
        case 23: return (void*)(Soprano::Graph*)xptr;
        default: return xptr;
      }
    case 24:   //Soprano::Inference::InferenceModel
      switch(to) {
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::Inference::InferenceModel*)xptr;
        case 28: return (void*)(Soprano::Model*)(Soprano::Inference::InferenceModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Inference::InferenceModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Inference::InferenceModel*)xptr;
        case 24: return (void*)(Soprano::Inference::InferenceModel*)xptr;
        default: return xptr;
      }
    case 25:   //Soprano::Inference::Rule
      switch(to) {
        case 25: return (void*)(Soprano::Inference::Rule*)xptr;
        default: return xptr;
      }
    case 26:   //Soprano::LanguageTag
      switch(to) {
        case 26: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 27:   //Soprano::LiteralValue
      switch(to) {
        case 27: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 28:   //Soprano::Model
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Model*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Model*)xptr;
        case 28: return (void*)(Soprano::Model*)xptr;
        case 24: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::Model*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncModel*)(Soprano::Model*)xptr;
        case 36: return (void*)(Soprano::RdfSchemaModel*)(Soprano::Model*)xptr;
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::Model*)xptr;
        case 44: return (void*)(Soprano::Util::ReadOnlyModel*)(Soprano::Model*)xptr;
        case 45: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::Model*)xptr;
        case 40: return (void*)(Soprano::StorageModel*)(Soprano::Model*)xptr;
        default: return xptr;
      }
    case 29:   //Soprano::Node
      switch(to) {
        case 29: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 30:   //Soprano::NodeIterator
      switch(to) {
        case 30: return (void*)(Soprano::NodeIterator*)xptr;
        case 46: return (void*)(Soprano::Util::SimpleNodeIterator*)(Soprano::NodeIterator*)xptr;
        default: return xptr;
      }
    case 31:   //Soprano::Parser
      switch(to) {
        case 32: return (void*)(Soprano::Plugin*)(Soprano::Parser*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Parser*)xptr;
        case 31: return (void*)(Soprano::Parser*)xptr;
        default: return xptr;
      }
    case 32:   //Soprano::Plugin
      switch(to) {
        case 32: return (void*)(Soprano::Plugin*)xptr;
        case 37: return (void*)(Soprano::Serializer*)(Soprano::Plugin*)xptr;
        case 14: return (void*)(Soprano::Backend*)(Soprano::Plugin*)xptr;
        case 31: return (void*)(Soprano::Parser*)(Soprano::Plugin*)xptr;
        default: return xptr;
      }
    case 33:   //Soprano::PluginManager
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::PluginManager*)xptr;
        case 33: return (void*)(Soprano::PluginManager*)xptr;
        default: return xptr;
      }
    case 34:   //Soprano::QueryResultIterator
      switch(to) {
        case 34: return (void*)(Soprano::QueryResultIterator*)xptr;
        default: return xptr;
      }
    case 35:   //Soprano::QueryResultIteratorBackend
      switch(to) {
        case 35: return (void*)(Soprano::QueryResultIteratorBackend*)xptr;
        default: return xptr;
      }
    case 36:   //Soprano::RdfSchemaModel
      switch(to) {
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::RdfSchemaModel*)xptr;
        case 28: return (void*)(Soprano::Model*)(Soprano::RdfSchemaModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::RdfSchemaModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::RdfSchemaModel*)xptr;
        case 36: return (void*)(Soprano::RdfSchemaModel*)xptr;
        default: return xptr;
      }
    case 37:   //Soprano::Serializer
      switch(to) {
        case 32: return (void*)(Soprano::Plugin*)(Soprano::Serializer*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Serializer*)xptr;
        case 37: return (void*)(Soprano::Serializer*)xptr;
        default: return xptr;
      }
    case 38:   //Soprano::Statement
      switch(to) {
        case 38: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    case 39:   //Soprano::StatementIterator
      switch(to) {
        case 39: return (void*)(Soprano::StatementIterator*)xptr;
        case 47: return (void*)(Soprano::Util::SimpleStatementIterator*)(Soprano::StatementIterator*)xptr;
        default: return xptr;
      }
    case 40:   //Soprano::StorageModel
      switch(to) {
        case 28: return (void*)(Soprano::Model*)(Soprano::StorageModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::StorageModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::StorageModel*)xptr;
        case 40: return (void*)(Soprano::StorageModel*)xptr;
        default: return xptr;
      }
    case 41:   //Soprano::Util::AsyncModel
      switch(to) {
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::Util::AsyncModel*)xptr;
        case 28: return (void*)(Soprano::Model*)(Soprano::Util::AsyncModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Util::AsyncModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncModel*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncModel*)xptr;
        default: return xptr;
      }
    case 42:   //Soprano::Util::AsyncQuery
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Util::AsyncQuery*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncQuery*)xptr;
        case 42: return (void*)(Soprano::Util::AsyncQuery*)xptr;
        default: return xptr;
      }
    case 43:   //Soprano::Util::AsyncResult
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Util::AsyncResult*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncResult*)xptr;
        case 43: return (void*)(Soprano::Util::AsyncResult*)xptr;
        default: return xptr;
      }
    case 44:   //Soprano::Util::ReadOnlyModel
      switch(to) {
        case 28: return (void*)(Soprano::Model*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 44: return (void*)(Soprano::Util::ReadOnlyModel*)xptr;
        default: return xptr;
      }
    case 45:   //Soprano::Util::SignalCacheModel
      switch(to) {
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::Util::SignalCacheModel*)xptr;
        case 28: return (void*)(Soprano::Model*)(Soprano::Util::SignalCacheModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Util::SignalCacheModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::SignalCacheModel*)xptr;
        case 45: return (void*)(Soprano::Util::SignalCacheModel*)xptr;
        default: return xptr;
      }
    case 46:   //Soprano::Util::SimpleNodeIterator
      switch(to) {
        case 30: return (void*)(Soprano::NodeIterator*)(Soprano::Util::SimpleNodeIterator*)xptr;
        case 46: return (void*)(Soprano::Util::SimpleNodeIterator*)xptr;
        default: return xptr;
      }
    case 47:   //Soprano::Util::SimpleStatementIterator
      switch(to) {
        case 39: return (void*)(Soprano::StatementIterator*)(Soprano::Util::SimpleStatementIterator*)xptr;
        case 47: return (void*)(Soprano::Util::SimpleStatementIterator*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    32, 18, 0,	// 1: Soprano::Plugin, Soprano::Error::ErrorCache
    17, 0,	// 4: Soprano::Error::Error
    28, 0,	// 6: Soprano::Model
    22, 0,	// 8: Soprano::FilterModel
    7, 18, 0,	// 10: QObject, Soprano::Error::ErrorCache
    0, 0,	// 13: Soprano::Iterator
    7, 0,	// 15: QObject
    30, 0,	// 17: Soprano::NodeIterator
    39, 0,	// 19: Soprano::StatementIterator
};

// These are the xenum functions for manipulating enum pointers
void xenum_Soprano__Node(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Util__AsyncModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Backend(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__BackendSetting(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__Error(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__ErrorCache(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__ParserError(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__FilterModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference__InferenceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Model(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Node(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__NodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Parser(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__PluginManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__QueryResultIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__RdfSchemaModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Serializer(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Statement(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__StatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__StorageModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncResult(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__ReadOnlyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SignalCacheModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SimpleNodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SimpleStatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__NAO(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__NRL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__OWL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__RDF(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__RDFS(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__SIL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__XMLSchema(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__Xesam(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QDebug", true, 0, 0, 0, 0, 0 },	//3
    { "QEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//5
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//6
    { "QObject", true, 0, 0, 0, 0, 0 },	//7
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//8
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//9
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QUrl", true, 0, 0, 0, 0, 0 },	//11
    { "QVariant", true, 0, 0, 0, 0, 0 },	//12
    { "Soprano", false, 0, xcall_Soprano, xenum_Soprano, Smoke::cf_namespace, 0 },	//13
    { "Soprano::Backend", false, 1, xcall_Soprano__Backend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Backend) },	//14
    { "Soprano::BackendSetting", false, 0, xcall_Soprano__BackendSetting, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Soprano::BackendSetting) },	//15
    { "Soprano::BindingSet", true, 0, 0, 0, 0, 0 },	//16
    { "Soprano::Error::Error", false, 0, xcall_Soprano__Error__Error, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::Error) },	//17
    { "Soprano::Error::ErrorCache", false, 0, xcall_Soprano__Error__ErrorCache, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::ErrorCache) },	//18
    { "Soprano::Error::ErrorData", true, 0, 0, 0, 0, 0 },	//19
    { "Soprano::Error::Locator", true, 0, 0, 0, 0, 0 },	//20
    { "Soprano::Error::ParserError", false, 4, xcall_Soprano__Error__ParserError, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::ParserError) },	//21
    { "Soprano::FilterModel", false, 6, xcall_Soprano__FilterModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::FilterModel) },	//22
    { "Soprano::Graph", true, 0, 0, 0, 0, 0 },	//23
    { "Soprano::Inference::InferenceModel", false, 8, xcall_Soprano__Inference__InferenceModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Inference::InferenceModel) },	//24
    { "Soprano::Inference::Rule", true, 0, 0, 0, 0, 0 },	//25
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//26
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//27
    { "Soprano::Model", false, 10, xcall_Soprano__Model, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Model) },	//28
    { "Soprano::Node", false, 0, xcall_Soprano__Node, xenum_Soprano__Node, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Soprano::Node) },	//29
    { "Soprano::NodeIterator", false, 13, xcall_Soprano__NodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::NodeIterator) },	//30
    { "Soprano::Parser", false, 1, xcall_Soprano__Parser, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Parser) },	//31
    { "Soprano::Plugin", false, 0, xcall_Soprano__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Plugin) },	//32
    { "Soprano::PluginManager", false, 15, xcall_Soprano__PluginManager, 0, Smoke::cf_virtual, sizeof(Soprano::PluginManager) },	//33
    { "Soprano::QueryResultIterator", false, 13, xcall_Soprano__QueryResultIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::QueryResultIterator) },	//34
    { "Soprano::QueryResultIteratorBackend", true, 0, 0, 0, 0, 0 },	//35
    { "Soprano::RdfSchemaModel", false, 8, xcall_Soprano__RdfSchemaModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::RdfSchemaModel) },	//36
    { "Soprano::Serializer", false, 1, xcall_Soprano__Serializer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Serializer) },	//37
    { "Soprano::Statement", false, 0, xcall_Soprano__Statement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Statement) },	//38
    { "Soprano::StatementIterator", false, 13, xcall_Soprano__StatementIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::StatementIterator) },	//39
    { "Soprano::StorageModel", false, 6, xcall_Soprano__StorageModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::StorageModel) },	//40
    { "Soprano::Util::AsyncModel", false, 8, xcall_Soprano__Util__AsyncModel, xenum_Soprano__Util__AsyncModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::AsyncModel) },	//41
    { "Soprano::Util::AsyncQuery", false, 10, xcall_Soprano__Util__AsyncQuery, 0, Smoke::cf_virtual, sizeof(Soprano::Util::AsyncQuery) },	//42
    { "Soprano::Util::AsyncResult", false, 10, xcall_Soprano__Util__AsyncResult, 0, Smoke::cf_virtual, sizeof(Soprano::Util::AsyncResult) },	//43
    { "Soprano::Util::ReadOnlyModel", false, 6, xcall_Soprano__Util__ReadOnlyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::ReadOnlyModel) },	//44
    { "Soprano::Util::SignalCacheModel", false, 8, xcall_Soprano__Util__SignalCacheModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::SignalCacheModel) },	//45
    { "Soprano::Util::SimpleNodeIterator", false, 17, xcall_Soprano__Util__SimpleNodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Util::SimpleNodeIterator) },	//46
    { "Soprano::Util::SimpleStatementIterator", false, 19, xcall_Soprano__Util__SimpleStatementIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Util::SimpleStatementIterator) },	//47
    { "Soprano::Vocabulary::NAO", false, 0, xcall_Soprano__Vocabulary__NAO, 0, Smoke::cf_namespace, 0 },	//48
    { "Soprano::Vocabulary::NRL", false, 0, xcall_Soprano__Vocabulary__NRL, 0, Smoke::cf_namespace, 0 },	//49
    { "Soprano::Vocabulary::OWL", false, 0, xcall_Soprano__Vocabulary__OWL, 0, Smoke::cf_namespace, 0 },	//50
    { "Soprano::Vocabulary::RDF", false, 0, xcall_Soprano__Vocabulary__RDF, 0, Smoke::cf_namespace, 0 },	//51
    { "Soprano::Vocabulary::RDFS", false, 0, xcall_Soprano__Vocabulary__RDFS, 0, Smoke::cf_namespace, 0 },	//52
    { "Soprano::Vocabulary::SIL", false, 0, xcall_Soprano__Vocabulary__SIL, 0, Smoke::cf_namespace, 0 },	//53
    { "Soprano::Vocabulary::XMLSchema", false, 0, xcall_Soprano__Vocabulary__XMLSchema, 0, Smoke::cf_namespace, 0 },	//54
    { "Soprano::Vocabulary::Xesam", false, 0, xcall_Soprano__Vocabulary__Xesam, 0, Smoke::cf_namespace, 0 },	//55
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QDebug", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QFlags<Soprano::BackendFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//5
    { "QFlags<Soprano::Node::N3ParserFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//6
    { "QFlags<Soprano::RdfSerialization>", 0, Smoke::t_uint|Smoke::tf_stack },	//7
    { "QHash<QString,QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//9
    { "QList<Soprano::BindingSet>", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "QList<Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//11
    { "QList<Soprano::Statement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//12
    { "QList<const Soprano::Backend*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//13
    { "QList<const Soprano::Parser*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "QList<const Soprano::Serializer*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "QMetaObject::Call", 6, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QObject*", 7, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QRegExp&", 8, Smoke::t_class|Smoke::tf_ref },	//18
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//19
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//21
    { "QTextStream&", 9, Smoke::t_class|Smoke::tf_ref },	//22
    { "QTimerEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QUrl", 11, Smoke::t_class|Smoke::tf_stack },	//24
    { "QVariant", 12, Smoke::t_class|Smoke::tf_stack },	//25
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Soprano::Backend*", 14, Smoke::t_class|Smoke::tf_ptr },	//98
    { "Soprano::BackendFeature", 13, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Soprano::BackendOption", 13, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Soprano::BackendSetting", 15, Smoke::t_class|Smoke::tf_stack },	//101
    { "Soprano::BackendSetting&", 15, Smoke::t_class|Smoke::tf_ref },	//102
    { "Soprano::BackendSetting*", 15, Smoke::t_class|Smoke::tf_ptr },	//103
    { "Soprano::BindingSet", 16, Smoke::t_class|Smoke::tf_stack },	//104
    { "Soprano::Error::Error", 17, Smoke::t_class|Smoke::tf_stack },	//105
    { "Soprano::Error::Error&", 17, Smoke::t_class|Smoke::tf_ref },	//106
    { "Soprano::Error::Error*", 17, Smoke::t_class|Smoke::tf_ptr },	//107
    { "Soprano::Error::ErrorCache*", 18, Smoke::t_class|Smoke::tf_ptr },	//108
    { "Soprano::Error::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Soprano::Error::ErrorData*", 19, Smoke::t_class|Smoke::tf_ptr },	//110
    { "Soprano::Error::Locator", 20, Smoke::t_class|Smoke::tf_stack },	//111
    { "Soprano::Error::ParserError", 21, Smoke::t_class|Smoke::tf_stack },	//112
    { "Soprano::Error::ParserError&", 21, Smoke::t_class|Smoke::tf_ref },	//113
    { "Soprano::Error::ParserError*", 21, Smoke::t_class|Smoke::tf_ptr },	//114
    { "Soprano::FilterModel*", 22, Smoke::t_class|Smoke::tf_ptr },	//115
    { "Soprano::Inference::InferenceModel*", 24, Smoke::t_class|Smoke::tf_ptr },	//116
    { "Soprano::Inference::Rule", 25, Smoke::t_class|Smoke::tf_stack },	//117
    { "Soprano::Inference::StandardRuleSet", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Soprano::IteratorBackend<Soprano::Node>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//119
    { "Soprano::IteratorBackend<Soprano::Statement>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//120
    { "Soprano::LiteralValue", 27, Smoke::t_class|Smoke::tf_stack },	//121
    { "Soprano::Model*", 28, Smoke::t_class|Smoke::tf_ptr },	//122
    { "Soprano::Node", 29, Smoke::t_class|Smoke::tf_stack },	//123
    { "Soprano::Node&", 29, Smoke::t_class|Smoke::tf_ref },	//124
    { "Soprano::Node*", 29, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Soprano::Node::N3ParserFlag", 29, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Soprano::Node::Type", 29, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Soprano::NodeIterator", 30, Smoke::t_class|Smoke::tf_stack },	//128
    { "Soprano::NodeIterator&", 30, Smoke::t_class|Smoke::tf_ref },	//129
    { "Soprano::NodeIterator*", 30, Smoke::t_class|Smoke::tf_ptr },	//130
    { "Soprano::Parser*", 31, Smoke::t_class|Smoke::tf_ptr },	//131
    { "Soprano::Plugin*", 32, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Soprano::PluginManager*", 33, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Soprano::Query::QueryLanguage", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Soprano::QueryResultIterator", 34, Smoke::t_class|Smoke::tf_stack },	//135
    { "Soprano::QueryResultIterator&", 34, Smoke::t_class|Smoke::tf_ref },	//136
    { "Soprano::QueryResultIterator*", 34, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Soprano::QueryResultIteratorBackend*", 35, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Soprano::RdfSchemaModel*", 36, Smoke::t_class|Smoke::tf_ptr },	//139
    { "Soprano::RdfSerialization", 13, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Soprano::Serializer*", 37, Smoke::t_class|Smoke::tf_ptr },	//141
    { "Soprano::Statement", 38, Smoke::t_class|Smoke::tf_stack },	//142
    { "Soprano::Statement&", 38, Smoke::t_class|Smoke::tf_ref },	//143
    { "Soprano::Statement*", 38, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Soprano::StatementIterator", 39, Smoke::t_class|Smoke::tf_stack },	//145
    { "Soprano::StatementIterator&", 39, Smoke::t_class|Smoke::tf_ref },	//146
    { "Soprano::StatementIterator*", 39, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Soprano::StorageModel*", 40, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Soprano::Util::AsyncModel*", 41, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Soprano::Util::AsyncModel::AsyncModelMode", 41, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Soprano::Util::AsyncQuery*", 42, Smoke::t_class|Smoke::tf_ptr },	//151
    { "Soprano::Util::AsyncResult*", 43, Smoke::t_class|Smoke::tf_ptr },	//152
    { "Soprano::Util::ReadOnlyModel*", 44, Smoke::t_class|Smoke::tf_ptr },	//153
    { "Soprano::Util::SignalCacheModel*", 45, Smoke::t_class|Smoke::tf_ptr },	//154
    { "Soprano::Util::SimpleNodeIterator&", 46, Smoke::t_class|Smoke::tf_ref },	//155
    { "Soprano::Util::SimpleNodeIterator*", 46, Smoke::t_class|Smoke::tf_ptr },	//156
    { "Soprano::Util::SimpleStatementIterator&", 47, Smoke::t_class|Smoke::tf_ref },	//157
    { "Soprano::Util::SimpleStatementIterator*", 47, Smoke::t_class|Smoke::tf_ptr },	//158
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//159
    { "const QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//160
    { "const QList<Soprano::Inference::Rule>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//161
    { "const QList<Soprano::Node>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//162
    { "const QList<Soprano::Statement>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//163
    { "const QMetaObject&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//164
    { "const QMetaObject*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//165
    { "const QRegExp&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//166
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//167
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//168
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//169
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//170
    { "const QUrl&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//171
    { "const QVariant&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//172
    { "const Soprano::Backend&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//173
    { "const Soprano::Backend*", 14, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//174
    { "const Soprano::BackendSetting&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//175
    { "const Soprano::Error::Error&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//176
    { "const Soprano::Error::ErrorCache&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//177
    { "const Soprano::Error::Locator&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//178
    { "const Soprano::Error::ParserError&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//179
    { "const Soprano::Graph&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const Soprano::Inference::Rule&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const Soprano::LanguageTag&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const Soprano::LiteralValue&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const Soprano::Node&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const Soprano::NodeIterator&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const Soprano::Parser&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const Soprano::Parser*", 31, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//187
    { "const Soprano::Plugin&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const Soprano::QueryResultIterator&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const Soprano::Serializer&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const Soprano::Serializer*", 37, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//191
    { "const Soprano::Statement&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const Soprano::StatementIterator&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const Soprano::Util::SimpleNodeIterator&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const Soprano::Util::SimpleStatementIterator&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//196
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//197
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//198
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//199
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//200
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//201
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    4, 0,	//1  QEvent*
    17, 4, 0,	//3  QObject*, QEvent*
    23, 0,	//6  QTimerEvent*
    2, 0,	//8  QChildEvent*
    196, 0,	//10  const char*
    160, 0,	//12  const QList<Soprano::BackendSetting>&
    174, 0,	//14  const Soprano::Backend*
    160, 100, 168, 0,	//16  const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&
    160, 100, 0,	//20  const QList<Soprano::BackendSetting>&, Soprano::BackendOption
    9, 100, 168, 0,	//23  QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&
    9, 100, 0,	//27  QList<Soprano::BackendSetting>&, Soprano::BackendOption
    3, 180, 0,	//30  QDebug, const Soprano::Graph&
    184, 0,	//33  const Soprano::Node&
    168, 0,	//35  const QString&
    183, 0,	//37  const Soprano::LiteralValue&
    192, 0,	//39  const Soprano::Statement&
    160, 168, 172, 0,	//41  const QList<Soprano::BackendSetting>&, const QString&, const QVariant&
    160, 168, 0,	//45  const QList<Soprano::BackendSetting>&, const QString&
    182, 0,	//48  const Soprano::LanguageTag&
    160, 100, 172, 0,	//50  const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QVariant&
    5, 169, 0,	//54  QFlags<Soprano::BackendFeature>, const QStringList&
    5, 0,	//57  QFlags<Soprano::BackendFeature>
    140, 168, 0,	//59  Soprano::RdfSerialization, const QString&
    140, 0,	//62  Soprano::RdfSerialization
    9, 168, 0,	//64  QList<Soprano::BackendSetting>&, const QString&
    173, 0,	//67  const Soprano::Backend&
    100, 0,	//69  Soprano::BackendOption
    100, 172, 0,	//71  Soprano::BackendOption, const QVariant&
    168, 172, 0,	//74  const QString&, const QVariant&
    175, 0,	//77  const Soprano::BackendSetting&
    172, 0,	//79  const QVariant&
    168, 197, 0,	//81  const QString&, int
    176, 0,	//84  const Soprano::Error::Error&
    110, 0,	//86  Soprano::Error::ErrorData*
    177, 0,	//88  const Soprano::Error::ErrorCache&
    178, 168, 197, 0,	//90  const Soprano::Error::Locator&, const QString&, int
    179, 0,	//94  const Soprano::Error::ParserError&
    178, 0,	//96  const Soprano::Error::Locator&
    178, 168, 0,	//98  const Soprano::Error::Locator&, const QString&
    196, 196, 0,	//101  const char*, const char*
    196, 196, 197, 0,	//104  const char*, const char*, int
    16, 197, 201, 0,	//108  QMetaObject::Call, int, void**
    122, 0,	//112  Soprano::Model*
    184, 184, 184, 184, 0,	//114  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    168, 134, 168, 0,	//119  const QString&, Soprano::Query::QueryLanguage, const QString&
    22, 0,	//123  QTextStream&
    184, 184, 184, 0,	//125  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    168, 134, 0,	//129  const QString&, Soprano::Query::QueryLanguage
    181, 0,	//132  const Soprano::Inference::Rule&
    161, 0,	//134  const QList<Soprano::Inference::Rule>&
    159, 0,	//136  bool
    163, 0,	//138  const QList<Soprano::Statement>&
    171, 0,	//140  const QUrl&
    183, 168, 0,	//142  const Soprano::LiteralValue&, const QString&
    168, 6, 0,	//145  const QString&, QFlags<Soprano::Node::N3ParserFlag>
    22, 6, 0,	//148  QTextStream&, QFlags<Soprano::Node::N3ParserFlag>
    119, 0,	//151  Soprano::IteratorBackend<Soprano::Node>*
    185, 0,	//153  const Soprano::NodeIterator&
    168, 171, 140, 168, 0,	//155  const QString&, const QUrl&, Soprano::RdfSerialization, const QString&
    22, 171, 140, 168, 0,	//160  QTextStream&, const QUrl&, Soprano::RdfSerialization, const QString&
    186, 0,	//165  const Soprano::Parser&
    168, 171, 140, 0,	//167  const QString&, const QUrl&, Soprano::RdfSerialization
    22, 171, 140, 0,	//171  QTextStream&, const QUrl&, Soprano::RdfSerialization
    188, 0,	//175  const Soprano::Plugin&
    169, 159, 0,	//177  const QStringList&, bool
    169, 0,	//180  const QStringList&
    189, 0,	//182  const Soprano::QueryResultIterator&
    138, 0,	//184  Soprano::QueryResultIteratorBackend*
    197, 0,	//186  int
    167, 0,	//188  const QString
    168, 168, 168, 168, 192, 0,	//190  const QString&, const QString&, const QString&, const QString&, const Soprano::Statement&
    168, 168, 168, 0,	//196  const QString&, const QString&, const QString&
    168, 168, 168, 168, 0,	//200  const QString&, const QString&, const QString&, const QString&
    184, 184, 0,	//205  const Soprano::Node&, const Soprano::Node&
    145, 22, 140, 168, 0,	//208  Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization, const QString&
    168, 171, 0,	//213  const QString&, const QUrl&
    190, 0,	//216  const Soprano::Serializer&
    145, 22, 140, 0,	//218  Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization
    120, 0,	//222  Soprano::IteratorBackend<Soprano::Statement>*
    193, 0,	//224  const Soprano::StatementIterator&
    150, 0,	//226  Soprano::Util::AsyncModel::AsyncModelMode
    151, 0,	//228  Soprano::Util::AsyncQuery*
    122, 168, 134, 168, 0,	//230  Soprano::Model*, const QString&, Soprano::Query::QueryLanguage, const QString&
    122, 168, 134, 0,	//235  Soprano::Model*, const QString&, Soprano::Query::QueryLanguage
    152, 0,	//239  Soprano::Util::AsyncResult*
    172, 176, 0,	//241  const QVariant&, const Soprano::Error::Error&
    162, 0,	//244  const QList<Soprano::Node>&
    194, 0,	//246  const Soprano::Util::SimpleNodeIterator&
    195, 0,	//248  const Soprano::Util::SimpleStatementIterator&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Agent",	//1
    "AllDifferent",	//2
    "Alt",	//3
    "Annotation",	//4
    "AnnotationProperty",	//5
    "Archive",	//6
    "ArchivedFile",	//7
    "AsymmetricProperty",	//8
    "AsyncModel",	//9
    "AsyncModel#",	//10
    "Audio",	//11
    "AudioList",	//12
    "Backend",	//13
    "Backend#",	//14
    "Backend$",	//15
    "BackendFeatureAddStatement",	//16
    "BackendFeatureAll",	//17
    "BackendFeatureContext",	//18
    "BackendFeatureInference",	//19
    "BackendFeatureInferenceOptional",	//20
    "BackendFeatureListStatements",	//21
    "BackendFeatureNone",	//22
    "BackendFeatureQuery",	//23
    "BackendFeatureRemoveStatements",	//24
    "BackendFeatureStorageMemory",	//25
    "BackendFeatureUser",	//26
    "BackendOptionEnableInference",	//27
    "BackendOptionHost",	//28
    "BackendOptionNone",	//29
    "BackendOptionPassword",	//30
    "BackendOptionPort",	//31
    "BackendOptionStorageDir",	//32
    "BackendOptionStorageMemory",	//33
    "BackendOptionUser",	//34
    "BackendOptionUsername",	//35
    "BackendSetting",	//36
    "BackendSetting#",	//37
    "BackendSetting$",	//38
    "BackendSetting$#",	//39
    "Bag",	//40
    "BlankNode",	//41
    "BlockDevice",	//42
    "Bookmark",	//43
    "Class",	//44
    "CommunicationChannel",	//45
    "Configuration",	//46
    "Contact",	//47
    "ContactGroup",	//48
    "Container",	//49
    "ContainerMembershipProperty",	//50
    "Content",	//51
    "Data",	//52
    "DataObject",	//53
    "DataRange",	//54
    "Datatype",	//55
    "DatatypeProperty",	//56
    "DefaultGraph",	//57
    "DefiningProperty",	//58
    "DeletedFile",	//59
    "DeprecatedClass",	//60
    "DeprecatedProperty",	//61
    "DiscardableInstanceBase",	//62
    "Document",	//63
    "DocumentGraph",	//64
    "Documentation",	//65
    "Email",	//66
    "EmailAttachment",	//67
    "EmbeddedObject",	//68
    "EmptyNode",	//69
    "Error",	//70
    "Error#",	//71
    "Error$",	//72
    "Error$$",	//73
    "ErrorCache",	//74
    "ErrorCache#",	//75
    "ExternalViewSpecification",	//76
    "File",	//77
    "FileSystem",	//78
    "Filelike",	//79
    "FilterModel",	//80
    "FilterModel#",	//81
    "Folder",	//82
    "FreeDesktopIcon",	//83
    "FunctionalProperty",	//84
    "Graph",	//85
    "GraphMetadata",	//86
    "GraphView",	//87
    "IMAP4Message",	//88
    "IMMessage",	//89
    "IgnorePrefixes",	//90
    "Image",	//91
    "InferenceGraph",	//92
    "InferenceMetaData",	//93
    "InferenceModel",	//94
    "InferenceModel#",	//95
    "InstanceBase",	//96
    "InverseFunctionalProperty",	//97
    "KnowledgeBase",	//98
    "List",	//99
    "Literal",	//100
    "LiteralNode",	//101
    "MailingList",	//102
    "MailingListEmail",	//103
    "Media",	//104
    "MediaList",	//105
    "Message",	//106
    "MessageboxMessage",	//107
    "Model",	//108
    "MultiThreaded",	//109
    "Music",	//110
    "NewsGroup",	//111
    "NewsGroupEmail",	//112
    "NoFlags",	//113
    "Node",	//114
    "Node#",	//115
    "Node#$",	//116
    "Node$",	//117
    "NodeIterator",	//118
    "NodeIterator#",	//119
    "NodeIterator?",	//120
    "NonDefiningProperty",	//121
    "Nothing",	//122
    "ObjectProperty",	//123
    "OfflineMedia",	//124
    "Ontology",	//125
    "OntologyProperty",	//126
    "Organization",	//127
    "POP3Message",	//128
    "Parser",	//129
    "Parser#",	//130
    "Parser$",	//131
    "ParserError",	//132
    "ParserError#",	//133
    "ParserError#$",	//134
    "ParserError#$$",	//135
    "Party",	//136
    "Person",	//137
    "PersonalEmail",	//138
    "Photo",	//139
    "Plugin",	//140
    "Plugin#",	//141
    "Plugin$",	//142
    "Presentation",	//143
    "Project",	//144
    "Property",	//145
    "Q_COMPLEX_TYPE",	//146
    "Q_DUMMY_TYPE",	//147
    "Q_MOVABLE_TYPE",	//148
    "Q_PRIMITIVE_TYPE",	//149
    "Q_STATIC_TYPE",	//150
    "QueryResultIterator",	//151
    "QueryResultIterator#",	//152
    "RSSFeed",	//153
    "RSSMessage",	//154
    "RdfSchemaModel",	//155
    "RdfSchemaModel#",	//156
    "ReadOnlyModel",	//157
    "ReadOnlyModel#",	//158
    "ReflexiveProperty",	//159
    "RemoteFile",	//160
    "RemoteMessageboxMessage",	//161
    "RemoteResource",	//162
    "Resource",	//163
    "ResourceNode",	//164
    "Restriction",	//165
    "RevisionControlledFile",	//166
    "RevisionControlledRepository",	//167
    "RuleViewSpecification",	//168
    "Schema",	//169
    "Semantics",	//170
    "Seq",	//171
    "SerializationN3",	//172
    "SerializationNQuads",	//173
    "SerializationNTriples",	//174
    "SerializationRdfXml",	//175
    "SerializationTrig",	//176
    "SerializationTurtle",	//177
    "SerializationUnknown",	//178
    "SerializationUser",	//179
    "Serializer",	//180
    "Serializer#",	//181
    "Serializer$",	//182
    "SignalCacheModel",	//183
    "SignalCacheModel#",	//184
    "SimpleNodeIterator",	//185
    "SimpleNodeIterator#",	//186
    "SimpleNodeIterator?",	//187
    "SimpleStatementIterator",	//188
    "SimpleStatementIterator#",	//189
    "SimpleStatementIterator?",	//190
    "SingleThreaded",	//191
    "SoftwarePackage",	//192
    "Source",	//193
    "SourceCode",	//194
    "Spreadsheet",	//195
    "Statement",	//196
    "Statement#",	//197
    "Statement###",	//198
    "Statement####",	//199
    "StatementIterator",	//200
    "StatementIterator#",	//201
    "StatementIterator?",	//202
    "StorageModel",	//203
    "StorageModel#",	//204
    "StrictLiteralTypes",	//205
    "StrictUris",	//206
    "Symbol",	//207
    "SymmetricProperty",	//208
    "SystemResource",	//209
    "Tag",	//210
    "Text",	//211
    "TextDocument",	//212
    "Thing",	//213
    "TransitiveProperty",	//214
    "UncategorizedText",	//215
    "Video",	//216
    "ViewSpecification",	//217
    "Visual",	//218
    "XML",	//219
    "XMLLiteral",	//220
    "acl",	//221
    "addPrefix",	//222
    "addPrefix$#",	//223
    "addRule",	//224
    "addRule#",	//225
    "addStatement",	//226
    "addStatement#",	//227
    "addStatement###",	//228
    "addStatement####",	//229
    "addStatementAsync",	//230
    "addStatementAsync#",	//231
    "addStatementAsync###",	//232
    "addStatementAsync####",	//233
    "addStatements",	//234
    "addStatements?",	//235
    "addStatementsAsync",	//236
    "addStatementsAsync?",	//237
    "album",	//238
    "albumArtist",	//239
    "albumGain",	//240
    "albumPeakGain",	//241
    "albumTrackCount",	//242
    "allBackends",	//243
    "allBindings",	//244
    "allNodes",	//245
    "allParsers",	//246
    "allSerializers",	//247
    "allStatements",	//248
    "allValuesFrom",	//249
    "altLabel",	//250
    "altSymbol",	//251
    "annotation",	//252
    "aperture",	//253
    "artist",	//254
    "asText",	//255
    "aspectRatio",	//256
    "attachmentEncoding",	//257
    "audioBPM",	//258
    "audioBitrate",	//259
    "audioChannels",	//260
    "audioCodec",	//261
    "audioCodecType",	//262
    "audioSampleBitDepth",	//263
    "audioSampleCount",	//264
    "audioSampleDataType",	//265
    "audioSampleRate",	//266
    "author",	//267
    "autoRating",	//268
    "backend",	//269
    "backwardCompatibleWith",	//270
    "base64Binary",	//271
    "baseRevisionID",	//272
    "bcc",	//273
    "binding",	//274
    "binding$",	//275
    "bindingCount",	//276
    "bindingNames",	//277
    "birthDate",	//278
    "blankToN3",	//279
    "blankToN3$",	//280
    "blogContactURL",	//281
    "boolValue",	//282
    "boolean",	//283
    "cacheTime",	//284
    "cameraManufacturer",	//285
    "cameraModel",	//286
    "cardinality",	//287
    "cc",	//288
    "ccdWidth",	//289
    "cellPhoneNumber",	//290
    "changeCommitTime",	//291
    "changeCommitter",	//292
    "characterCount",	//293
    "charset",	//294
    "chatRoom",	//295
    "childEvent",	//296
    "classes",	//297
    "clearError",	//298
    "clearInference",	//299
    "clearPrefixes",	//300
    "close",	//301
    "code",	//302
    "colorCount",	//303
    "colorSpace",	//304
    "columnCount",	//305
    "comment",	//306
    "commentCharacterCount",	//307
    "commitDiff",	//308
    "communicationChannel",	//309
    "complementOf",	//310
    "composer",	//311
    "compressionAlgorithm",	//312
    "compressionLevel",	//313
    "conflicts",	//314
    "connectNotify",	//315
    "contactMedium",	//316
    "contactNick",	//317
    "contactURL",	//318
    "contains",	//319
    "containsAnyStatement",	//320
    "containsAnyStatement#",	//321
    "containsAnyStatement###",	//322
    "containsAnyStatement####",	//323
    "containsAnyStatementAsync",	//324
    "containsAnyStatementAsync#",	//325
    "containsAnyStatementAsync###",	//326
    "containsAnyStatementAsync####",	//327
    "containsContext",	//328
    "containsContext#",	//329
    "containsStatement",	//330
    "containsStatement#",	//331
    "containsStatement###",	//332
    "containsStatement####",	//333
    "containsStatementAsync",	//334
    "containsStatementAsync#",	//335
    "containsStatementAsync###",	//336
    "containsStatementAsync####",	//337
    "contentComment",	//338
    "contentCreated",	//339
    "contentKeyword",	//340
    "contentModified",	//341
    "contentType",	//342
    "context",	//343
    "contributor",	//344
    "copyright",	//345
    "coreGraphMetadataFor",	//346
    "createBlankNode",	//347
    "createBlankNode$",	//348
    "createBlankNodeAsync",	//349
    "createEmptyNode",	//350
    "createLiteralNode",	//351
    "createLiteralNode#",	//352
    "createLiteralNode#$",	//353
    "createModel",	//354
    "createModel?",	//355
    "createResourceNode",	//356
    "createResourceNode#",	//357
    "createResult",	//358
    "created",	//359
    "creator",	//360
    "currentBindings",	//361
    "currentStatement",	//362
    "customEvent",	//363
    "dataType",	//364
    "date",	//365
    "dateTime",	//366
    "decimal",	//367
    "definesClass",	//368
    "definesFunction",	//369
    "definesGlobalVariable",	//370
    "deleteModelData",	//371
    "deleteModelData?",	//372
    "deletionTime",	//373
    "depends",	//374
    "deprecated",	//375
    "derivedFrom",	//376
    "description",	//377
    "differentFrom",	//378
    "directSubClassOf",	//379
    "directSubClassOf#",	//380
    "directSubClassOf##",	//381
    "directSubPropertyOf",	//382
    "directSubPropertyOf#",	//383
    "directSubPropertyOf##",	//384
    "directType",	//385
    "directType##",	//386
    "discNumber",	//387
    "disclaimer",	//388
    "disconnectNotify",	//389
    "discoverBackendByFeatures",	//390
    "discoverBackendByFeatures$",	//391
    "discoverBackendByFeatures$?",	//392
    "discoverBackendByName",	//393
    "discoverBackendByName$",	//394
    "discoverParserByName",	//395
    "discoverParserByName$",	//396
    "discoverParserForSerialization",	//397
    "discoverParserForSerialization$",	//398
    "discoverParserForSerialization$$",	//399
    "discoverSerializerByName",	//400
    "discoverSerializerByName$",	//401
    "discoverSerializerForSerialization",	//402
    "discoverSerializerForSerialization$",	//403
    "discoverSerializerForSerialization$$",	//404
    "disjointWith",	//405
    "distinctMembers",	//406
    "documentCategory",	//407
    "domain",	//408
    "domain##",	//409
    "emailAddress",	//410
    "engineeringTool",	//411
    "equivalentClass",	//412
    "equivalentGraph",	//413
    "equivalentProperty",	//414
    "errorCode",	//415
    "event",	//416
    "eventFilter",	//417
    "executeQuery",	//418
    "executeQuery#$$",	//419
    "executeQuery#$$$",	//420
    "executeQuery$$",	//421
    "executeQuery$$$",	//422
    "executeQueryAsync",	//423
    "executeQueryAsync$$",	//424
    "executeQueryAsync$$$",	//425
    "exposureBias",	//426
    "exposureProgram",	//427
    "exposureTime",	//428
    "externalRealizer",	//429
    "familyName",	//430
    "faxPhoneNumber",	//431
    "fileExtension",	//432
    "fileSystemType",	//433
    "fingerprint",	//434
    "finished",	//435
    "finished#",	//436
    "first",	//437
    "firstUsed",	//438
    "flashUsed",	//439
    "focalLength",	//440
    "focusDistance",	//441
    "formatSubtype",	//442
    "frameCount",	//443
    "frameRate",	//444
    "freeSpace",	//445
    "fromN3",	//446
    "fromN3$",	//447
    "fromN3$$",	//448
    "fromN3Stream",	//449
    "fromN3Stream#",	//450
    "fromN3Stream#$",	//451
    "gender",	//452
    "generator",	//453
    "generatorOptions",	//454
    "genre",	//455
    "givenName",	//456
    "graphMetadataFor",	//457
    "group",	//458
    "hasDefaultNamespace",	//459
    "hasDefaultNamespaceAbbreviation",	//460
    "hasSemantics",	//461
    "hasSpecification",	//462
    "hasSubResource",	//463
    "hasSuperResource",	//464
    "hasSymbol",	//465
    "hasTag",	//466
    "hasTopic",	//467
    "hasValue",	//468
    "height",	//469
    "homeEmailAddress",	//470
    "homePhoneNumber",	//471
    "homePostalAddress",	//472
    "homepageContactURL",	//473
    "honorificPrefix",	//474
    "honorificSuffix",	//475
    "horizontalResolution",	//476
    "iconName",	//477
    "id",	//478
    "identifier",	//479
    "imContactMedium",	//480
    "imports",	//481
    "inReplyTo",	//482
    "incompatibleWith",	//483
    "instance",	//484
    "integer",	//485
    "interest",	//486
    "interlaceMode",	//487
    "intersectionOf",	//488
    "inverseOf",	//489
    "inverseProperty",	//490
    "ircContactMedium",	//491
    "isAvailable",	//492
    "isBinding",	//493
    "isBlank",	//494
    "isBool",	//495
    "isClass",	//496
    "isClass#",	//497
    "isContentEncrypted",	//498
    "isDataGraphFor",	//499
    "isDefinedBy",	//500
    "isDirectSubClassOf",	//501
    "isDirectSubClassOf##",	//502
    "isDirectSubPropertyOf",	//503
    "isDirectSubPropertyOf##",	//504
    "isDirectType",	//505
    "isDirectType##",	//506
    "isEmpty",	//507
    "isEmptyAsync",	//508
    "isEncrypted",	//509
    "isGraph",	//510
    "isImportant",	//511
    "isInProgress",	//512
    "isLiteral",	//513
    "isOptionInSettings",	//514
    "isOptionInSettings?$",	//515
    "isOptionInSettings?$$",	//516
    "isParserError",	//517
    "isProperty",	//518
    "isProperty#",	//519
    "isPublicChannel",	//520
    "isRead",	//521
    "isRelated",	//522
    "isResource",	//523
    "isSourceEncrypted",	//524
    "isSubClassOf",	//525
    "isSubClassOf##",	//526
    "isSubPropertyOf",	//527
    "isSubPropertyOf##",	//528
    "isTagFor",	//529
    "isTopicOf",	//530
    "isType",	//531
    "isType##",	//532
    "isValid",	//533
    "isoEquivalent",	//534
    "iterateBindings",	//535
    "iterateBindings$",	//536
    "iterateContexts",	//537
    "iterateObjects",	//538
    "iteratePredicates",	//539
    "iterateStatements",	//540
    "iterateStatementsFromBindings",	//541
    "iterateStatementsFromBindings$$$",	//542
    "iterateStatementsFromBindings$$$$",	//543
    "iterateStatementsFromBindings$$$$#",	//544
    "iterateSubjects",	//545
    "jabberContactMedium",	//546
    "keyword",	//547
    "knows",	//548
    "label",	//549
    "language",	//550
    "lastError",	//551
    "lastModified",	//552
    "lastRefreshed",	//553
    "lastUsed",	//554
    "legal",	//555
    "license",	//556
    "licenseType",	//557
    "lineCount",	//558
    "links",	//559
    "listContexts",	//560
    "listContextsAsync",	//561
    "listStatements",	//562
    "listStatements#",	//563
    "listStatements###",	//564
    "listStatements####",	//565
    "listStatementsAsync",	//566
    "listStatementsAsync#",	//567
    "listStatementsAsync###",	//568
    "listStatementsAsync####",	//569
    "listStatementsInContext",	//570
    "listStatementsInContext#",	//571
    "literal",	//572
    "literalToN3",	//573
    "literalToN3#",	//574
    "loadCustomBackend",	//575
    "loadCustomBackend$",	//576
    "loadCustomParser",	//577
    "loadCustomParser$",	//578
    "loadCustomPlugin",	//579
    "loadCustomPlugin$",	//580
    "loadCustomSerializer",	//581
    "loadCustomSerializer$",	//582
    "localRevision",	//583
    "locator",	//584
    "lyricist",	//585
    "mailingList",	//586
    "mailingPostalAddress",	//587
    "maintainedBy",	//588
    "maintainer",	//589
    "markupCharacterCount",	//590
    "matches",	//591
    "matches#",	//592
    "maxCardinality",	//593
    "md5Hash",	//594
    "mediaBitrate",	//595
    "mediaCodec",	//596
    "mediaCodecType",	//597
    "mediaDuration",	//598
    "member",	//599
    "mergeConflict",	//600
    "message",	//601
    "metaObject",	//602
    "meteringMode",	//603
    "mimeType",	//604
    "mimeTypeToSerialization",	//605
    "mimeTypeToSerialization$",	//606
    "minCardinality",	//607
    "mode",	//608
    "modified",	//609
    "mountPoint",	//610
    "name",	//611
    "naoNamespace",	//612
    "negativeInteger",	//613
    "newsGroup",	//614
    "next",	//615
    "nextReady",	//616
    "nextReady#",	//617
    "nil",	//618
    "node",	//619
    "nodeIterator",	//620
    "nonNegativeInteger",	//621
    "nrlNamespace",	//622
    "numericRating",	//623
    "object",	//624
    "occupiedSpace",	//625
    "onProperty",	//626
    "oneOf",	//627
    "operator bool",	//628
    "operator!=",	//629
    "operator!=#",	//630
    "operator<<",	//631
    "operator<<##",	//632
    "operator=",	//633
    "operator=#",	//634
    "operator==",	//635
    "operator==#",	//636
    "operator=?",	//637
    "operator[]",	//638
    "operator[]$",	//639
    "option",	//640
    "orientation",	//641
    "originURL",	//642
    "originalLocation",	//643
    "otherName",	//644
    "owlNamespace",	//645
    "owner",	//646
    "pageCount",	//647
    "paragraphCount",	//648
    "parentModel",	//649
    "parentStatementAdded",	//650
    "parentStatementAdded#",	//651
    "parentStatementRemoved",	//652
    "parentStatementRemoved#",	//653
    "parentStatementsAdded",	//654
    "parentStatementsRemoved",	//655
    "parseFile",	//656
    "parseFile$#$",	//657
    "parseFile$#$$",	//658
    "parseStream",	//659
    "parseStream##$",	//660
    "parseStream##$$",	//661
    "parseString",	//662
    "parseString$#$",	//663
    "parseString$#$$",	//664
    "performInference",	//665
    "performer",	//666
    "permissions",	//667
    "personPhoto",	//668
    "personalIdentifier",	//669
    "phoneNumber",	//670
    "pixelDataBitDepth",	//671
    "pixelDataType",	//672
    "pluginName",	//673
    "pluralPrefLabel",	//674
    "postalAddress",	//675
    "predicate",	//676
    "prefLabel",	//677
    "prefSymbol",	//678
    "prefixes",	//679
    "primaryRecipient",	//680
    "priorVersion",	//681
    "programmingLanguage",	//682
    "properties",	//683
    "qHash",	//684
    "qHash#",	//685
    "qt_metacall",	//686
    "qt_metacall$$?",	//687
    "qt_metacast",	//688
    "qt_metacast$",	//689
    "queryResultIterator",	//690
    "range",	//691
    "range##",	//692
    "rating",	//693
    "rdfNamespace",	//694
    "rdfsNamespace",	//695
    "realizes",	//696
    "receptionTime",	//697
    "recipient",	//698
    "related",	//699
    "remotePassword",	//700
    "remotePort",	//701
    "remoteServer",	//702
    "remoteUser",	//703
    "removeAllStatements",	//704
    "removeAllStatements#",	//705
    "removeAllStatements###",	//706
    "removeAllStatements####",	//707
    "removeAllStatementsAsync",	//708
    "removeAllStatementsAsync#",	//709
    "removeAllStatementsAsync###",	//710
    "removeAllStatementsAsync####",	//711
    "removeContext",	//712
    "removeContext#",	//713
    "removeStatement",	//714
    "removeStatement#",	//715
    "removeStatement###",	//716
    "removeStatement####",	//717
    "removeStatementAsync",	//718
    "removeStatementAsync#",	//719
    "removeStatementAsync###",	//720
    "removeStatementAsync####",	//721
    "removeStatements",	//722
    "removeStatements?",	//723
    "removeStatementsAsync",	//724
    "removeStatementsAsync?",	//725
    "replyTo",	//726
    "resourceToN3",	//727
    "resourceToN3#",	//728
    "rest",	//729
    "resultReady",	//730
    "resultReady#",	//731
    "rowCount",	//732
    "rssFeed",	//733
    "rule",	//734
    "ruleLanguage",	//735
    "sameAs",	//736
    "sampleConfiguration",	//737
    "sampleDataBitDepth",	//738
    "sampleDataType",	//739
    "score",	//740
    "scoreParameter",	//741
    "secondaryRecipient",	//742
    "seeAlso",	//743
    "seenAttachedAs",	//744
    "semanticsDefinedBy",	//745
    "serializationLanguage",	//746
    "serializationMimeType",	//747
    "serializationMimeType$",	//748
    "serializationMimeType$$",	//749
    "serialize",	//750
    "serialize##$",	//751
    "serialize##$$",	//752
    "setCacheTime",	//753
    "setCacheTime$",	//754
    "setCompressedSourceStatements",	//755
    "setCompressedSourceStatements$",	//756
    "setContext",	//757
    "setContext#",	//758
    "setCount",	//759
    "setError",	//760
    "setError#",	//761
    "setError$",	//762
    "setError$$",	//763
    "setMode",	//764
    "setMode$",	//765
    "setObject",	//766
    "setObject#",	//767
    "setOptimizedQueriesEnabled",	//768
    "setOptimizedQueriesEnabled$",	//769
    "setParentModel",	//770
    "setParentModel#",	//771
    "setPluginSearchPath",	//772
    "setPluginSearchPath?",	//773
    "setPluginSearchPath?$",	//774
    "setPredicate",	//775
    "setPredicate#",	//776
    "setRate",	//777
    "setResult",	//778
    "setResult##",	//779
    "setRules",	//780
    "setRules?",	//781
    "setSubject",	//782
    "setSubject#",	//783
    "setUsedBackend",	//784
    "setUsedBackend#",	//785
    "setValue",	//786
    "setValue#",	//787
    "settingInSettings",	//788
    "settingInSettings?",	//789
    "settingInSettings?$",	//790
    "settingInSettings?$$",	//791
    "sha1Hash",	//792
    "silNamespace",	//793
    "size",	//794
    "someValuesFrom",	//795
    "sourceCreated",	//796
    "sourceModified",	//797
    "sourceStatement",	//798
    "statementAdded",	//799
    "statementAdded#",	//800
    "statementCount",	//801
    "statementCountAsync",	//802
    "statementIterator",	//803
    "statementRemoved",	//804
    "statementRemoved#",	//805
    "statementsAdded",	//806
    "statementsRemoved",	//807
    "staticMetaObject",	//808
    "status",	//809
    "storageSize",	//810
    "string",	//811
    "subClassOf",	//812
    "subClassOf#",	//813
    "subClassOf##",	//814
    "subGraphOf",	//815
    "subPropertyOf",	//816
    "subPropertyOf#",	//817
    "subPropertyOf##",	//818
    "subject",	//819
    "summary",	//820
    "superGraphOf",	//821
    "supercedes",	//822
    "supportedFeatures",	//823
    "supportedSerializations",	//824
    "supportedUserFeatures",	//825
    "supportedUserSerializations",	//826
    "supportsFeatures",	//827
    "supportsFeatures$",	//828
    "supportsFeatures$?",	//829
    "supportsSerialization",	//830
    "supportsSerialization$",	//831
    "supportsSerialization$$",	//832
    "targetQuality",	//833
    "time",	//834
    "timerEvent",	//835
    "timerEvent#",	//836
    "title",	//837
    "to",	//838
    "toN3",	//839
    "toParserError",	//840
    "toString",	//841
    "totalSpace",	//842
    "totalUncompressedSize",	//843
    "tr",	//844
    "tr$",	//845
    "tr$$",	//846
    "tr$$$",	//847
    "trUtf8",	//848
    "trUtf8$",	//849
    "trUtf8$$",	//850
    "trUtf8$$$",	//851
    "trackGain",	//852
    "trackNumber",	//853
    "trackPeakGain",	//854
    "type",	//855
    "type##",	//856
    "unionOf",	//857
    "unsignedInt",	//858
    "unsignedLong",	//859
    "unsignedShort",	//860
    "updatable",	//861
    "uri",	//862
    "url",	//863
    "useCount",	//864
    "usedBackend",	//865
    "userComment",	//866
    "userKeyword",	//867
    "userOptionName",	//868
    "userRating",	//869
    "userVisible",	//870
    "usesNamespace",	//871
    "value",	//872
    "valueInSettings",	//873
    "valueInSettings?$",	//874
    "valueInSettings?$#",	//875
    "valueInSettings?$$",	//876
    "valueInSettingsWithDefault",	//877
    "valueInSettingsWithDefault?$#",	//878
    "version",	//879
    "versionInfo",	//880
    "versionMajor",	//881
    "versionMinor",	//882
    "versionRelease",	//883
    "versionString",	//884
    "verticalResolution",	//885
    "videoBitrate",	//886
    "videoCodec",	//887
    "videoCodecType",	//888
    "viewOn",	//889
    "whiteBalance",	//890
    "width",	//891
    "wordCount",	//892
    "workEmailAddress",	//893
    "workPhoneNumber",	//894
    "workPostalAddress",	//895
    "write",	//896
    "write#",	//897
    "xesam35mmEquivalent",	//898
    "xesamNamespace",	//899
    "xsdDouble",	//900
    "xsdFloat",	//901
    "xsdInt",	//902
    "xsdLong",	//903
    "xsdNamespace",	//904
    "xsdShort",	//905
    "~AsyncModel",	//906
    "~AsyncQuery",	//907
    "~AsyncResult",	//908
    "~Backend",	//909
    "~BackendSetting",	//910
    "~Error",	//911
    "~ErrorCache",	//912
    "~FilterModel",	//913
    "~InferenceModel",	//914
    "~Model",	//915
    "~Node",	//916
    "~NodeIterator",	//917
    "~Parser",	//918
    "~ParserError",	//919
    "~Plugin",	//920
    "~PluginManager",	//921
    "~QueryResultIterator",	//922
    "~RdfSchemaModel",	//923
    "~ReadOnlyModel",	//924
    "~Serializer",	//925
    "~SignalCacheModel",	//926
    "~SimpleNodeIterator",	//927
    "~SimpleStatementIterator",	//928
    "~Statement",	//929
    "~StatementIterator",	//930
    "~StorageModel",	//931
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {5, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {5, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {5, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {5, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {7, 416, 1, 1, Smoke::mf_virtual, 159, 0},	//6 QObject::event(QEvent*)
    {7, 417, 3, 2, Smoke::mf_virtual, 159, 0},	//7 QObject::eventFilter(QObject*, QEvent*)
    {7, 835, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 QObject::timerEvent(QTimerEvent*)
    {7, 296, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 QObject::childEvent(QChildEvent*)
    {7, 363, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 QObject::customEvent(QEvent*)
    {7, 315, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 QObject::connectNotify(const char*)
    {7, 389, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 QObject::disconnectNotify(const char*)
    {13, 354, 12, 1, Smoke::mf_static, 122, 1},	//13 Soprano::createModel(const QList<Soprano::BackendSetting>&)
    {13, 354, 0, 0, Smoke::mf_static, 122, 2},	//14 Soprano::createModel()
    {13, 865, 0, 0, Smoke::mf_static, 174, 3},	//15 Soprano::usedBackend()
    {13, 784, 14, 1, Smoke::mf_static, 0, 4},	//16 Soprano::setUsedBackend(const Soprano::Backend*)
    {13, 873, 16, 3, Smoke::mf_static, 25, 5},	//17 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {13, 873, 20, 2, Smoke::mf_static, 25, 6},	//18 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {13, 788, 23, 3, Smoke::mf_static, 102, 7},	//19 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {13, 788, 27, 2, Smoke::mf_static, 102, 8},	//20 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {13, 631, 30, 2, Smoke::mf_static, 3, 9},	//21 Soprano::operator<<(QDebug, const Soprano::Graph&)
    {13, 514, 16, 3, Smoke::mf_static, 159, 10},	//22 Soprano::isOptionInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {13, 514, 20, 2, Smoke::mf_static, 159, 11},	//23 Soprano::isOptionInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {13, 684, 33, 1, Smoke::mf_static, 199, 12},	//24 Soprano::qHash(const Soprano::Node&)
    {13, 605, 35, 1, Smoke::mf_static, 140, 13},	//25 Soprano::mimeTypeToSerialization(const QString&)
    {13, 881, 0, 0, Smoke::mf_static, 199, 14},	//26 Soprano::versionMajor()
    {13, 684, 37, 1, Smoke::mf_static, 199, 15},	//27 Soprano::qHash(const Soprano::LiteralValue&)
    {13, 684, 39, 1, Smoke::mf_static, 199, 16},	//28 Soprano::qHash(const Soprano::Statement&)
    {13, 788, 16, 3, Smoke::mf_static, 101, 17},	//29 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {13, 788, 20, 2, Smoke::mf_static, 101, 18},	//30 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {13, 873, 41, 3, Smoke::mf_static, 25, 19},	//31 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&, const QVariant&)
    {13, 873, 45, 2, Smoke::mf_static, 25, 20},	//32 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    {13, 884, 0, 0, Smoke::mf_static, 196, 21},	//33 Soprano::versionString()
    {13, 883, 0, 0, Smoke::mf_static, 199, 22},	//34 Soprano::versionRelease()
    {13, 788, 45, 2, Smoke::mf_static, 101, 23},	//35 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    {13, 788, 12, 1, Smoke::mf_static, 101, 24},	//36 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&)
    {13, 684, 48, 1, Smoke::mf_static, 199, 25},	//37 Soprano::qHash(const Soprano::LanguageTag&)
    {13, 877, 50, 3, Smoke::mf_static, 25, 26},	//38 Soprano::valueInSettingsWithDefault(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QVariant&)
    {13, 390, 54, 2, Smoke::mf_static, 174, 27},	//39 Soprano::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>, const QStringList&)
    {13, 390, 57, 1, Smoke::mf_static, 174, 28},	//40 Soprano::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>)
    {13, 882, 0, 0, Smoke::mf_static, 199, 29},	//41 Soprano::versionMinor()
    {13, 747, 59, 2, Smoke::mf_static, 19, 30},	//42 Soprano::serializationMimeType(Soprano::RdfSerialization, const QString&)
    {13, 747, 62, 1, Smoke::mf_static, 19, 31},	//43 Soprano::serializationMimeType(Soprano::RdfSerialization)
    {13, 788, 64, 2, Smoke::mf_static, 102, 32},	//44 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, const QString&)
    {13, 393, 35, 1, Smoke::mf_static, 174, 33},	//45 Soprano::discoverBackendByName(const QString&)
    {13, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 34},	//46 Soprano::BackendFeatureNone (enum)
    {13, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 35},	//47 Soprano::BackendFeatureAddStatement (enum)
    {13, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 36},	//48 Soprano::BackendFeatureRemoveStatements (enum)
    {13, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 37},	//49 Soprano::BackendFeatureListStatements (enum)
    {13, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 38},	//50 Soprano::BackendFeatureQuery (enum)
    {13, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 39},	//51 Soprano::BackendFeatureInference (enum)
    {13, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 40},	//52 Soprano::BackendFeatureInferenceOptional (enum)
    {13, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 41},	//53 Soprano::BackendFeatureContext (enum)
    {13, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 42},	//54 Soprano::BackendFeatureStorageMemory (enum)
    {13, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 43},	//55 Soprano::BackendFeatureAll (enum)
    {13, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 44},	//56 Soprano::BackendFeatureUser (enum)
    {13, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 45},	//57 Soprano::BackendOptionNone (enum)
    {13, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 46},	//58 Soprano::BackendOptionStorageMemory (enum)
    {13, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 47},	//59 Soprano::BackendOptionEnableInference (enum)
    {13, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 48},	//60 Soprano::BackendOptionStorageDir (enum)
    {13, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 49},	//61 Soprano::BackendOptionHost (enum)
    {13, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 50},	//62 Soprano::BackendOptionPort (enum)
    {13, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 51},	//63 Soprano::BackendOptionUsername (enum)
    {13, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 52},	//64 Soprano::BackendOptionPassword (enum)
    {13, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 53},	//65 Soprano::BackendOptionUser (enum)
    {13, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 54},	//66 Soprano::SerializationUnknown (enum)
    {13, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 55},	//67 Soprano::SerializationRdfXml (enum)
    {13, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 56},	//68 Soprano::SerializationN3 (enum)
    {13, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 57},	//69 Soprano::SerializationNTriples (enum)
    {13, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 58},	//70 Soprano::SerializationTurtle (enum)
    {13, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 59},	//71 Soprano::SerializationTrig (enum)
    {13, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 60},	//72 Soprano::SerializationNQuads (enum)
    {13, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 61},	//73 Soprano::SerializationUser (enum)
    {14, 13, 35, 1, Smoke::mf_ctor, 98, 1},	//74 Soprano::Backend::Backend(const QString&)
    {14, 354, 12, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 2},	//75 Soprano::Backend::createModel(const QList<Soprano::BackendSetting>&) const [pure virtual]
    {14, 371, 12, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 3},	//76 Soprano::Backend::deleteModelData(const QList<Soprano::BackendSetting>&) const [pure virtual]
    {14, 823, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 5, 4},	//77 Soprano::Backend::supportedFeatures() const [pure virtual]
    {14, 825, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 20, 5},	//78 Soprano::Backend::supportedUserFeatures() const
    {14, 827, 54, 2, Smoke::mf_const, 159, 6},	//79 Soprano::Backend::supportsFeatures(QFlags<Soprano::BackendFeature>, const QStringList&) const
    {14, 13, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 7},	//80 Soprano::Backend::Backend(const Soprano::Backend&)
    {14, 354, 0, 0, Smoke::mf_const, 148, 8},	//81 Soprano::Backend::createModel() const
    {14, 827, 57, 1, Smoke::mf_const, 159, 9},	//82 Soprano::Backend::supportsFeatures(QFlags<Soprano::BackendFeature>) const
    {14, 909, 0, 0, Smoke::mf_dtor, 0, 10 },	//83 Soprano::Backend::~Backend()
    {15, 36, 0, 0, Smoke::mf_ctor, 103, 1},	//84 Soprano::BackendSetting::BackendSetting()
    {15, 36, 69, 1, Smoke::mf_ctor, 103, 2},	//85 Soprano::BackendSetting::BackendSetting(Soprano::BackendOption)
    {15, 36, 71, 2, Smoke::mf_ctor, 103, 3},	//86 Soprano::BackendSetting::BackendSetting(Soprano::BackendOption, const QVariant&)
    {15, 36, 74, 2, Smoke::mf_ctor, 103, 4},	//87 Soprano::BackendSetting::BackendSetting(const QString&, const QVariant&)
    {15, 36, 77, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 103, 5},	//88 Soprano::BackendSetting::BackendSetting(const Soprano::BackendSetting&)
    {15, 633, 77, 1, 0, 102, 6},	//89 Soprano::BackendSetting::operator=(const Soprano::BackendSetting&)
    {15, 640, 0, 0, Smoke::mf_const, 100, 7},	//90 Soprano::BackendSetting::option() const
    {15, 868, 0, 0, Smoke::mf_const, 19, 8},	//91 Soprano::BackendSetting::userOptionName() const
    {15, 872, 0, 0, Smoke::mf_const, 25, 9},	//92 Soprano::BackendSetting::value() const
    {15, 786, 79, 1, 0, 0, 10},	//93 Soprano::BackendSetting::setValue(const QVariant&)
    {15, 910, 0, 0, Smoke::mf_dtor, 0, 11 },	//94 Soprano::BackendSetting::~BackendSetting()
    {17, 70, 0, 0, Smoke::mf_ctor, 107, 1},	//95 Soprano::Error::Error::Error()
    {17, 70, 81, 2, Smoke::mf_ctor, 107, 2},	//96 Soprano::Error::Error::Error(const QString&, int)
    {17, 70, 84, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 107, 3},	//97 Soprano::Error::Error::Error(const Soprano::Error::Error&)
    {17, 633, 84, 1, 0, 106, 4},	//98 Soprano::Error::Error::operator=(const Soprano::Error::Error&)
    {17, 628, 0, 0, Smoke::mf_const, 159, 5},	//99 Soprano::Error::Error::operator bool() const
    {17, 601, 0, 0, Smoke::mf_const, 19, 6},	//100 Soprano::Error::Error::message() const
    {17, 302, 0, 0, Smoke::mf_const, 197, 7},	//101 Soprano::Error::Error::code() const
    {17, 517, 0, 0, Smoke::mf_const, 159, 8},	//102 Soprano::Error::Error::isParserError() const
    {17, 840, 0, 0, Smoke::mf_const, 112, 9},	//103 Soprano::Error::Error::toParserError() const
    {17, 70, 86, 1, Smoke::mf_ctor|Smoke::mf_protected, 107, 10},	//104 Soprano::Error::Error::Error(Soprano::Error::ErrorData*)
    {17, 70, 35, 1, Smoke::mf_ctor, 107, 11},	//105 Soprano::Error::Error::Error(const QString&)
    {17, 911, 0, 0, Smoke::mf_dtor, 0, 12 },	//106 Soprano::Error::Error::~Error()
    {18, 551, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 105, 1},	//107 Soprano::Error::ErrorCache::lastError() const
    {18, 74, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 108, 2},	//108 Soprano::Error::ErrorCache::ErrorCache()
    {18, 298, 0, 0, Smoke::mf_const|Smoke::mf_protected, 0, 3},	//109 Soprano::Error::ErrorCache::clearError() const
    {18, 760, 84, 1, Smoke::mf_const|Smoke::mf_protected, 0, 4},	//110 Soprano::Error::ErrorCache::setError(const Soprano::Error::Error&) const
    {18, 760, 81, 2, Smoke::mf_const|Smoke::mf_protected, 0, 5},	//111 Soprano::Error::ErrorCache::setError(const QString&, int) const
    {18, 74, 88, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 108, 6},	//112 Soprano::Error::ErrorCache::ErrorCache(const Soprano::Error::ErrorCache&)
    {18, 760, 35, 1, Smoke::mf_const|Smoke::mf_protected, 0, 7},	//113 Soprano::Error::ErrorCache::setError(const QString&) const
    {18, 912, 0, 0, Smoke::mf_dtor, 0, 8 },	//114 Soprano::Error::ErrorCache::~ErrorCache()
    {21, 132, 0, 0, Smoke::mf_ctor, 114, 1},	//115 Soprano::Error::ParserError::ParserError()
    {21, 132, 90, 3, Smoke::mf_ctor, 114, 2},	//116 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&, const QString&, int)
    {21, 132, 84, 1, Smoke::mf_ctor, 114, 3},	//117 Soprano::Error::ParserError::ParserError(const Soprano::Error::Error&)
    {21, 633, 84, 1, 0, 113, 4},	//118 Soprano::Error::ParserError::operator=(const Soprano::Error::Error&)
    {21, 584, 0, 0, Smoke::mf_const, 111, 5},	//119 Soprano::Error::ParserError::locator() const
    {21, 132, 94, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 114, 6},	//120 Soprano::Error::ParserError::ParserError(const Soprano::Error::ParserError&)
    {21, 132, 96, 1, Smoke::mf_ctor, 114, 7},	//121 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&)
    {21, 132, 98, 2, Smoke::mf_ctor, 114, 8},	//122 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&, const QString&)
    {21, 919, 0, 0, Smoke::mf_dtor, 0, 9 },	//123 Soprano::Error::ParserError::~ParserError()
    {22, 602, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 165, 1},	//124 Soprano::FilterModel::metaObject() const
    {22, 688, 10, 1, Smoke::mf_virtual, 200, 2},	//125 Soprano::FilterModel::qt_metacast(const char*)
    {22, 844, 101, 2, Smoke::mf_static, 19, 3},	//126 Soprano::FilterModel::tr(const char*, const char*)
    {22, 848, 101, 2, Smoke::mf_static, 19, 4},	//127 Soprano::FilterModel::trUtf8(const char*, const char*)
    {22, 844, 104, 3, Smoke::mf_static, 19, 5},	//128 Soprano::FilterModel::tr(const char*, const char*, int)
    {22, 848, 104, 3, Smoke::mf_static, 19, 6},	//129 Soprano::FilterModel::trUtf8(const char*, const char*, int)
    {22, 686, 108, 3, Smoke::mf_virtual, 197, 7},	//130 Soprano::FilterModel::qt_metacall(QMetaObject::Call, int, void**)
    {22, 770, 112, 1, Smoke::mf_virtual, 0, 8},	//131 Soprano::FilterModel::setParentModel(Soprano::Model*)
    {22, 649, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 9},	//132 Soprano::FilterModel::parentModel() const
    {22, 226, 39, 1, Smoke::mf_virtual, 109, 10},	//133 Soprano::FilterModel::addStatement(const Soprano::Statement&)
    {22, 226, 114, 4, 0, 109, 11},	//134 Soprano::FilterModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 714, 39, 1, Smoke::mf_virtual, 109, 12},	//135 Soprano::FilterModel::removeStatement(const Soprano::Statement&)
    {22, 714, 114, 4, 0, 109, 13},	//136 Soprano::FilterModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 704, 39, 1, Smoke::mf_virtual, 109, 14},	//137 Soprano::FilterModel::removeAllStatements(const Soprano::Statement&)
    {22, 704, 114, 4, 0, 109, 15},	//138 Soprano::FilterModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 562, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 145, 16},	//139 Soprano::FilterModel::listStatements(const Soprano::Statement&) const
    {22, 562, 114, 4, Smoke::mf_const, 145, 17},	//140 Soprano::FilterModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 560, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 128, 18},	//141 Soprano::FilterModel::listContexts() const
    {22, 418, 119, 3, Smoke::mf_const|Smoke::mf_virtual, 135, 19},	//142 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {22, 330, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 159, 20},	//143 Soprano::FilterModel::containsStatement(const Soprano::Statement&) const
    {22, 330, 114, 4, Smoke::mf_const, 159, 21},	//144 Soprano::FilterModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 320, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 159, 22},	//145 Soprano::FilterModel::containsAnyStatement(const Soprano::Statement&) const
    {22, 320, 114, 4, Smoke::mf_const, 159, 23},	//146 Soprano::FilterModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 507, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 159, 24},	//147 Soprano::FilterModel::isEmpty() const
    {22, 801, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 25},	//148 Soprano::FilterModel::statementCount() const
    {22, 896, 123, 1, Smoke::mf_const|Smoke::mf_virtual, 109, 26},	//149 Soprano::FilterModel::write(QTextStream&) const
    {22, 347, 0, 0, Smoke::mf_virtual, 123, 27},	//150 Soprano::FilterModel::createBlankNode()
    {22, 704, 0, 0, 0, 109, 28},	//151 Soprano::FilterModel::removeAllStatements()
    {22, 562, 0, 0, Smoke::mf_const, 145, 29},	//152 Soprano::FilterModel::listStatements() const
    {22, 80, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 115, 30},	//153 Soprano::FilterModel::FilterModel()
    {22, 80, 112, 1, Smoke::mf_ctor|Smoke::mf_protected, 115, 31},	//154 Soprano::FilterModel::FilterModel(Soprano::Model*)
    {22, 654, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//155 Soprano::FilterModel::parentStatementsAdded()
    {22, 655, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//156 Soprano::FilterModel::parentStatementsRemoved()
    {22, 650, 39, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//157 Soprano::FilterModel::parentStatementAdded(const Soprano::Statement&)
    {22, 652, 39, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//158 Soprano::FilterModel::parentStatementRemoved(const Soprano::Statement&)
    {22, 844, 10, 1, Smoke::mf_static, 19, 36},	//159 Soprano::FilterModel::tr(const char*)
    {22, 848, 10, 1, Smoke::mf_static, 19, 37},	//160 Soprano::FilterModel::trUtf8(const char*)
    {22, 226, 125, 3, 0, 109, 38},	//161 Soprano::FilterModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 714, 125, 3, 0, 109, 39},	//162 Soprano::FilterModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 704, 125, 3, 0, 109, 40},	//163 Soprano::FilterModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 562, 125, 3, Smoke::mf_const, 145, 41},	//164 Soprano::FilterModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 418, 129, 2, Smoke::mf_const, 135, 42},	//165 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {22, 330, 125, 3, Smoke::mf_const, 159, 43},	//166 Soprano::FilterModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 320, 125, 3, Smoke::mf_const, 159, 44},	//167 Soprano::FilterModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 808, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 164, 45},	//168 Soprano::FilterModel::staticMetaObject() const
    {22, 913, 0, 0, Smoke::mf_dtor, 0, 46 },	//169 Soprano::FilterModel::~FilterModel()
    {24, 602, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 165, 1},	//170 Soprano::Inference::InferenceModel::metaObject() const
    {24, 688, 10, 1, Smoke::mf_virtual, 200, 2},	//171 Soprano::Inference::InferenceModel::qt_metacast(const char*)
    {24, 844, 101, 2, Smoke::mf_static, 19, 3},	//172 Soprano::Inference::InferenceModel::tr(const char*, const char*)
    {24, 848, 101, 2, Smoke::mf_static, 19, 4},	//173 Soprano::Inference::InferenceModel::trUtf8(const char*, const char*)
    {24, 844, 104, 3, Smoke::mf_static, 19, 5},	//174 Soprano::Inference::InferenceModel::tr(const char*, const char*, int)
    {24, 848, 104, 3, Smoke::mf_static, 19, 6},	//175 Soprano::Inference::InferenceModel::trUtf8(const char*, const char*, int)
    {24, 686, 108, 3, Smoke::mf_virtual, 197, 7},	//176 Soprano::Inference::InferenceModel::qt_metacall(QMetaObject::Call, int, void**)
    {24, 94, 112, 1, Smoke::mf_ctor, 116, 8},	//177 Soprano::Inference::InferenceModel::InferenceModel(Soprano::Model*)
    {24, 226, 39, 1, Smoke::mf_virtual, 109, 9},	//178 Soprano::Inference::InferenceModel::addStatement(const Soprano::Statement&)
    {24, 714, 39, 1, Smoke::mf_virtual, 109, 10},	//179 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Statement&)
    {24, 704, 39, 1, Smoke::mf_virtual, 109, 11},	//180 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Statement&)
    {24, 224, 132, 1, 0, 0, 12},	//181 Soprano::Inference::InferenceModel::addRule(const Soprano::Inference::Rule&)
    {24, 780, 134, 1, 0, 0, 13},	//182 Soprano::Inference::InferenceModel::setRules(const QList<Soprano::Inference::Rule>&)
    {24, 226, 114, 4, 0, 109, 14},	//183 Soprano::Inference::InferenceModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 714, 114, 4, 0, 109, 15},	//184 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 704, 114, 4, 0, 109, 16},	//185 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 704, 0, 0, 0, 109, 17},	//186 Soprano::Inference::InferenceModel::removeAllStatements()
    {24, 665, 0, 0, Smoke::mf_slot, 0, 18},	//187 Soprano::Inference::InferenceModel::performInference()
    {24, 299, 0, 0, Smoke::mf_slot, 0, 19},	//188 Soprano::Inference::InferenceModel::clearInference()
    {24, 755, 136, 1, Smoke::mf_slot, 0, 20},	//189 Soprano::Inference::InferenceModel::setCompressedSourceStatements(bool)
    {24, 768, 136, 1, Smoke::mf_slot, 0, 21},	//190 Soprano::Inference::InferenceModel::setOptimizedQueriesEnabled(bool)
    {24, 844, 10, 1, Smoke::mf_static, 19, 22},	//191 Soprano::Inference::InferenceModel::tr(const char*)
    {24, 848, 10, 1, Smoke::mf_static, 19, 23},	//192 Soprano::Inference::InferenceModel::trUtf8(const char*)
    {24, 226, 125, 3, 0, 109, 24},	//193 Soprano::Inference::InferenceModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 714, 125, 3, 0, 109, 25},	//194 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 704, 125, 3, 0, 109, 26},	//195 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 808, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 164, 27},	//196 Soprano::Inference::InferenceModel::staticMetaObject() const
    {24, 914, 0, 0, Smoke::mf_dtor, 0, 28 },	//197 Soprano::Inference::InferenceModel::~InferenceModel()
    {28, 602, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 165, 1},	//198 Soprano::Model::metaObject() const
    {28, 688, 10, 1, Smoke::mf_virtual, 200, 2},	//199 Soprano::Model::qt_metacast(const char*)
    {28, 844, 101, 2, Smoke::mf_static, 19, 3},	//200 Soprano::Model::tr(const char*, const char*)
    {28, 848, 101, 2, Smoke::mf_static, 19, 4},	//201 Soprano::Model::trUtf8(const char*, const char*)
    {28, 844, 104, 3, Smoke::mf_static, 19, 5},	//202 Soprano::Model::tr(const char*, const char*, int)
    {28, 848, 104, 3, Smoke::mf_static, 19, 6},	//203 Soprano::Model::trUtf8(const char*, const char*, int)
    {28, 686, 108, 3, Smoke::mf_virtual, 197, 7},	//204 Soprano::Model::qt_metacall(QMetaObject::Call, int, void**)
    {28, 226, 39, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 109, 8},	//205 Soprano::Model::addStatement(const Soprano::Statement&) [pure virtual]
    {28, 226, 114, 4, 0, 109, 9},	//206 Soprano::Model::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 234, 138, 1, 0, 109, 10},	//207 Soprano::Model::addStatements(const QList<Soprano::Statement>&)
    {28, 714, 39, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 109, 11},	//208 Soprano::Model::removeStatement(const Soprano::Statement&) [pure virtual]
    {28, 714, 114, 4, 0, 109, 12},	//209 Soprano::Model::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 704, 39, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 109, 13},	//210 Soprano::Model::removeAllStatements(const Soprano::Statement&) [pure virtual]
    {28, 704, 114, 4, 0, 109, 14},	//211 Soprano::Model::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 722, 138, 1, 0, 109, 15},	//212 Soprano::Model::removeStatements(const QList<Soprano::Statement>&)
    {28, 712, 33, 1, 0, 109, 16},	//213 Soprano::Model::removeContext(const Soprano::Node&)
    {28, 704, 0, 0, 0, 109, 17},	//214 Soprano::Model::removeAllStatements()
    {28, 562, 39, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 145, 18},	//215 Soprano::Model::listStatements(const Soprano::Statement&) const [pure virtual]
    {28, 562, 114, 4, Smoke::mf_const, 145, 19},	//216 Soprano::Model::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 562, 0, 0, Smoke::mf_const, 145, 20},	//217 Soprano::Model::listStatements() const
    {28, 570, 33, 1, Smoke::mf_const, 145, 21},	//218 Soprano::Model::listStatementsInContext(const Soprano::Node&) const
    {28, 560, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 128, 22},	//219 Soprano::Model::listContexts() const [pure virtual]
    {28, 418, 119, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 135, 23},	//220 Soprano::Model::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const [pure virtual]
    {28, 320, 39, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 24},	//221 Soprano::Model::containsAnyStatement(const Soprano::Statement&) const [pure virtual]
    {28, 320, 114, 4, Smoke::mf_const, 159, 25},	//222 Soprano::Model::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 330, 39, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 26},	//223 Soprano::Model::containsStatement(const Soprano::Statement&) const [pure virtual]
    {28, 330, 114, 4, Smoke::mf_const, 159, 27},	//224 Soprano::Model::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 328, 33, 1, Smoke::mf_const, 159, 28},	//225 Soprano::Model::containsContext(const Soprano::Node&) const
    {28, 507, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 29},	//226 Soprano::Model::isEmpty() const [pure virtual]
    {28, 801, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 197, 30},	//227 Soprano::Model::statementCount() const [pure virtual]
    {28, 896, 123, 1, Smoke::mf_const|Smoke::mf_virtual, 109, 31},	//228 Soprano::Model::write(QTextStream&) const
    {28, 347, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 123, 32},	//229 Soprano::Model::createBlankNode() [pure virtual]
    {28, 806, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//230 Soprano::Model::statementsAdded()
    {28, 807, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//231 Soprano::Model::statementsRemoved()
    {28, 799, 39, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//232 Soprano::Model::statementAdded(const Soprano::Statement&)
    {28, 804, 39, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//233 Soprano::Model::statementRemoved(const Soprano::Statement&)
    {28, 108, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 122, 37},	//234 Soprano::Model::Model()
    {28, 844, 10, 1, Smoke::mf_static, 19, 38},	//235 Soprano::Model::tr(const char*)
    {28, 848, 10, 1, Smoke::mf_static, 19, 39},	//236 Soprano::Model::trUtf8(const char*)
    {28, 226, 125, 3, 0, 109, 40},	//237 Soprano::Model::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 714, 125, 3, 0, 109, 41},	//238 Soprano::Model::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 704, 125, 3, 0, 109, 42},	//239 Soprano::Model::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 562, 125, 3, Smoke::mf_const, 145, 43},	//240 Soprano::Model::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 418, 129, 2, Smoke::mf_const, 135, 44},	//241 Soprano::Model::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {28, 320, 125, 3, Smoke::mf_const, 159, 45},	//242 Soprano::Model::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 330, 125, 3, Smoke::mf_const, 159, 46},	//243 Soprano::Model::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 808, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 164, 47},	//244 Soprano::Model::staticMetaObject() const
    {28, 915, 0, 0, Smoke::mf_dtor, 0, 48 },	//245 Soprano::Model::~Model()
    {29, 114, 0, 0, Smoke::mf_ctor, 125, 1},	//246 Soprano::Node::Node()
    {29, 114, 140, 1, Smoke::mf_ctor, 125, 2},	//247 Soprano::Node::Node(const QUrl&)
    {29, 114, 35, 1, Smoke::mf_ctor, 125, 3},	//248 Soprano::Node::Node(const QString&)
    {29, 114, 37, 1, Smoke::mf_ctor, 125, 4},	//249 Soprano::Node::Node(const Soprano::LiteralValue&)
    {29, 114, 142, 2, Smoke::mf_ctor, 125, 5},	//250 Soprano::Node::Node(const Soprano::LiteralValue&, const QString&)
    {29, 114, 33, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 125, 6},	//251 Soprano::Node::Node(const Soprano::Node&)
    {29, 633, 33, 1, 0, 124, 7},	//252 Soprano::Node::operator=(const Soprano::Node&)
    {29, 633, 140, 1, 0, 124, 8},	//253 Soprano::Node::operator=(const QUrl&)
    {29, 633, 37, 1, 0, 124, 9},	//254 Soprano::Node::operator=(const Soprano::LiteralValue&)
    {29, 635, 33, 1, Smoke::mf_const, 159, 10},	//255 Soprano::Node::operator==(const Soprano::Node&) const
    {29, 629, 33, 1, Smoke::mf_const, 159, 11},	//256 Soprano::Node::operator!=(const Soprano::Node&) const
    {29, 635, 140, 1, Smoke::mf_const, 159, 12},	//257 Soprano::Node::operator==(const QUrl&) const
    {29, 635, 37, 1, Smoke::mf_const, 159, 13},	//258 Soprano::Node::operator==(const Soprano::LiteralValue&) const
    {29, 591, 33, 1, Smoke::mf_const, 159, 14},	//259 Soprano::Node::matches(const Soprano::Node&) const
    {29, 855, 0, 0, Smoke::mf_const, 127, 15},	//260 Soprano::Node::type() const
    {29, 507, 0, 0, Smoke::mf_const, 159, 16},	//261 Soprano::Node::isEmpty() const
    {29, 533, 0, 0, Smoke::mf_const, 159, 17},	//262 Soprano::Node::isValid() const
    {29, 513, 0, 0, Smoke::mf_const, 159, 18},	//263 Soprano::Node::isLiteral() const
    {29, 523, 0, 0, Smoke::mf_const, 159, 19},	//264 Soprano::Node::isResource() const
    {29, 494, 0, 0, Smoke::mf_const, 159, 20},	//265 Soprano::Node::isBlank() const
    {29, 862, 0, 0, Smoke::mf_const, 24, 21},	//266 Soprano::Node::uri() const
    {29, 479, 0, 0, Smoke::mf_const, 19, 22},	//267 Soprano::Node::identifier() const
    {29, 572, 0, 0, Smoke::mf_const, 121, 23},	//268 Soprano::Node::literal() const
    {29, 364, 0, 0, Smoke::mf_const, 24, 24},	//269 Soprano::Node::dataType() const
    {29, 550, 0, 0, Smoke::mf_const, 19, 25},	//270 Soprano::Node::language() const
    {29, 841, 0, 0, Smoke::mf_const, 19, 26},	//271 Soprano::Node::toString() const
    {29, 839, 0, 0, Smoke::mf_const, 19, 27},	//272 Soprano::Node::toN3() const
    {29, 350, 0, 0, Smoke::mf_static, 123, 28},	//273 Soprano::Node::createEmptyNode()
    {29, 356, 140, 1, Smoke::mf_static, 123, 29},	//274 Soprano::Node::createResourceNode(const QUrl&)
    {29, 347, 35, 1, Smoke::mf_static, 123, 30},	//275 Soprano::Node::createBlankNode(const QString&)
    {29, 351, 37, 1, Smoke::mf_static, 123, 31},	//276 Soprano::Node::createLiteralNode(const Soprano::LiteralValue&)
    {29, 351, 142, 2, Smoke::mf_static, 123, 32},	//277 Soprano::Node::createLiteralNode(const Soprano::LiteralValue&, const QString&)
    {29, 727, 140, 1, Smoke::mf_static, 19, 33},	//278 Soprano::Node::resourceToN3(const QUrl&)
    {29, 279, 35, 1, Smoke::mf_static, 19, 34},	//279 Soprano::Node::blankToN3(const QString&)
    {29, 573, 37, 1, Smoke::mf_static, 19, 35},	//280 Soprano::Node::literalToN3(const Soprano::LiteralValue&)
    {29, 446, 145, 2, Smoke::mf_static, 123, 36},	//281 Soprano::Node::fromN3(const QString&, QFlags<Soprano::Node::N3ParserFlag>)
    {29, 449, 148, 2, Smoke::mf_static, 123, 37},	//282 Soprano::Node::fromN3Stream(QTextStream&, QFlags<Soprano::Node::N3ParserFlag>)
    {29, 446, 35, 1, Smoke::mf_static, 123, 38},	//283 Soprano::Node::fromN3(const QString&)
    {29, 449, 123, 1, Smoke::mf_static, 123, 39},	//284 Soprano::Node::fromN3Stream(QTextStream&)
    {29, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 40},	//285 Soprano::Node::EmptyNode (enum)
    {29, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 41},	//286 Soprano::Node::ResourceNode (enum)
    {29, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 42},	//287 Soprano::Node::LiteralNode (enum)
    {29, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 43},	//288 Soprano::Node::BlankNode (enum)
    {29, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 44},	//289 Soprano::Node::NoFlags (enum)
    {29, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 45},	//290 Soprano::Node::StrictLiteralTypes (enum)
    {29, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 46},	//291 Soprano::Node::StrictUris (enum)
    {29, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 47},	//292 Soprano::Node::IgnorePrefixes (enum)
    {29, 916, 0, 0, Smoke::mf_dtor, 0, 48 },	//293 Soprano::Node::~Node()
    {30, 118, 0, 0, Smoke::mf_ctor, 130, 1},	//294 Soprano::NodeIterator::NodeIterator()
    {30, 118, 151, 1, Smoke::mf_ctor, 130, 2},	//295 Soprano::NodeIterator::NodeIterator(Soprano::IteratorBackend<Soprano::Node>*)
    {30, 118, 153, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 130, 3},	//296 Soprano::NodeIterator::NodeIterator(const Soprano::NodeIterator&)
    {30, 633, 153, 1, 0, 129, 4},	//297 Soprano::NodeIterator::operator=(const Soprano::NodeIterator&)
    {30, 245, 0, 0, 0, 11, 5},	//298 Soprano::NodeIterator::allNodes()
    {30, 917, 0, 0, Smoke::mf_dtor, 0, 6 },	//299 Soprano::NodeIterator::~NodeIterator()
    {31, 824, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 7, 1},	//300 Soprano::Parser::supportedSerializations() const [pure virtual]
    {31, 826, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 20, 2},	//301 Soprano::Parser::supportedUserSerializations() const
    {31, 830, 59, 2, Smoke::mf_const, 159, 3},	//302 Soprano::Parser::supportsSerialization(Soprano::RdfSerialization, const QString&) const
    {31, 656, 155, 4, Smoke::mf_const|Smoke::mf_virtual, 145, 4},	//303 Soprano::Parser::parseFile(const QString&, const QUrl&, Soprano::RdfSerialization, const QString&) const
    {31, 662, 155, 4, Smoke::mf_const|Smoke::mf_virtual, 145, 5},	//304 Soprano::Parser::parseString(const QString&, const QUrl&, Soprano::RdfSerialization, const QString&) const
    {31, 659, 160, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 145, 6},	//305 Soprano::Parser::parseStream(QTextStream&, const QUrl&, Soprano::RdfSerialization, const QString&) const [pure virtual]
    {31, 129, 35, 1, Smoke::mf_ctor|Smoke::mf_protected, 131, 7},	//306 Soprano::Parser::Parser(const QString&)
    {31, 129, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 131, 8},	//307 Soprano::Parser::Parser(const Soprano::Parser&)
    {31, 830, 62, 1, Smoke::mf_const, 159, 9},	//308 Soprano::Parser::supportsSerialization(Soprano::RdfSerialization) const
    {31, 656, 167, 3, Smoke::mf_const, 145, 10},	//309 Soprano::Parser::parseFile(const QString&, const QUrl&, Soprano::RdfSerialization) const
    {31, 662, 167, 3, Smoke::mf_const, 145, 11},	//310 Soprano::Parser::parseString(const QString&, const QUrl&, Soprano::RdfSerialization) const
    {31, 659, 171, 3, Smoke::mf_const, 145, 12},	//311 Soprano::Parser::parseStream(QTextStream&, const QUrl&, Soprano::RdfSerialization) const
    {31, 918, 0, 0, Smoke::mf_dtor, 0, 13 },	//312 Soprano::Parser::~Parser()
    {32, 673, 0, 0, Smoke::mf_const, 19, 1},	//313 Soprano::Plugin::pluginName() const
    {32, 492, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 159, 2},	//314 Soprano::Plugin::isAvailable() const
    {32, 140, 35, 1, Smoke::mf_ctor|Smoke::mf_protected, 132, 3},	//315 Soprano::Plugin::Plugin(const QString&)
    {32, 140, 175, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 132, 4},	//316 Soprano::Plugin::Plugin(const Soprano::Plugin&)
    {32, 920, 0, 0, Smoke::mf_dtor, 0, 5 },	//317 Soprano::Plugin::~Plugin()
    {33, 602, 0, 0, Smoke::mf_const, 165, 1},	//318 Soprano::PluginManager::metaObject() const
    {33, 688, 10, 1, 0, 200, 2},	//319 Soprano::PluginManager::qt_metacast(const char*)
    {33, 844, 101, 2, Smoke::mf_static, 19, 3},	//320 Soprano::PluginManager::tr(const char*, const char*)
    {33, 848, 101, 2, Smoke::mf_static, 19, 4},	//321 Soprano::PluginManager::trUtf8(const char*, const char*)
    {33, 844, 104, 3, Smoke::mf_static, 19, 5},	//322 Soprano::PluginManager::tr(const char*, const char*, int)
    {33, 848, 104, 3, Smoke::mf_static, 19, 6},	//323 Soprano::PluginManager::trUtf8(const char*, const char*, int)
    {33, 686, 108, 3, 0, 197, 7},	//324 Soprano::PluginManager::qt_metacall(QMetaObject::Call, int, void**)
    {33, 772, 177, 2, 0, 0, 8},	//325 Soprano::PluginManager::setPluginSearchPath(const QStringList&, bool)
    {33, 579, 35, 1, 0, 159, 9},	//326 Soprano::PluginManager::loadCustomPlugin(const QString&)
    {33, 575, 35, 1, 0, 174, 10},	//327 Soprano::PluginManager::loadCustomBackend(const QString&)
    {33, 577, 35, 1, 0, 187, 11},	//328 Soprano::PluginManager::loadCustomParser(const QString&)
    {33, 581, 35, 1, 0, 191, 12},	//329 Soprano::PluginManager::loadCustomSerializer(const QString&)
    {33, 393, 35, 1, 0, 174, 13},	//330 Soprano::PluginManager::discoverBackendByName(const QString&)
    {33, 390, 54, 2, 0, 174, 14},	//331 Soprano::PluginManager::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>, const QStringList&)
    {33, 243, 0, 0, 0, 13, 15},	//332 Soprano::PluginManager::allBackends()
    {33, 395, 35, 1, 0, 187, 16},	//333 Soprano::PluginManager::discoverParserByName(const QString&)
    {33, 397, 59, 2, 0, 187, 17},	//334 Soprano::PluginManager::discoverParserForSerialization(Soprano::RdfSerialization, const QString&)
    {33, 246, 0, 0, 0, 14, 18},	//335 Soprano::PluginManager::allParsers()
    {33, 400, 35, 1, 0, 191, 19},	//336 Soprano::PluginManager::discoverSerializerByName(const QString&)
    {33, 402, 59, 2, 0, 191, 20},	//337 Soprano::PluginManager::discoverSerializerForSerialization(Soprano::RdfSerialization, const QString&)
    {33, 247, 0, 0, 0, 15, 21},	//338 Soprano::PluginManager::allSerializers()
    {33, 484, 0, 0, Smoke::mf_static, 133, 22},	//339 Soprano::PluginManager::instance()
    {33, 844, 10, 1, Smoke::mf_static, 19, 23},	//340 Soprano::PluginManager::tr(const char*)
    {33, 848, 10, 1, Smoke::mf_static, 19, 24},	//341 Soprano::PluginManager::trUtf8(const char*)
    {33, 772, 180, 1, 0, 0, 25},	//342 Soprano::PluginManager::setPluginSearchPath(const QStringList&)
    {33, 390, 57, 1, 0, 174, 26},	//343 Soprano::PluginManager::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>)
    {33, 397, 62, 1, 0, 187, 27},	//344 Soprano::PluginManager::discoverParserForSerialization(Soprano::RdfSerialization)
    {33, 402, 62, 1, 0, 191, 28},	//345 Soprano::PluginManager::discoverSerializerForSerialization(Soprano::RdfSerialization)
    {33, 808, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 164, 29},	//346 Soprano::PluginManager::staticMetaObject() const
    {33, 921, 0, 0, Smoke::mf_dtor, 0, 30 },	//347 Soprano::PluginManager::~PluginManager()
    {34, 151, 0, 0, Smoke::mf_ctor, 137, 1},	//348 Soprano::QueryResultIterator::QueryResultIterator()
    {34, 151, 182, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 137, 2},	//349 Soprano::QueryResultIterator::QueryResultIterator(const Soprano::QueryResultIterator&)
    {34, 151, 184, 1, Smoke::mf_ctor, 137, 3},	//350 Soprano::QueryResultIterator::QueryResultIterator(Soprano::QueryResultIteratorBackend*)
    {34, 633, 182, 1, 0, 136, 4},	//351 Soprano::QueryResultIterator::operator=(const Soprano::QueryResultIterator&)
    {34, 362, 0, 0, Smoke::mf_const, 142, 5},	//352 Soprano::QueryResultIterator::currentStatement() const
    {34, 361, 0, 0, Smoke::mf_const, 104, 6},	//353 Soprano::QueryResultIterator::currentBindings() const
    {34, 282, 0, 0, Smoke::mf_const, 159, 7},	//354 Soprano::QueryResultIterator::boolValue() const
    {34, 638, 186, 1, Smoke::mf_const, 123, 8},	//355 Soprano::QueryResultIterator::operator[](int) const
    {34, 638, 188, 1, Smoke::mf_const, 123, 9},	//356 Soprano::QueryResultIterator::operator[](const QString) const
    {34, 274, 35, 1, Smoke::mf_const, 123, 10},	//357 Soprano::QueryResultIterator::binding(const QString&) const
    {34, 274, 186, 1, Smoke::mf_const, 123, 11},	//358 Soprano::QueryResultIterator::binding(int) const
    {34, 276, 0, 0, Smoke::mf_const, 197, 12},	//359 Soprano::QueryResultIterator::bindingCount() const
    {34, 277, 0, 0, Smoke::mf_const, 20, 13},	//360 Soprano::QueryResultIterator::bindingNames() const
    {34, 510, 0, 0, Smoke::mf_const, 159, 14},	//361 Soprano::QueryResultIterator::isGraph() const
    {34, 493, 0, 0, Smoke::mf_const, 159, 15},	//362 Soprano::QueryResultIterator::isBinding() const
    {34, 495, 0, 0, Smoke::mf_const, 159, 16},	//363 Soprano::QueryResultIterator::isBool() const
    {34, 244, 0, 0, 0, 10, 17},	//364 Soprano::QueryResultIterator::allBindings()
    {34, 540, 0, 0, Smoke::mf_const, 145, 18},	//365 Soprano::QueryResultIterator::iterateStatements() const
    {34, 535, 35, 1, Smoke::mf_const, 128, 19},	//366 Soprano::QueryResultIterator::iterateBindings(const QString&) const
    {34, 535, 186, 1, Smoke::mf_const, 128, 20},	//367 Soprano::QueryResultIterator::iterateBindings(int) const
    {34, 541, 190, 5, Smoke::mf_const, 145, 21},	//368 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&, const QString&, const Soprano::Statement&) const
    {34, 541, 196, 3, Smoke::mf_const, 145, 22},	//369 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&) const
    {34, 541, 200, 4, Smoke::mf_const, 145, 23},	//370 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&, const QString&) const
    {34, 922, 0, 0, Smoke::mf_dtor, 0, 24 },	//371 Soprano::QueryResultIterator::~QueryResultIterator()
    {36, 155, 112, 1, Smoke::mf_ctor, 139, 1},	//372 Soprano::RdfSchemaModel::RdfSchemaModel(Soprano::Model*)
    {36, 297, 0, 0, Smoke::mf_const, 145, 2},	//373 Soprano::RdfSchemaModel::classes() const
    {36, 379, 205, 2, Smoke::mf_const, 145, 3},	//374 Soprano::RdfSchemaModel::directSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 382, 205, 2, Smoke::mf_const, 145, 4},	//375 Soprano::RdfSchemaModel::directSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 385, 205, 2, Smoke::mf_const, 145, 5},	//376 Soprano::RdfSchemaModel::directType(const Soprano::Node&, const Soprano::Node&) const
    {36, 408, 205, 2, Smoke::mf_const, 145, 6},	//377 Soprano::RdfSchemaModel::domain(const Soprano::Node&, const Soprano::Node&) const
    {36, 683, 0, 0, Smoke::mf_const, 145, 7},	//378 Soprano::RdfSchemaModel::properties() const
    {36, 691, 205, 2, Smoke::mf_const, 145, 8},	//379 Soprano::RdfSchemaModel::range(const Soprano::Node&, const Soprano::Node&) const
    {36, 812, 205, 2, Smoke::mf_const, 145, 9},	//380 Soprano::RdfSchemaModel::subClassOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 816, 205, 2, Smoke::mf_const, 145, 10},	//381 Soprano::RdfSchemaModel::subPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 855, 205, 2, Smoke::mf_const, 145, 11},	//382 Soprano::RdfSchemaModel::type(const Soprano::Node&, const Soprano::Node&) const
    {36, 496, 33, 1, Smoke::mf_const, 159, 12},	//383 Soprano::RdfSchemaModel::isClass(const Soprano::Node&) const
    {36, 518, 33, 1, Smoke::mf_const, 159, 13},	//384 Soprano::RdfSchemaModel::isProperty(const Soprano::Node&) const
    {36, 501, 205, 2, Smoke::mf_const, 159, 14},	//385 Soprano::RdfSchemaModel::isDirectSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 503, 205, 2, Smoke::mf_const, 159, 15},	//386 Soprano::RdfSchemaModel::isDirectSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 505, 205, 2, Smoke::mf_const, 159, 16},	//387 Soprano::RdfSchemaModel::isDirectType(const Soprano::Node&, const Soprano::Node&) const
    {36, 525, 205, 2, Smoke::mf_const, 159, 17},	//388 Soprano::RdfSchemaModel::isSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 527, 205, 2, Smoke::mf_const, 159, 18},	//389 Soprano::RdfSchemaModel::isSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 531, 205, 2, Smoke::mf_const, 159, 19},	//390 Soprano::RdfSchemaModel::isType(const Soprano::Node&, const Soprano::Node&) const
    {36, 155, 0, 0, Smoke::mf_ctor, 139, 20},	//391 Soprano::RdfSchemaModel::RdfSchemaModel()
    {36, 379, 33, 1, Smoke::mf_const, 145, 21},	//392 Soprano::RdfSchemaModel::directSubClassOf(const Soprano::Node&) const
    {36, 382, 33, 1, Smoke::mf_const, 145, 22},	//393 Soprano::RdfSchemaModel::directSubPropertyOf(const Soprano::Node&) const
    {36, 812, 33, 1, Smoke::mf_const, 145, 23},	//394 Soprano::RdfSchemaModel::subClassOf(const Soprano::Node&) const
    {36, 816, 33, 1, Smoke::mf_const, 145, 24},	//395 Soprano::RdfSchemaModel::subPropertyOf(const Soprano::Node&) const
    {36, 923, 0, 0, Smoke::mf_dtor, 0, 25 },	//396 Soprano::RdfSchemaModel::~RdfSchemaModel()
    {37, 824, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 7, 1},	//397 Soprano::Serializer::supportedSerializations() const [pure virtual]
    {37, 826, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 20, 2},	//398 Soprano::Serializer::supportedUserSerializations() const
    {37, 830, 59, 2, Smoke::mf_const, 159, 3},	//399 Soprano::Serializer::supportsSerialization(Soprano::RdfSerialization, const QString&) const
    {37, 750, 208, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 4},	//400 Soprano::Serializer::serialize(Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization, const QString&) const [pure virtual]
    {37, 222, 213, 2, Smoke::mf_const, 0, 5},	//401 Soprano::Serializer::addPrefix(const QString&, const QUrl&) const
    {37, 300, 0, 0, Smoke::mf_const, 0, 6},	//402 Soprano::Serializer::clearPrefixes() const
    {37, 679, 0, 0, Smoke::mf_const, 8, 7},	//403 Soprano::Serializer::prefixes() const
    {37, 180, 35, 1, Smoke::mf_ctor|Smoke::mf_protected, 141, 8},	//404 Soprano::Serializer::Serializer(const QString&)
    {37, 180, 216, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 141, 9},	//405 Soprano::Serializer::Serializer(const Soprano::Serializer&)
    {37, 830, 62, 1, Smoke::mf_const, 159, 10},	//406 Soprano::Serializer::supportsSerialization(Soprano::RdfSerialization) const
    {37, 750, 218, 3, Smoke::mf_const, 159, 11},	//407 Soprano::Serializer::serialize(Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization) const
    {37, 925, 0, 0, Smoke::mf_dtor, 0, 12 },	//408 Soprano::Serializer::~Serializer()
    {38, 196, 0, 0, Smoke::mf_ctor, 144, 1},	//409 Soprano::Statement::Statement()
    {38, 196, 114, 4, Smoke::mf_ctor, 144, 2},	//410 Soprano::Statement::Statement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {38, 196, 39, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 3},	//411 Soprano::Statement::Statement(const Soprano::Statement&)
    {38, 633, 39, 1, 0, 143, 4},	//412 Soprano::Statement::operator=(const Soprano::Statement&)
    {38, 635, 39, 1, Smoke::mf_const, 159, 5},	//413 Soprano::Statement::operator==(const Soprano::Statement&) const
    {38, 629, 39, 1, Smoke::mf_const, 159, 6},	//414 Soprano::Statement::operator!=(const Soprano::Statement&) const
    {38, 591, 39, 1, Smoke::mf_const, 159, 7},	//415 Soprano::Statement::matches(const Soprano::Statement&) const
    {38, 533, 0, 0, Smoke::mf_const, 159, 8},	//416 Soprano::Statement::isValid() const
    {38, 819, 0, 0, Smoke::mf_const, 123, 9},	//417 Soprano::Statement::subject() const
    {38, 676, 0, 0, Smoke::mf_const, 123, 10},	//418 Soprano::Statement::predicate() const
    {38, 624, 0, 0, Smoke::mf_const, 123, 11},	//419 Soprano::Statement::object() const
    {38, 343, 0, 0, Smoke::mf_const, 123, 12},	//420 Soprano::Statement::context() const
    {38, 782, 33, 1, 0, 0, 13},	//421 Soprano::Statement::setSubject(const Soprano::Node&)
    {38, 775, 33, 1, 0, 0, 14},	//422 Soprano::Statement::setPredicate(const Soprano::Node&)
    {38, 766, 33, 1, 0, 0, 15},	//423 Soprano::Statement::setObject(const Soprano::Node&)
    {38, 757, 33, 1, 0, 0, 16},	//424 Soprano::Statement::setContext(const Soprano::Node&)
    {38, 196, 125, 3, Smoke::mf_ctor, 144, 17},	//425 Soprano::Statement::Statement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {38, 929, 0, 0, Smoke::mf_dtor, 0, 18 },	//426 Soprano::Statement::~Statement()
    {39, 200, 0, 0, Smoke::mf_ctor, 147, 1},	//427 Soprano::StatementIterator::StatementIterator()
    {39, 200, 222, 1, Smoke::mf_ctor, 147, 2},	//428 Soprano::StatementIterator::StatementIterator(Soprano::IteratorBackend<Soprano::Statement>*)
    {39, 200, 224, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 147, 3},	//429 Soprano::StatementIterator::StatementIterator(const Soprano::StatementIterator&)
    {39, 633, 224, 1, 0, 146, 4},	//430 Soprano::StatementIterator::operator=(const Soprano::StatementIterator&)
    {39, 248, 0, 0, 0, 12, 5},	//431 Soprano::StatementIterator::allStatements()
    {39, 545, 0, 0, Smoke::mf_const, 128, 6},	//432 Soprano::StatementIterator::iterateSubjects() const
    {39, 539, 0, 0, Smoke::mf_const, 128, 7},	//433 Soprano::StatementIterator::iteratePredicates() const
    {39, 538, 0, 0, Smoke::mf_const, 128, 8},	//434 Soprano::StatementIterator::iterateObjects() const
    {39, 537, 0, 0, Smoke::mf_const, 128, 9},	//435 Soprano::StatementIterator::iterateContexts() const
    {39, 930, 0, 0, Smoke::mf_dtor, 0, 10 },	//436 Soprano::StatementIterator::~StatementIterator()
    {40, 602, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 165, 1},	//437 Soprano::StorageModel::metaObject() const
    {40, 688, 10, 1, Smoke::mf_virtual, 200, 2},	//438 Soprano::StorageModel::qt_metacast(const char*)
    {40, 844, 101, 2, Smoke::mf_static, 19, 3},	//439 Soprano::StorageModel::tr(const char*, const char*)
    {40, 848, 101, 2, Smoke::mf_static, 19, 4},	//440 Soprano::StorageModel::trUtf8(const char*, const char*)
    {40, 844, 104, 3, Smoke::mf_static, 19, 5},	//441 Soprano::StorageModel::tr(const char*, const char*, int)
    {40, 848, 104, 3, Smoke::mf_static, 19, 6},	//442 Soprano::StorageModel::trUtf8(const char*, const char*, int)
    {40, 686, 108, 3, Smoke::mf_virtual, 197, 7},	//443 Soprano::StorageModel::qt_metacall(QMetaObject::Call, int, void**)
    {40, 507, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 159, 8},	//444 Soprano::StorageModel::isEmpty() const
    {40, 330, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 159, 9},	//445 Soprano::StorageModel::containsStatement(const Soprano::Statement&) const
    {40, 320, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 159, 10},	//446 Soprano::StorageModel::containsAnyStatement(const Soprano::Statement&) const
    {40, 704, 39, 1, Smoke::mf_virtual, 109, 11},	//447 Soprano::StorageModel::removeAllStatements(const Soprano::Statement&)
    {40, 269, 0, 0, Smoke::mf_const, 174, 12},	//448 Soprano::StorageModel::backend() const
    {40, 704, 114, 4, 0, 109, 13},	//449 Soprano::StorageModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {40, 704, 0, 0, 0, 109, 14},	//450 Soprano::StorageModel::removeAllStatements()
    {40, 330, 114, 4, Smoke::mf_const, 159, 15},	//451 Soprano::StorageModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {40, 320, 114, 4, Smoke::mf_const, 159, 16},	//452 Soprano::StorageModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {40, 203, 14, 1, Smoke::mf_ctor|Smoke::mf_protected, 148, 17},	//453 Soprano::StorageModel::StorageModel(const Soprano::Backend*)
    {40, 844, 10, 1, Smoke::mf_static, 19, 18},	//454 Soprano::StorageModel::tr(const char*)
    {40, 848, 10, 1, Smoke::mf_static, 19, 19},	//455 Soprano::StorageModel::trUtf8(const char*)
    {40, 704, 125, 3, 0, 109, 20},	//456 Soprano::StorageModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {40, 330, 125, 3, Smoke::mf_const, 159, 21},	//457 Soprano::StorageModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {40, 320, 125, 3, Smoke::mf_const, 159, 22},	//458 Soprano::StorageModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {40, 808, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 164, 23},	//459 Soprano::StorageModel::staticMetaObject() const
    {40, 931, 0, 0, Smoke::mf_dtor, 0, 24 },	//460 Soprano::StorageModel::~StorageModel()
    {41, 602, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 165, 1},	//461 Soprano::Util::AsyncModel::metaObject() const
    {41, 688, 10, 1, Smoke::mf_virtual, 200, 2},	//462 Soprano::Util::AsyncModel::qt_metacast(const char*)
    {41, 844, 101, 2, Smoke::mf_static, 19, 3},	//463 Soprano::Util::AsyncModel::tr(const char*, const char*)
    {41, 848, 101, 2, Smoke::mf_static, 19, 4},	//464 Soprano::Util::AsyncModel::trUtf8(const char*, const char*)
    {41, 844, 104, 3, Smoke::mf_static, 19, 5},	//465 Soprano::Util::AsyncModel::tr(const char*, const char*, int)
    {41, 848, 104, 3, Smoke::mf_static, 19, 6},	//466 Soprano::Util::AsyncModel::trUtf8(const char*, const char*, int)
    {41, 686, 108, 3, Smoke::mf_virtual, 197, 7},	//467 Soprano::Util::AsyncModel::qt_metacall(QMetaObject::Call, int, void**)
    {41, 9, 112, 1, Smoke::mf_ctor, 149, 8},	//468 Soprano::Util::AsyncModel::AsyncModel(Soprano::Model*)
    {41, 764, 226, 1, 0, 0, 9},	//469 Soprano::Util::AsyncModel::setMode(Soprano::Util::AsyncModel::AsyncModelMode)
    {41, 608, 0, 0, Smoke::mf_const, 150, 10},	//470 Soprano::Util::AsyncModel::mode() const
    {41, 230, 39, 1, 0, 152, 11},	//471 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Statement&)
    {41, 230, 114, 4, 0, 152, 12},	//472 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 236, 138, 1, 0, 152, 13},	//473 Soprano::Util::AsyncModel::addStatementsAsync(const QList<Soprano::Statement>&)
    {41, 718, 39, 1, 0, 152, 14},	//474 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Statement&)
    {41, 718, 114, 4, 0, 152, 15},	//475 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 724, 138, 1, 0, 152, 16},	//476 Soprano::Util::AsyncModel::removeStatementsAsync(const QList<Soprano::Statement>&)
    {41, 708, 39, 1, 0, 152, 17},	//477 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Statement&)
    {41, 708, 114, 4, 0, 152, 18},	//478 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 508, 0, 0, Smoke::mf_const, 152, 19},	//479 Soprano::Util::AsyncModel::isEmptyAsync() const
    {41, 802, 0, 0, Smoke::mf_const, 152, 20},	//480 Soprano::Util::AsyncModel::statementCountAsync() const
    {41, 566, 39, 1, Smoke::mf_const, 152, 21},	//481 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Statement&) const
    {41, 566, 114, 4, Smoke::mf_const, 152, 22},	//482 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 566, 0, 0, Smoke::mf_const, 152, 23},	//483 Soprano::Util::AsyncModel::listStatementsAsync() const
    {41, 561, 0, 0, Smoke::mf_const, 152, 24},	//484 Soprano::Util::AsyncModel::listContextsAsync() const
    {41, 423, 119, 3, Smoke::mf_const, 152, 25},	//485 Soprano::Util::AsyncModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {41, 334, 39, 1, Smoke::mf_const, 152, 26},	//486 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Statement&) const
    {41, 334, 114, 4, Smoke::mf_const, 152, 27},	//487 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 324, 39, 1, Smoke::mf_const, 152, 28},	//488 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Statement&) const
    {41, 324, 114, 4, Smoke::mf_const, 152, 29},	//489 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 349, 0, 0, 0, 152, 30},	//490 Soprano::Util::AsyncModel::createBlankNodeAsync()
    {41, 562, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 145, 31},	//491 Soprano::Util::AsyncModel::listStatements(const Soprano::Statement&) const
    {41, 560, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 128, 32},	//492 Soprano::Util::AsyncModel::listContexts() const
    {41, 418, 119, 3, Smoke::mf_const|Smoke::mf_virtual, 135, 33},	//493 Soprano::Util::AsyncModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {41, 226, 39, 1, Smoke::mf_virtual, 109, 34},	//494 Soprano::Util::AsyncModel::addStatement(const Soprano::Statement&)
    {41, 226, 114, 4, 0, 109, 35},	//495 Soprano::Util::AsyncModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 714, 39, 1, Smoke::mf_virtual, 109, 36},	//496 Soprano::Util::AsyncModel::removeStatement(const Soprano::Statement&)
    {41, 714, 114, 4, 0, 109, 37},	//497 Soprano::Util::AsyncModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 704, 39, 1, Smoke::mf_virtual, 109, 38},	//498 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Statement&)
    {41, 704, 114, 4, 0, 109, 39},	//499 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 704, 0, 0, 0, 109, 40},	//500 Soprano::Util::AsyncModel::removeAllStatements()
    {41, 562, 114, 4, Smoke::mf_const, 145, 41},	//501 Soprano::Util::AsyncModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 562, 0, 0, Smoke::mf_const, 145, 42},	//502 Soprano::Util::AsyncModel::listStatements() const
    {41, 330, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 159, 43},	//503 Soprano::Util::AsyncModel::containsStatement(const Soprano::Statement&) const
    {41, 330, 114, 4, Smoke::mf_const, 159, 44},	//504 Soprano::Util::AsyncModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 320, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 159, 45},	//505 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Statement&) const
    {41, 320, 114, 4, Smoke::mf_const, 159, 46},	//506 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 844, 10, 1, Smoke::mf_static, 19, 47},	//507 Soprano::Util::AsyncModel::tr(const char*)
    {41, 848, 10, 1, Smoke::mf_static, 19, 48},	//508 Soprano::Util::AsyncModel::trUtf8(const char*)
    {41, 9, 0, 0, Smoke::mf_ctor, 149, 49},	//509 Soprano::Util::AsyncModel::AsyncModel()
    {41, 230, 125, 3, 0, 152, 50},	//510 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 718, 125, 3, 0, 152, 51},	//511 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 708, 125, 3, 0, 152, 52},	//512 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 566, 125, 3, Smoke::mf_const, 152, 53},	//513 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 423, 129, 2, Smoke::mf_const, 152, 54},	//514 Soprano::Util::AsyncModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage) const
    {41, 334, 125, 3, Smoke::mf_const, 152, 55},	//515 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 324, 125, 3, Smoke::mf_const, 152, 56},	//516 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 418, 129, 2, Smoke::mf_const, 135, 57},	//517 Soprano::Util::AsyncModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {41, 226, 125, 3, 0, 109, 58},	//518 Soprano::Util::AsyncModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 714, 125, 3, 0, 109, 59},	//519 Soprano::Util::AsyncModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 704, 125, 3, 0, 109, 60},	//520 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 562, 125, 3, Smoke::mf_const, 145, 61},	//521 Soprano::Util::AsyncModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 330, 125, 3, Smoke::mf_const, 159, 62},	//522 Soprano::Util::AsyncModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 320, 125, 3, Smoke::mf_const, 159, 63},	//523 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 808, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 164, 64},	//524 Soprano::Util::AsyncModel::staticMetaObject() const
    {41, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 65},	//525 Soprano::Util::AsyncModel::SingleThreaded (enum)
    {41, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 66},	//526 Soprano::Util::AsyncModel::MultiThreaded (enum)
    {41, 906, 0, 0, Smoke::mf_dtor, 0, 67 },	//527 Soprano::Util::AsyncModel::~AsyncModel()
    {42, 602, 0, 0, Smoke::mf_const, 165, 1},	//528 Soprano::Util::AsyncQuery::metaObject() const
    {42, 688, 10, 1, 0, 200, 2},	//529 Soprano::Util::AsyncQuery::qt_metacast(const char*)
    {42, 844, 101, 2, Smoke::mf_static, 19, 3},	//530 Soprano::Util::AsyncQuery::tr(const char*, const char*)
    {42, 848, 101, 2, Smoke::mf_static, 19, 4},	//531 Soprano::Util::AsyncQuery::trUtf8(const char*, const char*)
    {42, 844, 104, 3, Smoke::mf_static, 19, 5},	//532 Soprano::Util::AsyncQuery::tr(const char*, const char*, int)
    {42, 848, 104, 3, Smoke::mf_static, 19, 6},	//533 Soprano::Util::AsyncQuery::trUtf8(const char*, const char*, int)
    {42, 686, 108, 3, 0, 197, 7},	//534 Soprano::Util::AsyncQuery::qt_metacall(QMetaObject::Call, int, void**)
    {42, 362, 0, 0, Smoke::mf_const, 142, 8},	//535 Soprano::Util::AsyncQuery::currentStatement() const
    {42, 361, 0, 0, Smoke::mf_const, 104, 9},	//536 Soprano::Util::AsyncQuery::currentBindings() const
    {42, 282, 0, 0, Smoke::mf_const, 159, 10},	//537 Soprano::Util::AsyncQuery::boolValue() const
    {42, 274, 35, 1, Smoke::mf_const, 123, 11},	//538 Soprano::Util::AsyncQuery::binding(const QString&) const
    {42, 274, 186, 1, Smoke::mf_const, 123, 12},	//539 Soprano::Util::AsyncQuery::binding(int) const
    {42, 276, 0, 0, Smoke::mf_const, 197, 13},	//540 Soprano::Util::AsyncQuery::bindingCount() const
    {42, 277, 0, 0, Smoke::mf_const, 20, 14},	//541 Soprano::Util::AsyncQuery::bindingNames() const
    {42, 510, 0, 0, Smoke::mf_const, 159, 15},	//542 Soprano::Util::AsyncQuery::isGraph() const
    {42, 493, 0, 0, Smoke::mf_const, 159, 16},	//543 Soprano::Util::AsyncQuery::isBinding() const
    {42, 495, 0, 0, Smoke::mf_const, 159, 17},	//544 Soprano::Util::AsyncQuery::isBool() const
    {42, 615, 0, 0, Smoke::mf_slot, 159, 18},	//545 Soprano::Util::AsyncQuery::next()
    {42, 301, 0, 0, Smoke::mf_slot, 0, 19},	//546 Soprano::Util::AsyncQuery::close()
    {42, 616, 228, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//547 Soprano::Util::AsyncQuery::nextReady(Soprano::Util::AsyncQuery*)
    {42, 435, 228, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//548 Soprano::Util::AsyncQuery::finished(Soprano::Util::AsyncQuery*)
    {42, 418, 230, 4, Smoke::mf_static, 151, 22},	//549 Soprano::Util::AsyncQuery::executeQuery(Soprano::Model*, const QString&, Soprano::Query::QueryLanguage, const QString&)
    {42, 844, 10, 1, Smoke::mf_static, 19, 23},	//550 Soprano::Util::AsyncQuery::tr(const char*)
    {42, 848, 10, 1, Smoke::mf_static, 19, 24},	//551 Soprano::Util::AsyncQuery::trUtf8(const char*)
    {42, 418, 235, 3, Smoke::mf_static, 151, 25},	//552 Soprano::Util::AsyncQuery::executeQuery(Soprano::Model*, const QString&, Soprano::Query::QueryLanguage)
    {42, 808, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 164, 26},	//553 Soprano::Util::AsyncQuery::staticMetaObject() const
    {42, 907, 0, 0, Smoke::mf_dtor, 0, 27 },	//554 Soprano::Util::AsyncQuery::~AsyncQuery()
    {43, 602, 0, 0, Smoke::mf_const, 165, 1},	//555 Soprano::Util::AsyncResult::metaObject() const
    {43, 688, 10, 1, 0, 200, 2},	//556 Soprano::Util::AsyncResult::qt_metacast(const char*)
    {43, 844, 101, 2, Smoke::mf_static, 19, 3},	//557 Soprano::Util::AsyncResult::tr(const char*, const char*)
    {43, 848, 101, 2, Smoke::mf_static, 19, 4},	//558 Soprano::Util::AsyncResult::trUtf8(const char*, const char*)
    {43, 844, 104, 3, Smoke::mf_static, 19, 5},	//559 Soprano::Util::AsyncResult::tr(const char*, const char*, int)
    {43, 848, 104, 3, Smoke::mf_static, 19, 6},	//560 Soprano::Util::AsyncResult::trUtf8(const char*, const char*, int)
    {43, 686, 108, 3, 0, 197, 7},	//561 Soprano::Util::AsyncResult::qt_metacall(QMetaObject::Call, int, void**)
    {43, 730, 239, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//562 Soprano::Util::AsyncResult::resultReady(Soprano::Util::AsyncResult*)
    {43, 358, 0, 0, Smoke::mf_static, 152, 9},	//563 Soprano::Util::AsyncResult::createResult()
    {43, 872, 0, 0, Smoke::mf_const, 25, 10},	//564 Soprano::Util::AsyncResult::value() const
    {43, 415, 0, 0, Smoke::mf_const, 109, 11},	//565 Soprano::Util::AsyncResult::errorCode() const
    {43, 803, 0, 0, Smoke::mf_const, 145, 12},	//566 Soprano::Util::AsyncResult::statementIterator() const
    {43, 620, 0, 0, Smoke::mf_const, 128, 13},	//567 Soprano::Util::AsyncResult::nodeIterator() const
    {43, 690, 0, 0, Smoke::mf_const, 135, 14},	//568 Soprano::Util::AsyncResult::queryResultIterator() const
    {43, 619, 0, 0, Smoke::mf_const, 123, 15},	//569 Soprano::Util::AsyncResult::node() const
    {43, 778, 241, 2, 0, 0, 16},	//570 Soprano::Util::AsyncResult::setResult(const QVariant&, const Soprano::Error::Error&)
    {43, 844, 10, 1, Smoke::mf_static, 19, 17},	//571 Soprano::Util::AsyncResult::tr(const char*)
    {43, 848, 10, 1, Smoke::mf_static, 19, 18},	//572 Soprano::Util::AsyncResult::trUtf8(const char*)
    {43, 808, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 164, 19},	//573 Soprano::Util::AsyncResult::staticMetaObject() const
    {43, 908, 0, 0, Smoke::mf_dtor, 0, 20 },	//574 Soprano::Util::AsyncResult::~AsyncResult()
    {44, 602, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 165, 1},	//575 Soprano::Util::ReadOnlyModel::metaObject() const
    {44, 688, 10, 1, Smoke::mf_virtual, 200, 2},	//576 Soprano::Util::ReadOnlyModel::qt_metacast(const char*)
    {44, 844, 101, 2, Smoke::mf_static, 19, 3},	//577 Soprano::Util::ReadOnlyModel::tr(const char*, const char*)
    {44, 848, 101, 2, Smoke::mf_static, 19, 4},	//578 Soprano::Util::ReadOnlyModel::trUtf8(const char*, const char*)
    {44, 844, 104, 3, Smoke::mf_static, 19, 5},	//579 Soprano::Util::ReadOnlyModel::tr(const char*, const char*, int)
    {44, 848, 104, 3, Smoke::mf_static, 19, 6},	//580 Soprano::Util::ReadOnlyModel::trUtf8(const char*, const char*, int)
    {44, 686, 108, 3, Smoke::mf_virtual, 197, 7},	//581 Soprano::Util::ReadOnlyModel::qt_metacall(QMetaObject::Call, int, void**)
    {44, 157, 112, 1, Smoke::mf_ctor, 153, 8},	//582 Soprano::Util::ReadOnlyModel::ReadOnlyModel(Soprano::Model*)
    {44, 770, 112, 1, 0, 0, 9},	//583 Soprano::Util::ReadOnlyModel::setParentModel(Soprano::Model*)
    {44, 562, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 145, 10},	//584 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Statement&) const
    {44, 560, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 128, 11},	//585 Soprano::Util::ReadOnlyModel::listContexts() const
    {44, 418, 119, 3, Smoke::mf_const|Smoke::mf_virtual, 135, 12},	//586 Soprano::Util::ReadOnlyModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {44, 330, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 159, 13},	//587 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Statement&) const
    {44, 320, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 159, 14},	//588 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Statement&) const
    {44, 507, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 159, 15},	//589 Soprano::Util::ReadOnlyModel::isEmpty() const
    {44, 801, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 16},	//590 Soprano::Util::ReadOnlyModel::statementCount() const
    {44, 226, 39, 1, Smoke::mf_virtual, 109, 17},	//591 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Statement&)
    {44, 714, 39, 1, Smoke::mf_virtual, 109, 18},	//592 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Statement&)
    {44, 704, 39, 1, Smoke::mf_virtual, 109, 19},	//593 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Statement&)
    {44, 347, 0, 0, Smoke::mf_virtual, 123, 20},	//594 Soprano::Util::ReadOnlyModel::createBlankNode()
    {44, 226, 114, 4, 0, 109, 21},	//595 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 714, 114, 4, 0, 109, 22},	//596 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 704, 114, 4, 0, 109, 23},	//597 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 704, 0, 0, 0, 109, 24},	//598 Soprano::Util::ReadOnlyModel::removeAllStatements()
    {44, 562, 114, 4, Smoke::mf_const, 145, 25},	//599 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 562, 0, 0, Smoke::mf_const, 145, 26},	//600 Soprano::Util::ReadOnlyModel::listStatements() const
    {44, 330, 114, 4, Smoke::mf_const, 159, 27},	//601 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 320, 114, 4, Smoke::mf_const, 159, 28},	//602 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 844, 10, 1, Smoke::mf_static, 19, 29},	//603 Soprano::Util::ReadOnlyModel::tr(const char*)
    {44, 848, 10, 1, Smoke::mf_static, 19, 30},	//604 Soprano::Util::ReadOnlyModel::trUtf8(const char*)
    {44, 157, 0, 0, Smoke::mf_ctor, 153, 31},	//605 Soprano::Util::ReadOnlyModel::ReadOnlyModel()
    {44, 418, 129, 2, Smoke::mf_const, 135, 32},	//606 Soprano::Util::ReadOnlyModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {44, 226, 125, 3, 0, 109, 33},	//607 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 714, 125, 3, 0, 109, 34},	//608 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 704, 125, 3, 0, 109, 35},	//609 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 562, 125, 3, Smoke::mf_const, 145, 36},	//610 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 330, 125, 3, Smoke::mf_const, 159, 37},	//611 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 320, 125, 3, Smoke::mf_const, 159, 38},	//612 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 808, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 164, 39},	//613 Soprano::Util::ReadOnlyModel::staticMetaObject() const
    {44, 924, 0, 0, Smoke::mf_dtor, 0, 40 },	//614 Soprano::Util::ReadOnlyModel::~ReadOnlyModel()
    {45, 602, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 165, 1},	//615 Soprano::Util::SignalCacheModel::metaObject() const
    {45, 688, 10, 1, Smoke::mf_virtual, 200, 2},	//616 Soprano::Util::SignalCacheModel::qt_metacast(const char*)
    {45, 844, 101, 2, Smoke::mf_static, 19, 3},	//617 Soprano::Util::SignalCacheModel::tr(const char*, const char*)
    {45, 848, 101, 2, Smoke::mf_static, 19, 4},	//618 Soprano::Util::SignalCacheModel::trUtf8(const char*, const char*)
    {45, 844, 104, 3, Smoke::mf_static, 19, 5},	//619 Soprano::Util::SignalCacheModel::tr(const char*, const char*, int)
    {45, 848, 104, 3, Smoke::mf_static, 19, 6},	//620 Soprano::Util::SignalCacheModel::trUtf8(const char*, const char*, int)
    {45, 686, 108, 3, Smoke::mf_virtual, 197, 7},	//621 Soprano::Util::SignalCacheModel::qt_metacall(QMetaObject::Call, int, void**)
    {45, 183, 112, 1, Smoke::mf_ctor, 154, 8},	//622 Soprano::Util::SignalCacheModel::SignalCacheModel(Soprano::Model*)
    {45, 284, 0, 0, Smoke::mf_const, 197, 9},	//623 Soprano::Util::SignalCacheModel::cacheTime() const
    {45, 753, 186, 1, Smoke::mf_slot, 0, 10},	//624 Soprano::Util::SignalCacheModel::setCacheTime(int)
    {45, 654, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//625 Soprano::Util::SignalCacheModel::parentStatementsAdded()
    {45, 655, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//626 Soprano::Util::SignalCacheModel::parentStatementsRemoved()
    {45, 835, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//627 Soprano::Util::SignalCacheModel::timerEvent(QTimerEvent*)
    {45, 844, 10, 1, Smoke::mf_static, 19, 14},	//628 Soprano::Util::SignalCacheModel::tr(const char*)
    {45, 848, 10, 1, Smoke::mf_static, 19, 15},	//629 Soprano::Util::SignalCacheModel::trUtf8(const char*)
    {45, 183, 0, 0, Smoke::mf_ctor, 154, 16},	//630 Soprano::Util::SignalCacheModel::SignalCacheModel()
    {45, 808, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 164, 17},	//631 Soprano::Util::SignalCacheModel::staticMetaObject() const
    {45, 926, 0, 0, Smoke::mf_dtor, 0, 18 },	//632 Soprano::Util::SignalCacheModel::~SignalCacheModel()
    {46, 185, 0, 0, Smoke::mf_ctor, 156, 1},	//633 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator()
    {46, 185, 244, 1, Smoke::mf_ctor, 156, 2},	//634 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator(const QList<Soprano::Node>&)
    {46, 185, 246, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 156, 3},	//635 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator(const Soprano::Util::SimpleNodeIterator&)
    {46, 633, 244, 1, 0, 155, 4},	//636 Soprano::Util::SimpleNodeIterator::operator=(const QList<Soprano::Node>&)
    {46, 633, 246, 1, 0, 155, 5},	//637 Soprano::Util::SimpleNodeIterator::operator=(const Soprano::Util::SimpleNodeIterator&)
    {46, 927, 0, 0, Smoke::mf_dtor, 0, 6 },	//638 Soprano::Util::SimpleNodeIterator::~SimpleNodeIterator()
    {47, 188, 0, 0, Smoke::mf_ctor, 158, 1},	//639 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator()
    {47, 188, 138, 1, Smoke::mf_ctor, 158, 2},	//640 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator(const QList<Soprano::Statement>&)
    {47, 188, 248, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 158, 3},	//641 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator(const Soprano::Util::SimpleStatementIterator&)
    {47, 633, 138, 1, 0, 157, 4},	//642 Soprano::Util::SimpleStatementIterator::operator=(const QList<Soprano::Statement>&)
    {47, 633, 248, 1, 0, 157, 5},	//643 Soprano::Util::SimpleStatementIterator::operator=(const Soprano::Util::SimpleStatementIterator&)
    {47, 928, 0, 0, Smoke::mf_dtor, 0, 6 },	//644 Soprano::Util::SimpleStatementIterator::~SimpleStatementIterator()
    {48, 552, 0, 0, Smoke::mf_static, 24, 1},	//645 Soprano::Vocabulary::NAO::lastModified()
    {48, 464, 0, 0, Smoke::mf_static, 24, 2},	//646 Soprano::Vocabulary::NAO::hasSuperResource()
    {48, 360, 0, 0, Smoke::mf_static, 24, 3},	//647 Soprano::Vocabulary::NAO::creator()
    {48, 377, 0, 0, Smoke::mf_static, 24, 4},	//648 Soprano::Vocabulary::NAO::description()
    {48, 499, 0, 0, Smoke::mf_static, 24, 5},	//649 Soprano::Vocabulary::NAO::isDataGraphFor()
    {48, 477, 0, 0, Smoke::mf_static, 24, 6},	//650 Soprano::Vocabulary::NAO::iconName()
    {48, 678, 0, 0, Smoke::mf_static, 24, 7},	//651 Soprano::Vocabulary::NAO::prefSymbol()
    {48, 612, 0, 0, Smoke::mf_static, 24, 8},	//652 Soprano::Vocabulary::NAO::naoNamespace()
    {48, 459, 0, 0, Smoke::mf_static, 24, 9},	//653 Soprano::Vocabulary::NAO::hasDefaultNamespace()
    {48, 375, 0, 0, Smoke::mf_static, 24, 10},	//654 Soprano::Vocabulary::NAO::deprecated()
    {48, 250, 0, 0, Smoke::mf_static, 24, 11},	//655 Soprano::Vocabulary::NAO::altLabel()
    {48, 344, 0, 0, Smoke::mf_static, 24, 12},	//656 Soprano::Vocabulary::NAO::contributor()
    {48, 529, 0, 0, Smoke::mf_static, 24, 13},	//657 Soprano::Vocabulary::NAO::isTagFor()
    {48, 609, 0, 0, Smoke::mf_static, 24, 14},	//658 Soprano::Vocabulary::NAO::modified()
    {48, 809, 0, 0, Smoke::mf_static, 24, 15},	//659 Soprano::Vocabulary::NAO::status()
    {48, 83, 0, 0, Smoke::mf_static, 24, 16},	//660 Soprano::Vocabulary::NAO::FreeDesktopIcon()
    {48, 251, 0, 0, Smoke::mf_static, 24, 17},	//661 Soprano::Vocabulary::NAO::altSymbol()
    {48, 674, 0, 0, Smoke::mf_static, 24, 18},	//662 Soprano::Vocabulary::NAO::pluralPrefLabel()
    {48, 467, 0, 0, Smoke::mf_static, 24, 19},	//663 Soprano::Vocabulary::NAO::hasTopic()
    {48, 588, 0, 0, Smoke::mf_static, 24, 20},	//664 Soprano::Vocabulary::NAO::maintainedBy()
    {48, 740, 0, 0, Smoke::mf_static, 24, 21},	//665 Soprano::Vocabulary::NAO::score()
    {48, 210, 0, 0, Smoke::mf_static, 24, 22},	//666 Soprano::Vocabulary::NAO::Tag()
    {48, 870, 0, 0, Smoke::mf_static, 24, 23},	//667 Soprano::Vocabulary::NAO::userVisible()
    {48, 746, 0, 0, Smoke::mf_static, 24, 24},	//668 Soprano::Vocabulary::NAO::serializationLanguage()
    {48, 252, 0, 0, Smoke::mf_static, 24, 25},	//669 Soprano::Vocabulary::NAO::annotation()
    {48, 677, 0, 0, Smoke::mf_static, 24, 26},	//670 Soprano::Vocabulary::NAO::prefLabel()
    {48, 879, 0, 0, Smoke::mf_static, 24, 27},	//671 Soprano::Vocabulary::NAO::version()
    {48, 669, 0, 0, Smoke::mf_static, 24, 28},	//672 Soprano::Vocabulary::NAO::personalIdentifier()
    {48, 411, 0, 0, Smoke::mf_static, 24, 29},	//673 Soprano::Vocabulary::NAO::engineeringTool()
    {48, 693, 0, 0, Smoke::mf_static, 24, 30},	//674 Soprano::Vocabulary::NAO::rating()
    {48, 359, 0, 0, Smoke::mf_static, 24, 31},	//675 Soprano::Vocabulary::NAO::created()
    {48, 479, 0, 0, Smoke::mf_static, 24, 32},	//676 Soprano::Vocabulary::NAO::identifier()
    {48, 741, 0, 0, Smoke::mf_static, 24, 33},	//677 Soprano::Vocabulary::NAO::scoreParameter()
    {48, 530, 0, 0, Smoke::mf_static, 24, 34},	//678 Soprano::Vocabulary::NAO::isTopicOf()
    {48, 1, 0, 0, Smoke::mf_static, 24, 35},	//679 Soprano::Vocabulary::NAO::Agent()
    {48, 463, 0, 0, Smoke::mf_static, 24, 36},	//680 Soprano::Vocabulary::NAO::hasSubResource()
    {48, 460, 0, 0, Smoke::mf_static, 24, 37},	//681 Soprano::Vocabulary::NAO::hasDefaultNamespaceAbbreviation()
    {48, 207, 0, 0, Smoke::mf_static, 24, 38},	//682 Soprano::Vocabulary::NAO::Symbol()
    {48, 623, 0, 0, Smoke::mf_static, 24, 39},	//683 Soprano::Vocabulary::NAO::numericRating()
    {48, 136, 0, 0, Smoke::mf_static, 24, 40},	//684 Soprano::Vocabulary::NAO::Party()
    {48, 522, 0, 0, Smoke::mf_static, 24, 41},	//685 Soprano::Vocabulary::NAO::isRelated()
    {48, 465, 0, 0, Smoke::mf_static, 24, 42},	//686 Soprano::Vocabulary::NAO::hasSymbol()
    {48, 466, 0, 0, Smoke::mf_static, 24, 43},	//687 Soprano::Vocabulary::NAO::hasTag()
    {49, 217, 0, 0, Smoke::mf_static, 24, 1},	//688 Soprano::Vocabulary::NRL::ViewSpecification()
    {49, 168, 0, 0, Smoke::mf_static, 24, 2},	//689 Soprano::Vocabulary::NRL::RuleViewSpecification()
    {49, 85, 0, 0, Smoke::mf_static, 24, 3},	//690 Soprano::Vocabulary::NRL::Graph()
    {49, 52, 0, 0, Smoke::mf_static, 24, 4},	//691 Soprano::Vocabulary::NRL::Data()
    {49, 57, 0, 0, Smoke::mf_static, 24, 5},	//692 Soprano::Vocabulary::NRL::DefaultGraph()
    {49, 607, 0, 0, Smoke::mf_static, 24, 6},	//693 Soprano::Vocabulary::NRL::minCardinality()
    {49, 64, 0, 0, Smoke::mf_static, 24, 7},	//694 Soprano::Vocabulary::NRL::DocumentGraph()
    {49, 745, 0, 0, Smoke::mf_static, 24, 8},	//695 Soprano::Vocabulary::NRL::semanticsDefinedBy()
    {49, 490, 0, 0, Smoke::mf_static, 24, 9},	//696 Soprano::Vocabulary::NRL::inverseProperty()
    {49, 97, 0, 0, Smoke::mf_static, 24, 10},	//697 Soprano::Vocabulary::NRL::InverseFunctionalProperty()
    {49, 462, 0, 0, Smoke::mf_static, 24, 11},	//698 Soprano::Vocabulary::NRL::hasSpecification()
    {49, 58, 0, 0, Smoke::mf_static, 24, 12},	//699 Soprano::Vocabulary::NRL::DefiningProperty()
    {49, 76, 0, 0, Smoke::mf_static, 24, 13},	//700 Soprano::Vocabulary::NRL::ExternalViewSpecification()
    {49, 461, 0, 0, Smoke::mf_static, 24, 14},	//701 Soprano::Vocabulary::NRL::hasSemantics()
    {49, 889, 0, 0, Smoke::mf_static, 24, 15},	//702 Soprano::Vocabulary::NRL::viewOn()
    {49, 96, 0, 0, Smoke::mf_static, 24, 16},	//703 Soprano::Vocabulary::NRL::InstanceBase()
    {49, 429, 0, 0, Smoke::mf_static, 24, 17},	//704 Soprano::Vocabulary::NRL::externalRealizer()
    {49, 125, 0, 0, Smoke::mf_static, 24, 18},	//705 Soprano::Vocabulary::NRL::Ontology()
    {49, 815, 0, 0, Smoke::mf_static, 24, 19},	//706 Soprano::Vocabulary::NRL::subGraphOf()
    {49, 593, 0, 0, Smoke::mf_static, 24, 20},	//707 Soprano::Vocabulary::NRL::maxCardinality()
    {49, 170, 0, 0, Smoke::mf_static, 24, 21},	//708 Soprano::Vocabulary::NRL::Semantics()
    {49, 84, 0, 0, Smoke::mf_static, 24, 22},	//709 Soprano::Vocabulary::NRL::FunctionalProperty()
    {49, 287, 0, 0, Smoke::mf_static, 24, 23},	//710 Soprano::Vocabulary::NRL::cardinality()
    {49, 87, 0, 0, Smoke::mf_static, 24, 24},	//711 Soprano::Vocabulary::NRL::GraphView()
    {49, 62, 0, 0, Smoke::mf_static, 24, 25},	//712 Soprano::Vocabulary::NRL::DiscardableInstanceBase()
    {49, 159, 0, 0, Smoke::mf_static, 24, 26},	//713 Soprano::Vocabulary::NRL::ReflexiveProperty()
    {49, 214, 0, 0, Smoke::mf_static, 24, 27},	//714 Soprano::Vocabulary::NRL::TransitiveProperty()
    {49, 735, 0, 0, Smoke::mf_static, 24, 28},	//715 Soprano::Vocabulary::NRL::ruleLanguage()
    {49, 208, 0, 0, Smoke::mf_static, 24, 29},	//716 Soprano::Vocabulary::NRL::SymmetricProperty()
    {49, 696, 0, 0, Smoke::mf_static, 24, 30},	//717 Soprano::Vocabulary::NRL::realizes()
    {49, 734, 0, 0, Smoke::mf_static, 24, 31},	//718 Soprano::Vocabulary::NRL::rule()
    {49, 121, 0, 0, Smoke::mf_static, 24, 32},	//719 Soprano::Vocabulary::NRL::NonDefiningProperty()
    {49, 169, 0, 0, Smoke::mf_static, 24, 33},	//720 Soprano::Vocabulary::NRL::Schema()
    {49, 413, 0, 0, Smoke::mf_static, 24, 34},	//721 Soprano::Vocabulary::NRL::equivalentGraph()
    {49, 46, 0, 0, Smoke::mf_static, 24, 35},	//722 Soprano::Vocabulary::NRL::Configuration()
    {49, 457, 0, 0, Smoke::mf_static, 24, 36},	//723 Soprano::Vocabulary::NRL::graphMetadataFor()
    {49, 622, 0, 0, Smoke::mf_static, 24, 37},	//724 Soprano::Vocabulary::NRL::nrlNamespace()
    {49, 821, 0, 0, Smoke::mf_static, 24, 38},	//725 Soprano::Vocabulary::NRL::superGraphOf()
    {49, 8, 0, 0, Smoke::mf_static, 24, 39},	//726 Soprano::Vocabulary::NRL::AsymmetricProperty()
    {49, 481, 0, 0, Smoke::mf_static, 24, 40},	//727 Soprano::Vocabulary::NRL::imports()
    {49, 346, 0, 0, Smoke::mf_static, 24, 41},	//728 Soprano::Vocabulary::NRL::coreGraphMetadataFor()
    {49, 98, 0, 0, Smoke::mf_static, 24, 42},	//729 Soprano::Vocabulary::NRL::KnowledgeBase()
    {49, 86, 0, 0, Smoke::mf_static, 24, 43},	//730 Soprano::Vocabulary::NRL::GraphMetadata()
    {49, 861, 0, 0, Smoke::mf_static, 24, 44},	//731 Soprano::Vocabulary::NRL::updatable()
    {50, 84, 0, 0, Smoke::mf_static, 24, 1},	//732 Soprano::Vocabulary::OWL::FunctionalProperty()
    {50, 249, 0, 0, Smoke::mf_static, 24, 2},	//733 Soprano::Vocabulary::OWL::allValuesFrom()
    {50, 122, 0, 0, Smoke::mf_static, 24, 3},	//734 Soprano::Vocabulary::OWL::Nothing()
    {50, 125, 0, 0, Smoke::mf_static, 24, 4},	//735 Soprano::Vocabulary::OWL::Ontology()
    {50, 60, 0, 0, Smoke::mf_static, 24, 5},	//736 Soprano::Vocabulary::OWL::DeprecatedClass()
    {50, 880, 0, 0, Smoke::mf_static, 24, 6},	//737 Soprano::Vocabulary::OWL::versionInfo()
    {50, 412, 0, 0, Smoke::mf_static, 24, 7},	//738 Soprano::Vocabulary::OWL::equivalentClass()
    {50, 214, 0, 0, Smoke::mf_static, 24, 8},	//739 Soprano::Vocabulary::OWL::TransitiveProperty()
    {50, 736, 0, 0, Smoke::mf_static, 24, 9},	//740 Soprano::Vocabulary::OWL::sameAs()
    {50, 681, 0, 0, Smoke::mf_static, 24, 10},	//741 Soprano::Vocabulary::OWL::priorVersion()
    {50, 378, 0, 0, Smoke::mf_static, 24, 11},	//742 Soprano::Vocabulary::OWL::differentFrom()
    {50, 406, 0, 0, Smoke::mf_static, 24, 12},	//743 Soprano::Vocabulary::OWL::distinctMembers()
    {50, 126, 0, 0, Smoke::mf_static, 24, 13},	//744 Soprano::Vocabulary::OWL::OntologyProperty()
    {50, 414, 0, 0, Smoke::mf_static, 24, 14},	//745 Soprano::Vocabulary::OWL::equivalentProperty()
    {50, 627, 0, 0, Smoke::mf_static, 24, 15},	//746 Soprano::Vocabulary::OWL::oneOf()
    {50, 795, 0, 0, Smoke::mf_static, 24, 16},	//747 Soprano::Vocabulary::OWL::someValuesFrom()
    {50, 270, 0, 0, Smoke::mf_static, 24, 17},	//748 Soprano::Vocabulary::OWL::backwardCompatibleWith()
    {50, 208, 0, 0, Smoke::mf_static, 24, 18},	//749 Soprano::Vocabulary::OWL::SymmetricProperty()
    {50, 405, 0, 0, Smoke::mf_static, 24, 19},	//750 Soprano::Vocabulary::OWL::disjointWith()
    {50, 165, 0, 0, Smoke::mf_static, 24, 20},	//751 Soprano::Vocabulary::OWL::Restriction()
    {50, 213, 0, 0, Smoke::mf_static, 24, 21},	//752 Soprano::Vocabulary::OWL::Thing()
    {50, 97, 0, 0, Smoke::mf_static, 24, 22},	//753 Soprano::Vocabulary::OWL::InverseFunctionalProperty()
    {50, 468, 0, 0, Smoke::mf_static, 24, 23},	//754 Soprano::Vocabulary::OWL::hasValue()
    {50, 483, 0, 0, Smoke::mf_static, 24, 24},	//755 Soprano::Vocabulary::OWL::incompatibleWith()
    {50, 54, 0, 0, Smoke::mf_static, 24, 25},	//756 Soprano::Vocabulary::OWL::DataRange()
    {50, 5, 0, 0, Smoke::mf_static, 24, 26},	//757 Soprano::Vocabulary::OWL::AnnotationProperty()
    {50, 481, 0, 0, Smoke::mf_static, 24, 27},	//758 Soprano::Vocabulary::OWL::imports()
    {50, 489, 0, 0, Smoke::mf_static, 24, 28},	//759 Soprano::Vocabulary::OWL::inverseOf()
    {50, 44, 0, 0, Smoke::mf_static, 24, 29},	//760 Soprano::Vocabulary::OWL::Class()
    {50, 626, 0, 0, Smoke::mf_static, 24, 30},	//761 Soprano::Vocabulary::OWL::onProperty()
    {50, 61, 0, 0, Smoke::mf_static, 24, 31},	//762 Soprano::Vocabulary::OWL::DeprecatedProperty()
    {50, 2, 0, 0, Smoke::mf_static, 24, 32},	//763 Soprano::Vocabulary::OWL::AllDifferent()
    {50, 593, 0, 0, Smoke::mf_static, 24, 33},	//764 Soprano::Vocabulary::OWL::maxCardinality()
    {50, 310, 0, 0, Smoke::mf_static, 24, 34},	//765 Soprano::Vocabulary::OWL::complementOf()
    {50, 607, 0, 0, Smoke::mf_static, 24, 35},	//766 Soprano::Vocabulary::OWL::minCardinality()
    {50, 645, 0, 0, Smoke::mf_static, 24, 36},	//767 Soprano::Vocabulary::OWL::owlNamespace()
    {50, 488, 0, 0, Smoke::mf_static, 24, 37},	//768 Soprano::Vocabulary::OWL::intersectionOf()
    {50, 857, 0, 0, Smoke::mf_static, 24, 38},	//769 Soprano::Vocabulary::OWL::unionOf()
    {50, 56, 0, 0, Smoke::mf_static, 24, 39},	//770 Soprano::Vocabulary::OWL::DatatypeProperty()
    {50, 123, 0, 0, Smoke::mf_static, 24, 40},	//771 Soprano::Vocabulary::OWL::ObjectProperty()
    {50, 287, 0, 0, Smoke::mf_static, 24, 41},	//772 Soprano::Vocabulary::OWL::cardinality()
    {51, 437, 0, 0, Smoke::mf_static, 24, 1},	//773 Soprano::Vocabulary::RDF::first()
    {51, 855, 0, 0, Smoke::mf_static, 24, 2},	//774 Soprano::Vocabulary::RDF::type()
    {51, 220, 0, 0, Smoke::mf_static, 24, 3},	//775 Soprano::Vocabulary::RDF::XMLLiteral()
    {51, 729, 0, 0, Smoke::mf_static, 24, 4},	//776 Soprano::Vocabulary::RDF::rest()
    {51, 40, 0, 0, Smoke::mf_static, 24, 5},	//777 Soprano::Vocabulary::RDF::Bag()
    {51, 99, 0, 0, Smoke::mf_static, 24, 6},	//778 Soprano::Vocabulary::RDF::List()
    {51, 694, 0, 0, Smoke::mf_static, 24, 7},	//779 Soprano::Vocabulary::RDF::rdfNamespace()
    {51, 676, 0, 0, Smoke::mf_static, 24, 8},	//780 Soprano::Vocabulary::RDF::predicate()
    {51, 196, 0, 0, Smoke::mf_static, 24, 9},	//781 Soprano::Vocabulary::RDF::Statement()
    {51, 819, 0, 0, Smoke::mf_static, 24, 10},	//782 Soprano::Vocabulary::RDF::subject()
    {51, 624, 0, 0, Smoke::mf_static, 24, 11},	//783 Soprano::Vocabulary::RDF::object()
    {51, 3, 0, 0, Smoke::mf_static, 24, 12},	//784 Soprano::Vocabulary::RDF::Alt()
    {51, 618, 0, 0, Smoke::mf_static, 24, 13},	//785 Soprano::Vocabulary::RDF::nil()
    {51, 872, 0, 0, Smoke::mf_static, 24, 14},	//786 Soprano::Vocabulary::RDF::value()
    {51, 145, 0, 0, Smoke::mf_static, 24, 15},	//787 Soprano::Vocabulary::RDF::Property()
    {51, 171, 0, 0, Smoke::mf_static, 24, 16},	//788 Soprano::Vocabulary::RDF::Seq()
    {52, 50, 0, 0, Smoke::mf_static, 24, 1},	//789 Soprano::Vocabulary::RDFS::ContainerMembershipProperty()
    {52, 812, 0, 0, Smoke::mf_static, 24, 2},	//790 Soprano::Vocabulary::RDFS::subClassOf()
    {52, 163, 0, 0, Smoke::mf_static, 24, 3},	//791 Soprano::Vocabulary::RDFS::Resource()
    {52, 306, 0, 0, Smoke::mf_static, 24, 4},	//792 Soprano::Vocabulary::RDFS::comment()
    {52, 408, 0, 0, Smoke::mf_static, 24, 5},	//793 Soprano::Vocabulary::RDFS::domain()
    {52, 49, 0, 0, Smoke::mf_static, 24, 6},	//794 Soprano::Vocabulary::RDFS::Container()
    {52, 100, 0, 0, Smoke::mf_static, 24, 7},	//795 Soprano::Vocabulary::RDFS::Literal()
    {52, 549, 0, 0, Smoke::mf_static, 24, 8},	//796 Soprano::Vocabulary::RDFS::label()
    {52, 599, 0, 0, Smoke::mf_static, 24, 9},	//797 Soprano::Vocabulary::RDFS::member()
    {52, 44, 0, 0, Smoke::mf_static, 24, 10},	//798 Soprano::Vocabulary::RDFS::Class()
    {52, 500, 0, 0, Smoke::mf_static, 24, 11},	//799 Soprano::Vocabulary::RDFS::isDefinedBy()
    {52, 691, 0, 0, Smoke::mf_static, 24, 12},	//800 Soprano::Vocabulary::RDFS::range()
    {52, 55, 0, 0, Smoke::mf_static, 24, 13},	//801 Soprano::Vocabulary::RDFS::Datatype()
    {52, 695, 0, 0, Smoke::mf_static, 24, 14},	//802 Soprano::Vocabulary::RDFS::rdfsNamespace()
    {52, 816, 0, 0, Smoke::mf_static, 24, 15},	//803 Soprano::Vocabulary::RDFS::subPropertyOf()
    {52, 743, 0, 0, Smoke::mf_static, 24, 16},	//804 Soprano::Vocabulary::RDFS::seeAlso()
    {53, 793, 0, 0, Smoke::mf_static, 24, 1},	//805 Soprano::Vocabulary::SIL::silNamespace()
    {53, 92, 0, 0, Smoke::mf_static, 24, 2},	//806 Soprano::Vocabulary::SIL::InferenceGraph()
    {53, 343, 0, 0, Smoke::mf_static, 24, 3},	//807 Soprano::Vocabulary::SIL::context()
    {53, 798, 0, 0, Smoke::mf_static, 24, 4},	//808 Soprano::Vocabulary::SIL::sourceStatement()
    {53, 93, 0, 0, Smoke::mf_static, 24, 5},	//809 Soprano::Vocabulary::SIL::InferenceMetaData()
    {54, 903, 0, 0, Smoke::mf_static, 24, 1},	//810 Soprano::Vocabulary::XMLSchema::xsdLong()
    {54, 900, 0, 0, Smoke::mf_static, 24, 2},	//811 Soprano::Vocabulary::XMLSchema::xsdDouble()
    {54, 485, 0, 0, Smoke::mf_static, 24, 3},	//812 Soprano::Vocabulary::XMLSchema::integer()
    {54, 858, 0, 0, Smoke::mf_static, 24, 4},	//813 Soprano::Vocabulary::XMLSchema::unsignedInt()
    {54, 367, 0, 0, Smoke::mf_static, 24, 5},	//814 Soprano::Vocabulary::XMLSchema::decimal()
    {54, 271, 0, 0, Smoke::mf_static, 24, 6},	//815 Soprano::Vocabulary::XMLSchema::base64Binary()
    {54, 621, 0, 0, Smoke::mf_static, 24, 7},	//816 Soprano::Vocabulary::XMLSchema::nonNegativeInteger()
    {54, 811, 0, 0, Smoke::mf_static, 24, 8},	//817 Soprano::Vocabulary::XMLSchema::string()
    {54, 902, 0, 0, Smoke::mf_static, 24, 9},	//818 Soprano::Vocabulary::XMLSchema::xsdInt()
    {54, 859, 0, 0, Smoke::mf_static, 24, 10},	//819 Soprano::Vocabulary::XMLSchema::unsignedLong()
    {54, 901, 0, 0, Smoke::mf_static, 24, 11},	//820 Soprano::Vocabulary::XMLSchema::xsdFloat()
    {54, 905, 0, 0, Smoke::mf_static, 24, 12},	//821 Soprano::Vocabulary::XMLSchema::xsdShort()
    {54, 904, 0, 0, Smoke::mf_static, 24, 13},	//822 Soprano::Vocabulary::XMLSchema::xsdNamespace()
    {54, 613, 0, 0, Smoke::mf_static, 24, 14},	//823 Soprano::Vocabulary::XMLSchema::negativeInteger()
    {54, 366, 0, 0, Smoke::mf_static, 24, 15},	//824 Soprano::Vocabulary::XMLSchema::dateTime()
    {54, 283, 0, 0, Smoke::mf_static, 24, 16},	//825 Soprano::Vocabulary::XMLSchema::boolean()
    {54, 365, 0, 0, Smoke::mf_static, 24, 17},	//826 Soprano::Vocabulary::XMLSchema::date()
    {54, 834, 0, 0, Smoke::mf_static, 24, 18},	//827 Soprano::Vocabulary::XMLSchema::time()
    {54, 860, 0, 0, Smoke::mf_static, 24, 19},	//828 Soprano::Vocabulary::XMLSchema::unsignedShort()
    {55, 670, 0, 0, Smoke::mf_static, 24, 1},	//829 Soprano::Vocabulary::Xesam::phoneNumber()
    {55, 891, 0, 0, Smoke::mf_static, 24, 2},	//830 Soprano::Vocabulary::Xesam::width()
    {55, 68, 0, 0, Smoke::mf_static, 24, 3},	//831 Soprano::Vocabulary::Xesam::EmbeddedObject()
    {55, 546, 0, 0, Smoke::mf_static, 24, 4},	//832 Soprano::Vocabulary::Xesam::jabberContactMedium()
    {55, 430, 0, 0, Smoke::mf_static, 24, 5},	//833 Soprano::Vocabulary::Xesam::familyName()
    {55, 63, 0, 0, Smoke::mf_static, 24, 6},	//834 Soprano::Vocabulary::Xesam::Document()
    {55, 698, 0, 0, Smoke::mf_static, 24, 7},	//835 Soprano::Vocabulary::Xesam::recipient()
    {55, 587, 0, 0, Smoke::mf_static, 24, 8},	//836 Soprano::Vocabulary::Xesam::mailingPostalAddress()
    {55, 267, 0, 0, Smoke::mf_static, 24, 9},	//837 Soprano::Vocabulary::Xesam::author()
    {55, 345, 0, 0, Smoke::mf_static, 24, 10},	//838 Soprano::Vocabulary::Xesam::copyright()
    {55, 667, 0, 0, Smoke::mf_static, 24, 11},	//839 Soprano::Vocabulary::Xesam::permissions()
    {55, 604, 0, 0, Smoke::mf_static, 24, 12},	//840 Soprano::Vocabulary::Xesam::mimeType()
    {55, 291, 0, 0, Smoke::mf_static, 24, 13},	//841 Soprano::Vocabulary::Xesam::changeCommitTime()
    {55, 742, 0, 0, Smoke::mf_static, 24, 14},	//842 Soprano::Vocabulary::Xesam::secondaryRecipient()
    {55, 867, 0, 0, Smoke::mf_static, 24, 15},	//843 Soprano::Vocabulary::Xesam::userKeyword()
    {55, 759, 0, 0, Smoke::mf_static, 24, 16},	//844 Soprano::Vocabulary::Xesam::setCount()
    {55, 308, 0, 0, Smoke::mf_static, 24, 17},	//845 Soprano::Vocabulary::Xesam::commitDiff()
    {55, 456, 0, 0, Smoke::mf_static, 24, 18},	//846 Soprano::Vocabulary::Xesam::givenName()
    {55, 586, 0, 0, Smoke::mf_static, 24, 19},	//847 Soprano::Vocabulary::Xesam::mailingList()
    {55, 666, 0, 0, Smoke::mf_static, 24, 20},	//848 Soprano::Vocabulary::Xesam::performer()
    {55, 853, 0, 0, Smoke::mf_static, 24, 21},	//849 Soprano::Vocabulary::Xesam::trackNumber()
    {55, 253, 0, 0, Smoke::mf_static, 24, 22},	//850 Soprano::Vocabulary::Xesam::aperture()
    {55, 558, 0, 0, Smoke::mf_static, 24, 23},	//851 Soprano::Vocabulary::Xesam::lineCount()
    {55, 486, 0, 0, Smoke::mf_static, 24, 24},	//852 Soprano::Vocabulary::Xesam::interest()
    {55, 319, 0, 0, Smoke::mf_static, 24, 25},	//853 Soprano::Vocabulary::Xesam::contains()
    {55, 892, 0, 0, Smoke::mf_static, 24, 26},	//854 Soprano::Vocabulary::Xesam::wordCount()
    {55, 589, 0, 0, Smoke::mf_static, 24, 27},	//855 Soprano::Vocabulary::Xesam::maintainer()
    {55, 432, 0, 0, Smoke::mf_static, 24, 28},	//856 Soprano::Vocabulary::Xesam::fileExtension()
    {55, 256, 0, 0, Smoke::mf_static, 24, 29},	//857 Soprano::Vocabulary::Xesam::aspectRatio()
    {55, 318, 0, 0, Smoke::mf_static, 24, 30},	//858 Soprano::Vocabulary::Xesam::contactURL()
    {55, 595, 0, 0, Smoke::mf_static, 24, 31},	//859 Soprano::Vocabulary::Xesam::mediaBitrate()
    {55, 144, 0, 0, Smoke::mf_static, 24, 32},	//860 Soprano::Vocabulary::Xesam::Project()
    {55, 426, 0, 0, Smoke::mf_static, 24, 33},	//861 Soprano::Vocabulary::Xesam::exposureBias()
    {55, 509, 0, 0, Smoke::mf_static, 24, 34},	//862 Soprano::Vocabulary::Xesam::isEncrypted()
    {55, 733, 0, 0, Smoke::mf_static, 24, 35},	//863 Soprano::Vocabulary::Xesam::rssFeed()
    {55, 263, 0, 0, Smoke::mf_static, 24, 36},	//864 Soprano::Vocabulary::Xesam::audioSampleBitDepth()
    {55, 286, 0, 0, Smoke::mf_static, 24, 37},	//865 Soprano::Vocabulary::Xesam::cameraModel()
    {55, 45, 0, 0, Smoke::mf_static, 24, 38},	//866 Soprano::Vocabulary::Xesam::CommunicationChannel()
    {55, 261, 0, 0, Smoke::mf_static, 24, 39},	//867 Soprano::Vocabulary::Xesam::audioCodec()
    {55, 311, 0, 0, Smoke::mf_static, 24, 40},	//868 Soprano::Vocabulary::Xesam::composer()
    {55, 820, 0, 0, Smoke::mf_static, 24, 41},	//869 Soprano::Vocabulary::Xesam::summary()
    {55, 726, 0, 0, Smoke::mf_static, 24, 42},	//870 Soprano::Vocabulary::Xesam::replyTo()
    {55, 153, 0, 0, Smoke::mf_static, 24, 43},	//871 Soprano::Vocabulary::Xesam::RSSFeed()
    {55, 221, 0, 0, Smoke::mf_static, 24, 44},	//872 Soprano::Vocabulary::Xesam::acl()
    {55, 48, 0, 0, Smoke::mf_static, 24, 45},	//873 Soprano::Vocabulary::Xesam::ContactGroup()
    {55, 407, 0, 0, Smoke::mf_static, 24, 46},	//874 Soprano::Vocabulary::Xesam::documentCategory()
    {55, 127, 0, 0, Smoke::mf_static, 24, 47},	//875 Soprano::Vocabulary::Xesam::Organization()
    {55, 59, 0, 0, Smoke::mf_static, 24, 48},	//876 Soprano::Vocabulary::Xesam::DeletedFile()
    {55, 441, 0, 0, Smoke::mf_static, 24, 49},	//877 Soprano::Vocabulary::Xesam::focusDistance()
    {55, 534, 0, 0, Smoke::mf_static, 24, 50},	//878 Soprano::Vocabulary::Xesam::isoEquivalent()
    {55, 438, 0, 0, Smoke::mf_static, 24, 51},	//879 Soprano::Vocabulary::Xesam::firstUsed()
    {55, 838, 0, 0, Smoke::mf_static, 24, 52},	//880 Soprano::Vocabulary::Xesam::to()
    {55, 610, 0, 0, Smoke::mf_static, 24, 53},	//881 Soprano::Vocabulary::Xesam::mountPoint()
    {55, 143, 0, 0, Smoke::mf_static, 24, 54},	//882 Soprano::Vocabulary::Xesam::Presentation()
    {55, 65, 0, 0, Smoke::mf_static, 24, 55},	//883 Soprano::Vocabulary::Xesam::Documentation()
    {55, 273, 0, 0, Smoke::mf_static, 24, 56},	//884 Soprano::Vocabulary::Xesam::bcc()
    {55, 281, 0, 0, Smoke::mf_static, 24, 57},	//885 Soprano::Vocabulary::Xesam::blogContactURL()
    {55, 241, 0, 0, Smoke::mf_static, 24, 58},	//886 Soprano::Vocabulary::Xesam::albumPeakGain()
    {55, 487, 0, 0, Smoke::mf_static, 24, 59},	//887 Soprano::Vocabulary::Xesam::interlaceMode()
    {55, 668, 0, 0, Smoke::mf_static, 24, 60},	//888 Soprano::Vocabulary::Xesam::personPhoto()
    {55, 166, 0, 0, Smoke::mf_static, 24, 61},	//889 Soprano::Vocabulary::Xesam::RevisionControlledFile()
    {55, 439, 0, 0, Smoke::mf_static, 24, 62},	//890 Soprano::Vocabulary::Xesam::flashUsed()
    {55, 162, 0, 0, Smoke::mf_static, 24, 63},	//891 Soprano::Vocabulary::Xesam::RemoteResource()
    {55, 866, 0, 0, Smoke::mf_static, 24, 64},	//892 Soprano::Vocabulary::Xesam::userComment()
    {55, 43, 0, 0, Smoke::mf_static, 24, 65},	//893 Soprano::Vocabulary::Xesam::Bookmark()
    {55, 387, 0, 0, Smoke::mf_static, 24, 66},	//894 Soprano::Vocabulary::Xesam::discNumber()
    {55, 433, 0, 0, Smoke::mf_static, 24, 67},	//895 Soprano::Vocabulary::Xesam::fileSystemType()
    {55, 259, 0, 0, Smoke::mf_static, 24, 68},	//896 Soprano::Vocabulary::Xesam::audioBitrate()
    {55, 313, 0, 0, Smoke::mf_static, 24, 69},	//897 Soprano::Vocabulary::Xesam::compressionLevel()
    {55, 863, 0, 0, Smoke::mf_static, 24, 70},	//898 Soprano::Vocabulary::Xesam::url()
    {55, 699, 0, 0, Smoke::mf_static, 24, 71},	//899 Soprano::Vocabulary::Xesam::related()
    {55, 268, 0, 0, Smoke::mf_static, 24, 72},	//900 Soprano::Vocabulary::Xesam::autoRating()
    {55, 215, 0, 0, Smoke::mf_static, 24, 73},	//901 Soprano::Vocabulary::Xesam::UncategorizedText()
    {55, 240, 0, 0, Smoke::mf_static, 24, 74},	//902 Soprano::Vocabulary::Xesam::albumGain()
    {55, 555, 0, 0, Smoke::mf_static, 24, 75},	//903 Soprano::Vocabulary::Xesam::legal()
    {55, 317, 0, 0, Smoke::mf_static, 24, 76},	//904 Soprano::Vocabulary::Xesam::contactNick()
    {55, 289, 0, 0, Smoke::mf_static, 24, 77},	//905 Soprano::Vocabulary::Xesam::ccdWidth()
    {55, 238, 0, 0, Smoke::mf_static, 24, 78},	//906 Soprano::Vocabulary::Xesam::album()
    {55, 11, 0, 0, Smoke::mf_static, 24, 79},	//907 Soprano::Vocabulary::Xesam::Audio()
    {55, 794, 0, 0, Smoke::mf_static, 24, 80},	//908 Soprano::Vocabulary::Xesam::size()
    {55, 458, 0, 0, Smoke::mf_static, 24, 81},	//909 Soprano::Vocabulary::Xesam::group()
    {55, 642, 0, 0, Smoke::mf_static, 24, 82},	//910 Soprano::Vocabulary::Xesam::originURL()
    {55, 265, 0, 0, Smoke::mf_static, 24, 83},	//911 Soprano::Vocabulary::Xesam::audioSampleDataType()
    {55, 854, 0, 0, Smoke::mf_static, 24, 84},	//912 Soprano::Vocabulary::Xesam::trackPeakGain()
    {55, 266, 0, 0, Smoke::mf_static, 24, 85},	//913 Soprano::Vocabulary::Xesam::audioSampleRate()
    {55, 864, 0, 0, Smoke::mf_static, 24, 86},	//914 Soprano::Vocabulary::Xesam::useCount()
    {55, 524, 0, 0, Smoke::mf_static, 24, 87},	//915 Soprano::Vocabulary::Xesam::isSourceEncrypted()
    {55, 210, 0, 0, Smoke::mf_static, 24, 88},	//916 Soprano::Vocabulary::Xesam::Tag()
    {55, 491, 0, 0, Smoke::mf_static, 24, 89},	//917 Soprano::Vocabulary::Xesam::ircContactMedium()
    {55, 476, 0, 0, Smoke::mf_static, 24, 90},	//918 Soprano::Vocabulary::Xesam::horizontalResolution()
    {55, 42, 0, 0, Smoke::mf_static, 24, 91},	//919 Soprano::Vocabulary::Xesam::BlockDevice()
    {55, 625, 0, 0, Smoke::mf_static, 24, 92},	//920 Soprano::Vocabulary::Xesam::occupiedSpace()
    {55, 596, 0, 0, Smoke::mf_static, 24, 93},	//921 Soprano::Vocabulary::Xesam::mediaCodec()
    {55, 682, 0, 0, Smoke::mf_static, 24, 94},	//922 Soprano::Vocabulary::Xesam::programmingLanguage()
    {55, 445, 0, 0, Smoke::mf_static, 24, 95},	//923 Soprano::Vocabulary::Xesam::freeSpace()
    {55, 646, 0, 0, Smoke::mf_static, 24, 96},	//924 Soprano::Vocabulary::Xesam::owner()
    {55, 306, 0, 0, Smoke::mf_static, 24, 97},	//925 Soprano::Vocabulary::Xesam::comment()
    {55, 822, 0, 0, Smoke::mf_static, 24, 98},	//926 Soprano::Vocabulary::Xesam::supercedes()
    {55, 600, 0, 0, Smoke::mf_static, 24, 99},	//927 Soprano::Vocabulary::Xesam::mergeConflict()
    {55, 138, 0, 0, Smoke::mf_static, 24, 100},	//928 Soprano::Vocabulary::Xesam::PersonalEmail()
    {55, 585, 0, 0, Smoke::mf_static, 24, 101},	//929 Soprano::Vocabulary::Xesam::lyricist()
    {55, 167, 0, 0, Smoke::mf_static, 24, 102},	//930 Soprano::Vocabulary::Xesam::RevisionControlledRepository()
    {55, 879, 0, 0, Smoke::mf_static, 24, 103},	//931 Soprano::Vocabulary::Xesam::version()
    {55, 369, 0, 0, Smoke::mf_static, 24, 104},	//932 Soprano::Vocabulary::Xesam::definesFunction()
    {55, 869, 0, 0, Smoke::mf_static, 24, 105},	//933 Soprano::Vocabulary::Xesam::userRating()
    {55, 431, 0, 0, Smoke::mf_static, 24, 106},	//934 Soprano::Vocabulary::Xesam::faxPhoneNumber()
    {55, 470, 0, 0, Smoke::mf_static, 24, 107},	//935 Soprano::Vocabulary::Xesam::homeEmailAddress()
    {55, 556, 0, 0, Smoke::mf_static, 24, 108},	//936 Soprano::Vocabulary::Xesam::license()
    {55, 697, 0, 0, Smoke::mf_static, 24, 109},	//937 Soprano::Vocabulary::Xesam::receptionTime()
    {55, 103, 0, 0, Smoke::mf_static, 24, 110},	//938 Soprano::Vocabulary::Xesam::MailingListEmail()
    {55, 374, 0, 0, Smoke::mf_static, 24, 111},	//939 Soprano::Vocabulary::Xesam::depends()
    {55, 242, 0, 0, Smoke::mf_static, 24, 112},	//940 Soprano::Vocabulary::Xesam::albumTrackCount()
    {55, 887, 0, 0, Smoke::mf_static, 24, 113},	//941 Soprano::Vocabulary::Xesam::videoCodec()
    {55, 339, 0, 0, Smoke::mf_static, 24, 114},	//942 Soprano::Vocabulary::Xesam::contentCreated()
    {55, 472, 0, 0, Smoke::mf_static, 24, 115},	//943 Soprano::Vocabulary::Xesam::homePostalAddress()
    {55, 360, 0, 0, Smoke::mf_static, 24, 116},	//944 Soprano::Vocabulary::Xesam::creator()
    {55, 702, 0, 0, Smoke::mf_static, 24, 117},	//945 Soprano::Vocabulary::Xesam::remoteServer()
    {55, 675, 0, 0, Smoke::mf_static, 24, 118},	//946 Soprano::Vocabulary::Xesam::postalAddress()
    {55, 444, 0, 0, Smoke::mf_static, 24, 119},	//947 Soprano::Vocabulary::Xesam::frameRate()
    {55, 293, 0, 0, Smoke::mf_static, 24, 120},	//948 Soprano::Vocabulary::Xesam::characterCount()
    {55, 376, 0, 0, Smoke::mf_static, 24, 121},	//949 Soprano::Vocabulary::Xesam::derivedFrom()
    {55, 66, 0, 0, Smoke::mf_static, 24, 122},	//950 Soprano::Vocabulary::Xesam::Email()
    {55, 888, 0, 0, Smoke::mf_static, 24, 123},	//951 Soprano::Vocabulary::Xesam::videoCodecType()
    {55, 211, 0, 0, Smoke::mf_static, 24, 124},	//952 Soprano::Vocabulary::Xesam::Text()
    {55, 67, 0, 0, Smoke::mf_static, 24, 125},	//953 Soprano::Vocabulary::Xesam::EmailAttachment()
    {55, 216, 0, 0, Smoke::mf_static, 24, 126},	//954 Soprano::Vocabulary::Xesam::Video()
    {55, 312, 0, 0, Smoke::mf_static, 24, 127},	//955 Soprano::Vocabulary::Xesam::compressionAlgorithm()
    {55, 738, 0, 0, Smoke::mf_static, 24, 128},	//956 Soprano::Vocabulary::Xesam::sampleDataBitDepth()
    {55, 473, 0, 0, Smoke::mf_static, 24, 129},	//957 Soprano::Vocabulary::Xesam::homepageContactURL()
    {55, 105, 0, 0, Smoke::mf_static, 24, 130},	//958 Soprano::Vocabulary::Xesam::MediaList()
    {55, 547, 0, 0, Smoke::mf_static, 24, 131},	//959 Soprano::Vocabulary::Xesam::keyword()
    {55, 112, 0, 0, Smoke::mf_static, 24, 132},	//960 Soprano::Vocabulary::Xesam::NewsGroupEmail()
    {55, 512, 0, 0, Smoke::mf_static, 24, 133},	//961 Soprano::Vocabulary::Xesam::isInProgress()
    {55, 703, 0, 0, Smoke::mf_static, 24, 134},	//962 Soprano::Vocabulary::Xesam::remoteUser()
    {55, 102, 0, 0, Smoke::mf_static, 24, 135},	//963 Soprano::Vocabulary::Xesam::MailingList()
    {55, 307, 0, 0, Smoke::mf_static, 24, 136},	//964 Soprano::Vocabulary::Xesam::commentCharacterCount()
    {55, 212, 0, 0, Smoke::mf_static, 24, 137},	//965 Soprano::Vocabulary::Xesam::TextDocument()
    {55, 482, 0, 0, Smoke::mf_static, 24, 138},	//966 Soprano::Vocabulary::Xesam::inReplyTo()
    {55, 370, 0, 0, Smoke::mf_static, 24, 139},	//967 Soprano::Vocabulary::Xesam::definesGlobalVariable()
    {55, 594, 0, 0, Smoke::mf_static, 24, 140},	//968 Soprano::Vocabulary::Xesam::md5Hash()
    {55, 91, 0, 0, Smoke::mf_static, 24, 141},	//969 Soprano::Vocabulary::Xesam::Image()
    {55, 193, 0, 0, Smoke::mf_static, 24, 142},	//970 Soprano::Vocabulary::Xesam::Source()
    {55, 342, 0, 0, Smoke::mf_static, 24, 143},	//971 Soprano::Vocabulary::Xesam::contentType()
    {55, 521, 0, 0, Smoke::mf_static, 24, 144},	//972 Soprano::Vocabulary::Xesam::isRead()
    {55, 51, 0, 0, Smoke::mf_static, 24, 145},	//973 Soprano::Vocabulary::Xesam::Content()
    {55, 898, 0, 0, Smoke::mf_static, 24, 146},	//974 Soprano::Vocabulary::Xesam::xesam35mmEquivalent()
    {55, 7, 0, 0, Smoke::mf_static, 24, 147},	//975 Soprano::Vocabulary::Xesam::ArchivedFile()
    {55, 137, 0, 0, Smoke::mf_static, 24, 148},	//976 Soprano::Vocabulary::Xesam::Person()
    {55, 590, 0, 0, Smoke::mf_static, 24, 149},	//977 Soprano::Vocabulary::Xesam::markupCharacterCount()
    {55, 154, 0, 0, Smoke::mf_static, 24, 150},	//978 Soprano::Vocabulary::Xesam::RSSMessage()
    {55, 257, 0, 0, Smoke::mf_static, 24, 151},	//979 Soprano::Vocabulary::Xesam::attachmentEncoding()
    {55, 427, 0, 0, Smoke::mf_static, 24, 152},	//980 Soprano::Vocabulary::Xesam::exposureProgram()
    {55, 583, 0, 0, Smoke::mf_static, 24, 153},	//981 Soprano::Vocabulary::Xesam::localRevision()
    {55, 89, 0, 0, Smoke::mf_static, 24, 154},	//982 Soprano::Vocabulary::Xesam::IMMessage()
    {55, 843, 0, 0, Smoke::mf_static, 24, 155},	//983 Soprano::Vocabulary::Xesam::totalUncompressedSize()
    {55, 553, 0, 0, Smoke::mf_static, 24, 156},	//984 Soprano::Vocabulary::Xesam::lastRefreshed()
    {55, 700, 0, 0, Smoke::mf_static, 24, 157},	//985 Soprano::Vocabulary::Xesam::remotePassword()
    {55, 434, 0, 0, Smoke::mf_static, 24, 158},	//986 Soprano::Vocabulary::Xesam::fingerprint()
    {55, 107, 0, 0, Smoke::mf_static, 24, 159},	//987 Soprano::Vocabulary::Xesam::MessageboxMessage()
    {55, 443, 0, 0, Smoke::mf_static, 24, 160},	//988 Soprano::Vocabulary::Xesam::frameCount()
    {55, 885, 0, 0, Smoke::mf_static, 24, 161},	//989 Soprano::Vocabulary::Xesam::verticalResolution()
    {55, 554, 0, 0, Smoke::mf_static, 24, 162},	//990 Soprano::Vocabulary::Xesam::lastUsed()
    {55, 88, 0, 0, Smoke::mf_static, 24, 163},	//991 Soprano::Vocabulary::Xesam::IMAP4Message()
    {55, 644, 0, 0, Smoke::mf_static, 24, 164},	//992 Soprano::Vocabulary::Xesam::otherName()
    {55, 819, 0, 0, Smoke::mf_static, 24, 165},	//993 Soprano::Vocabulary::Xesam::subject()
    {55, 647, 0, 0, Smoke::mf_static, 24, 166},	//994 Soprano::Vocabulary::Xesam::pageCount()
    {55, 290, 0, 0, Smoke::mf_static, 24, 167},	//995 Soprano::Vocabulary::Xesam::cellPhoneNumber()
    {55, 598, 0, 0, Smoke::mf_static, 24, 168},	//996 Soprano::Vocabulary::Xesam::mediaDuration()
    {55, 4, 0, 0, Smoke::mf_static, 24, 169},	//997 Soprano::Vocabulary::Xesam::Annotation()
    {55, 480, 0, 0, Smoke::mf_static, 24, 170},	//998 Soprano::Vocabulary::Xesam::imContactMedium()
    {55, 104, 0, 0, Smoke::mf_static, 24, 171},	//999 Soprano::Vocabulary::Xesam::Media()
    {55, 469, 0, 0, Smoke::mf_static, 24, 172},	//1000 Soprano::Vocabulary::Xesam::height()
    {55, 309, 0, 0, Smoke::mf_static, 24, 173},	//1001 Soprano::Vocabulary::Xesam::communicationChannel()
    {55, 810, 0, 0, Smoke::mf_static, 24, 174},	//1002 Soprano::Vocabulary::Xesam::storageSize()
    {55, 288, 0, 0, Smoke::mf_static, 24, 175},	//1003 Soprano::Vocabulary::Xesam::cc()
    {55, 871, 0, 0, Smoke::mf_static, 24, 176},	//1004 Soprano::Vocabulary::Xesam::usesNamespace()
    {55, 262, 0, 0, Smoke::mf_static, 24, 177},	//1005 Soprano::Vocabulary::Xesam::audioCodecType()
    {55, 842, 0, 0, Smoke::mf_static, 24, 178},	//1006 Soprano::Vocabulary::Xesam::totalSpace()
    {55, 744, 0, 0, Smoke::mf_static, 24, 179},	//1007 Soprano::Vocabulary::Xesam::seenAttachedAs()
    {55, 886, 0, 0, Smoke::mf_static, 24, 180},	//1008 Soprano::Vocabulary::Xesam::videoBitrate()
    {55, 557, 0, 0, Smoke::mf_static, 24, 181},	//1009 Soprano::Vocabulary::Xesam::licenseType()
    {55, 373, 0, 0, Smoke::mf_static, 24, 182},	//1010 Soprano::Vocabulary::Xesam::deletionTime()
    {55, 305, 0, 0, Smoke::mf_static, 24, 183},	//1011 Soprano::Vocabulary::Xesam::columnCount()
    {55, 139, 0, 0, Smoke::mf_static, 24, 184},	//1012 Soprano::Vocabulary::Xesam::Photo()
    {55, 672, 0, 0, Smoke::mf_static, 24, 185},	//1013 Soprano::Vocabulary::Xesam::pixelDataType()
    {55, 192, 0, 0, Smoke::mf_static, 24, 186},	//1014 Soprano::Vocabulary::Xesam::SoftwarePackage()
    {55, 792, 0, 0, Smoke::mf_static, 24, 187},	//1015 Soprano::Vocabulary::Xesam::sha1Hash()
    {55, 340, 0, 0, Smoke::mf_static, 24, 188},	//1016 Soprano::Vocabulary::Xesam::contentKeyword()
    {55, 614, 0, 0, Smoke::mf_static, 24, 189},	//1017 Soprano::Vocabulary::Xesam::newsGroup()
    {55, 12, 0, 0, Smoke::mf_static, 24, 190},	//1018 Soprano::Vocabulary::Xesam::AudioList()
    {55, 442, 0, 0, Smoke::mf_static, 24, 191},	//1019 Soprano::Vocabulary::Xesam::formatSubtype()
    {55, 737, 0, 0, Smoke::mf_static, 24, 192},	//1020 Soprano::Vocabulary::Xesam::sampleConfiguration()
    {55, 304, 0, 0, Smoke::mf_static, 24, 193},	//1021 Soprano::Vocabulary::Xesam::colorSpace()
    {55, 455, 0, 0, Smoke::mf_static, 24, 194},	//1022 Soprano::Vocabulary::Xesam::genre()
    {55, 106, 0, 0, Smoke::mf_static, 24, 195},	//1023 Soprano::Vocabulary::Xesam::Message()
    {55, 368, 0, 0, Smoke::mf_static, 24, 196},	//1024 Soprano::Vocabulary::Xesam::definesClass()
    {55, 219, 0, 0, Smoke::mf_static, 24, 197},	//1025 Soprano::Vocabulary::Xesam::XML()
    {55, 110, 0, 0, Smoke::mf_static, 24, 198},	//1026 Soprano::Vocabulary::Xesam::Music()
    {55, 550, 0, 0, Smoke::mf_static, 24, 199},	//1027 Soprano::Vocabulary::Xesam::language()
    {55, 128, 0, 0, Smoke::mf_static, 24, 200},	//1028 Soprano::Vocabulary::Xesam::POP3Message()
    {55, 520, 0, 0, Smoke::mf_static, 24, 201},	//1029 Soprano::Vocabulary::Xesam::isPublicChannel()
    {55, 388, 0, 0, Smoke::mf_static, 24, 202},	//1030 Soprano::Vocabulary::Xesam::disclaimer()
    {55, 611, 0, 0, Smoke::mf_static, 24, 203},	//1031 Soprano::Vocabulary::Xesam::name()
    {55, 893, 0, 0, Smoke::mf_static, 24, 204},	//1032 Soprano::Vocabulary::Xesam::workEmailAddress()
    {55, 294, 0, 0, Smoke::mf_static, 24, 205},	//1033 Soprano::Vocabulary::Xesam::charset()
    {55, 195, 0, 0, Smoke::mf_static, 24, 206},	//1034 Soprano::Vocabulary::Xesam::Spreadsheet()
    {55, 680, 0, 0, Smoke::mf_static, 24, 207},	//1035 Soprano::Vocabulary::Xesam::primaryRecipient()
    {55, 559, 0, 0, Smoke::mf_static, 24, 208},	//1036 Soprano::Vocabulary::Xesam::links()
    {55, 278, 0, 0, Smoke::mf_static, 24, 209},	//1037 Soprano::Vocabulary::Xesam::birthDate()
    {55, 648, 0, 0, Smoke::mf_static, 24, 210},	//1038 Soprano::Vocabulary::Xesam::paragraphCount()
    {55, 597, 0, 0, Smoke::mf_static, 24, 211},	//1039 Soprano::Vocabulary::Xesam::mediaCodecType()
    {55, 732, 0, 0, Smoke::mf_static, 24, 212},	//1040 Soprano::Vocabulary::Xesam::rowCount()
    {55, 511, 0, 0, Smoke::mf_static, 24, 213},	//1041 Soprano::Vocabulary::Xesam::isImportant()
    {55, 160, 0, 0, Smoke::mf_static, 24, 214},	//1042 Soprano::Vocabulary::Xesam::RemoteFile()
    {55, 78, 0, 0, Smoke::mf_static, 24, 215},	//1043 Soprano::Vocabulary::Xesam::FileSystem()
    {55, 77, 0, 0, Smoke::mf_static, 24, 216},	//1044 Soprano::Vocabulary::Xesam::File()
    {55, 258, 0, 0, Smoke::mf_static, 24, 217},	//1045 Soprano::Vocabulary::Xesam::audioBPM()
    {55, 894, 0, 0, Smoke::mf_static, 24, 218},	//1046 Soprano::Vocabulary::Xesam::workPhoneNumber()
    {55, 124, 0, 0, Smoke::mf_static, 24, 219},	//1047 Soprano::Vocabulary::Xesam::OfflineMedia()
    {55, 837, 0, 0, Smoke::mf_static, 24, 220},	//1048 Soprano::Vocabulary::Xesam::title()
    {55, 641, 0, 0, Smoke::mf_static, 24, 221},	//1049 Soprano::Vocabulary::Xesam::orientation()
    {55, 796, 0, 0, Smoke::mf_static, 24, 222},	//1050 Soprano::Vocabulary::Xesam::sourceCreated()
    {55, 797, 0, 0, Smoke::mf_static, 24, 223},	//1051 Soprano::Vocabulary::Xesam::sourceModified()
    {55, 440, 0, 0, Smoke::mf_static, 24, 224},	//1052 Soprano::Vocabulary::Xesam::focalLength()
    {55, 852, 0, 0, Smoke::mf_static, 24, 225},	//1053 Soprano::Vocabulary::Xesam::trackGain()
    {55, 79, 0, 0, Smoke::mf_static, 24, 226},	//1054 Soprano::Vocabulary::Xesam::Filelike()
    {55, 899, 0, 0, Smoke::mf_static, 24, 227},	//1055 Soprano::Vocabulary::Xesam::xesamNamespace()
    {55, 111, 0, 0, Smoke::mf_static, 24, 228},	//1056 Soprano::Vocabulary::Xesam::NewsGroup()
    {55, 161, 0, 0, Smoke::mf_static, 24, 229},	//1057 Soprano::Vocabulary::Xesam::RemoteMessageboxMessage()
    {55, 260, 0, 0, Smoke::mf_static, 24, 230},	//1058 Soprano::Vocabulary::Xesam::audioChannels()
    {55, 292, 0, 0, Smoke::mf_static, 24, 231},	//1059 Soprano::Vocabulary::Xesam::changeCommitter()
    {55, 701, 0, 0, Smoke::mf_static, 24, 232},	//1060 Soprano::Vocabulary::Xesam::remotePort()
    {55, 303, 0, 0, Smoke::mf_static, 24, 233},	//1061 Soprano::Vocabulary::Xesam::colorCount()
    {55, 272, 0, 0, Smoke::mf_static, 24, 234},	//1062 Soprano::Vocabulary::Xesam::baseRevisionID()
    {55, 344, 0, 0, Smoke::mf_static, 24, 235},	//1063 Soprano::Vocabulary::Xesam::contributor()
    {55, 410, 0, 0, Smoke::mf_static, 24, 236},	//1064 Soprano::Vocabulary::Xesam::emailAddress()
    {55, 643, 0, 0, Smoke::mf_static, 24, 237},	//1065 Soprano::Vocabulary::Xesam::originalLocation()
    {55, 47, 0, 0, Smoke::mf_static, 24, 238},	//1066 Soprano::Vocabulary::Xesam::Contact()
    {55, 377, 0, 0, Smoke::mf_static, 24, 239},	//1067 Soprano::Vocabulary::Xesam::description()
    {55, 739, 0, 0, Smoke::mf_static, 24, 240},	//1068 Soprano::Vocabulary::Xesam::sampleDataType()
    {55, 548, 0, 0, Smoke::mf_static, 24, 241},	//1069 Soprano::Vocabulary::Xesam::knows()
    {55, 428, 0, 0, Smoke::mf_static, 24, 242},	//1070 Soprano::Vocabulary::Xesam::exposureTime()
    {55, 895, 0, 0, Smoke::mf_static, 24, 243},	//1071 Soprano::Vocabulary::Xesam::workPostalAddress()
    {55, 453, 0, 0, Smoke::mf_static, 24, 244},	//1072 Soprano::Vocabulary::Xesam::generator()
    {55, 471, 0, 0, Smoke::mf_static, 24, 245},	//1073 Soprano::Vocabulary::Xesam::homePhoneNumber()
    {55, 6, 0, 0, Smoke::mf_static, 24, 246},	//1074 Soprano::Vocabulary::Xesam::Archive()
    {55, 285, 0, 0, Smoke::mf_static, 24, 247},	//1075 Soprano::Vocabulary::Xesam::cameraManufacturer()
    {55, 314, 0, 0, Smoke::mf_static, 24, 248},	//1076 Soprano::Vocabulary::Xesam::conflicts()
    {55, 53, 0, 0, Smoke::mf_static, 24, 249},	//1077 Soprano::Vocabulary::Xesam::DataObject()
    {55, 341, 0, 0, Smoke::mf_static, 24, 250},	//1078 Soprano::Vocabulary::Xesam::contentModified()
    {55, 603, 0, 0, Smoke::mf_static, 24, 251},	//1079 Soprano::Vocabulary::Xesam::meteringMode()
    {55, 833, 0, 0, Smoke::mf_static, 24, 252},	//1080 Soprano::Vocabulary::Xesam::targetQuality()
    {55, 452, 0, 0, Smoke::mf_static, 24, 253},	//1081 Soprano::Vocabulary::Xesam::gender()
    {55, 255, 0, 0, Smoke::mf_static, 24, 254},	//1082 Soprano::Vocabulary::Xesam::asText()
    {55, 254, 0, 0, Smoke::mf_static, 24, 255},	//1083 Soprano::Vocabulary::Xesam::artist()
    {55, 671, 0, 0, Smoke::mf_static, 24, 256},	//1084 Soprano::Vocabulary::Xesam::pixelDataBitDepth()
    {55, 218, 0, 0, Smoke::mf_static, 24, 257},	//1085 Soprano::Vocabulary::Xesam::Visual()
    {55, 316, 0, 0, Smoke::mf_static, 24, 258},	//1086 Soprano::Vocabulary::Xesam::contactMedium()
    {55, 454, 0, 0, Smoke::mf_static, 24, 259},	//1087 Soprano::Vocabulary::Xesam::generatorOptions()
    {55, 239, 0, 0, Smoke::mf_static, 24, 260},	//1088 Soprano::Vocabulary::Xesam::albumArtist()
    {55, 474, 0, 0, Smoke::mf_static, 24, 261},	//1089 Soprano::Vocabulary::Xesam::honorificPrefix()
    {55, 209, 0, 0, Smoke::mf_static, 24, 262},	//1090 Soprano::Vocabulary::Xesam::SystemResource()
    {55, 338, 0, 0, Smoke::mf_static, 24, 263},	//1091 Soprano::Vocabulary::Xesam::contentComment()
    {55, 82, 0, 0, Smoke::mf_static, 24, 264},	//1092 Soprano::Vocabulary::Xesam::Folder()
    {55, 475, 0, 0, Smoke::mf_static, 24, 265},	//1093 Soprano::Vocabulary::Xesam::honorificSuffix()
    {55, 478, 0, 0, Smoke::mf_static, 24, 266},	//1094 Soprano::Vocabulary::Xesam::id()
    {55, 890, 0, 0, Smoke::mf_static, 24, 267},	//1095 Soprano::Vocabulary::Xesam::whiteBalance()
    {55, 498, 0, 0, Smoke::mf_static, 24, 268},	//1096 Soprano::Vocabulary::Xesam::isContentEncrypted()
    {55, 194, 0, 0, Smoke::mf_static, 24, 269},	//1097 Soprano::Vocabulary::Xesam::SourceCode()
    {55, 264, 0, 0, Smoke::mf_static, 24, 270},	//1098 Soprano::Vocabulary::Xesam::audioSampleCount()
    {55, 295, 0, 0, Smoke::mf_static, 24, 271},	//1099 Soprano::Vocabulary::Xesam::chatRoom()
    {55, 777, 0, 0, Smoke::mf_static, 24, 272},	//1100 Soprano::Vocabulary::Xesam::setRate()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    24,  // Soprano::qHash(const Soprano::Node&)
    27,  // Soprano::qHash(const Soprano::LiteralValue&)
    28,  // Soprano::qHash(const Soprano::Statement&)
    37,  // Soprano::qHash(const Soprano::LanguageTag&)
    0,
    20,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    30,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    35,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    44,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, const QString&)
    0,
    19,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    29,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    0,
    18,  // Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    32,  // Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    0,
    97,  // Soprano::Error::Error::Error(const Soprano::Error::Error&)
    104,  // Soprano::Error::Error::Error(Soprano::Error::ErrorData*)
    0,
    117,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::Error&)
    120,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::ParserError&)
    121,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&)
    0,
    86,  // Soprano::BackendSetting::BackendSetting(Soprano::BackendOption, const QVariant&)
    87,  // Soprano::BackendSetting::BackendSetting(const QString&, const QVariant&)
    0,
    247,  // Soprano::Node::Node(const QUrl&)
    249,  // Soprano::Node::Node(const Soprano::LiteralValue&)
    251,  // Soprano::Node::Node(const Soprano::Node&)
    0,
    252,  // Soprano::Node::operator=(const Soprano::Node&)
    253,  // Soprano::Node::operator=(const QUrl&)
    254,  // Soprano::Node::operator=(const Soprano::LiteralValue&)
    0,
    255,  // Soprano::Node::operator==(const Soprano::Node&) const
    257,  // Soprano::Node::operator==(const QUrl&) const
    258,  // Soprano::Node::operator==(const Soprano::LiteralValue&) const
    0,
    538,  // Soprano::Util::AsyncQuery::binding(const QString&) const
    539,  // Soprano::Util::AsyncQuery::binding(int) const
    0,
    349,  // Soprano::QueryResultIterator::QueryResultIterator(const Soprano::QueryResultIterator&)
    350,  // Soprano::QueryResultIterator::QueryResultIterator(Soprano::QueryResultIteratorBackend*)
    0,
    357,  // Soprano::QueryResultIterator::binding(const QString&) const
    358,  // Soprano::QueryResultIterator::binding(int) const
    0,
    366,  // Soprano::QueryResultIterator::iterateBindings(const QString&) const
    367,  // Soprano::QueryResultIterator::iterateBindings(int) const
    0,
    355,  // Soprano::QueryResultIterator::operator[](int) const
    356,  // Soprano::QueryResultIterator::operator[](const QString) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {5, 146, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {5, 147, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {5, 148, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {5, 149, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {5, 150, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {13, 16, 47},	// Soprano::BackendFeatureAddStatement
    {13, 17, 55},	// Soprano::BackendFeatureAll
    {13, 18, 53},	// Soprano::BackendFeatureContext
    {13, 19, 51},	// Soprano::BackendFeatureInference
    {13, 20, 52},	// Soprano::BackendFeatureInferenceOptional
    {13, 21, 49},	// Soprano::BackendFeatureListStatements
    {13, 22, 46},	// Soprano::BackendFeatureNone
    {13, 23, 50},	// Soprano::BackendFeatureQuery
    {13, 24, 48},	// Soprano::BackendFeatureRemoveStatements
    {13, 25, 54},	// Soprano::BackendFeatureStorageMemory
    {13, 26, 56},	// Soprano::BackendFeatureUser
    {13, 27, 59},	// Soprano::BackendOptionEnableInference
    {13, 28, 61},	// Soprano::BackendOptionHost
    {13, 29, 57},	// Soprano::BackendOptionNone
    {13, 30, 64},	// Soprano::BackendOptionPassword
    {13, 31, 62},	// Soprano::BackendOptionPort
    {13, 32, 60},	// Soprano::BackendOptionStorageDir
    {13, 33, 58},	// Soprano::BackendOptionStorageMemory
    {13, 34, 65},	// Soprano::BackendOptionUser
    {13, 35, 63},	// Soprano::BackendOptionUsername
    {13, 172, 68},	// Soprano::SerializationN3
    {13, 173, 72},	// Soprano::SerializationNQuads
    {13, 174, 69},	// Soprano::SerializationNTriples
    {13, 175, 67},	// Soprano::SerializationRdfXml
    {13, 176, 71},	// Soprano::SerializationTrig
    {13, 177, 70},	// Soprano::SerializationTurtle
    {13, 178, 66},	// Soprano::SerializationUnknown
    {13, 179, 73},	// Soprano::SerializationUser
    {13, 354, 14},	// Soprano::createModel
    {13, 355, 13},	// Soprano::createModel?
    {13, 391, 40},	// Soprano::discoverBackendByFeatures$
    {13, 392, 39},	// Soprano::discoverBackendByFeatures$?
    {13, 394, 45},	// Soprano::discoverBackendByName$
    {13, 515, 23},	// Soprano::isOptionInSettings?$
    {13, 516, 22},	// Soprano::isOptionInSettings?$$
    {13, 606, 25},	// Soprano::mimeTypeToSerialization$
    {13, 632, 21},	// Soprano::operator<<##
    {13, 685, -1},	// Soprano::qHash#
    {13, 748, 43},	// Soprano::serializationMimeType$
    {13, 749, 42},	// Soprano::serializationMimeType$$
    {13, 785, 16},	// Soprano::setUsedBackend#
    {13, 789, 36},	// Soprano::settingInSettings?
    {13, 790, -6},	// Soprano::settingInSettings?$
    {13, 791, -11},	// Soprano::settingInSettings?$$
    {13, 865, 15},	// Soprano::usedBackend
    {13, 874, -14},	// Soprano::valueInSettings?$
    {13, 875, 31},	// Soprano::valueInSettings?$#
    {13, 876, 17},	// Soprano::valueInSettings?$$
    {13, 878, 38},	// Soprano::valueInSettingsWithDefault?$#
    {13, 881, 26},	// Soprano::versionMajor
    {13, 882, 41},	// Soprano::versionMinor
    {13, 883, 34},	// Soprano::versionRelease
    {13, 884, 33},	// Soprano::versionString
    {14, 14, 80},	// Soprano::Backend::Backend#
    {14, 15, 74},	// Soprano::Backend::Backend$
    {14, 354, 81},	// Soprano::Backend::createModel
    {14, 355, 75},	// Soprano::Backend::createModel?
    {14, 372, 76},	// Soprano::Backend::deleteModelData?
    {14, 823, 77},	// Soprano::Backend::supportedFeatures
    {14, 825, 78},	// Soprano::Backend::supportedUserFeatures
    {14, 828, 82},	// Soprano::Backend::supportsFeatures$
    {14, 829, 79},	// Soprano::Backend::supportsFeatures$?
    {14, 909, 83},	// Soprano::Backend::~Backend
    {15, 36, 84},	// Soprano::BackendSetting::BackendSetting
    {15, 37, 88},	// Soprano::BackendSetting::BackendSetting#
    {15, 38, 85},	// Soprano::BackendSetting::BackendSetting$
    {15, 39, -24},	// Soprano::BackendSetting::BackendSetting$#
    {15, 634, 89},	// Soprano::BackendSetting::operator=#
    {15, 640, 90},	// Soprano::BackendSetting::option
    {15, 787, 93},	// Soprano::BackendSetting::setValue#
    {15, 868, 91},	// Soprano::BackendSetting::userOptionName
    {15, 872, 92},	// Soprano::BackendSetting::value
    {15, 910, 94},	// Soprano::BackendSetting::~BackendSetting
    {17, 70, 95},	// Soprano::Error::Error::Error
    {17, 71, -17},	// Soprano::Error::Error::Error#
    {17, 72, 105},	// Soprano::Error::Error::Error$
    {17, 73, 96},	// Soprano::Error::Error::Error$$
    {17, 302, 101},	// Soprano::Error::Error::code
    {17, 517, 102},	// Soprano::Error::Error::isParserError
    {17, 601, 100},	// Soprano::Error::Error::message
    {17, 628, 99},	// Soprano::Error::Error::operator bool
    {17, 634, 98},	// Soprano::Error::Error::operator=#
    {17, 840, 103},	// Soprano::Error::Error::toParserError
    {17, 911, 106},	// Soprano::Error::Error::~Error
    {18, 74, 108},	// Soprano::Error::ErrorCache::ErrorCache
    {18, 75, 112},	// Soprano::Error::ErrorCache::ErrorCache#
    {18, 298, 109},	// Soprano::Error::ErrorCache::clearError
    {18, 551, 107},	// Soprano::Error::ErrorCache::lastError
    {18, 761, 110},	// Soprano::Error::ErrorCache::setError#
    {18, 762, 113},	// Soprano::Error::ErrorCache::setError$
    {18, 763, 111},	// Soprano::Error::ErrorCache::setError$$
    {18, 912, 114},	// Soprano::Error::ErrorCache::~ErrorCache
    {21, 132, 115},	// Soprano::Error::ParserError::ParserError
    {21, 133, -20},	// Soprano::Error::ParserError::ParserError#
    {21, 134, 122},	// Soprano::Error::ParserError::ParserError#$
    {21, 135, 116},	// Soprano::Error::ParserError::ParserError#$$
    {21, 584, 119},	// Soprano::Error::ParserError::locator
    {21, 634, 118},	// Soprano::Error::ParserError::operator=#
    {21, 919, 123},	// Soprano::Error::ParserError::~ParserError
    {22, 80, 153},	// Soprano::FilterModel::FilterModel
    {22, 81, 154},	// Soprano::FilterModel::FilterModel#
    {22, 227, 133},	// Soprano::FilterModel::addStatement#
    {22, 228, 161},	// Soprano::FilterModel::addStatement###
    {22, 229, 134},	// Soprano::FilterModel::addStatement####
    {22, 321, 145},	// Soprano::FilterModel::containsAnyStatement#
    {22, 322, 167},	// Soprano::FilterModel::containsAnyStatement###
    {22, 323, 146},	// Soprano::FilterModel::containsAnyStatement####
    {22, 331, 143},	// Soprano::FilterModel::containsStatement#
    {22, 332, 166},	// Soprano::FilterModel::containsStatement###
    {22, 333, 144},	// Soprano::FilterModel::containsStatement####
    {22, 347, 150},	// Soprano::FilterModel::createBlankNode
    {22, 421, 165},	// Soprano::FilterModel::executeQuery$$
    {22, 422, 142},	// Soprano::FilterModel::executeQuery$$$
    {22, 507, 147},	// Soprano::FilterModel::isEmpty
    {22, 560, 141},	// Soprano::FilterModel::listContexts
    {22, 562, 152},	// Soprano::FilterModel::listStatements
    {22, 563, 139},	// Soprano::FilterModel::listStatements#
    {22, 564, 164},	// Soprano::FilterModel::listStatements###
    {22, 565, 140},	// Soprano::FilterModel::listStatements####
    {22, 602, 124},	// Soprano::FilterModel::metaObject
    {22, 649, 132},	// Soprano::FilterModel::parentModel
    {22, 651, 157},	// Soprano::FilterModel::parentStatementAdded#
    {22, 653, 158},	// Soprano::FilterModel::parentStatementRemoved#
    {22, 654, 155},	// Soprano::FilterModel::parentStatementsAdded
    {22, 655, 156},	// Soprano::FilterModel::parentStatementsRemoved
    {22, 687, 130},	// Soprano::FilterModel::qt_metacall$$?
    {22, 689, 125},	// Soprano::FilterModel::qt_metacast$
    {22, 704, 151},	// Soprano::FilterModel::removeAllStatements
    {22, 705, 137},	// Soprano::FilterModel::removeAllStatements#
    {22, 706, 163},	// Soprano::FilterModel::removeAllStatements###
    {22, 707, 138},	// Soprano::FilterModel::removeAllStatements####
    {22, 715, 135},	// Soprano::FilterModel::removeStatement#
    {22, 716, 162},	// Soprano::FilterModel::removeStatement###
    {22, 717, 136},	// Soprano::FilterModel::removeStatement####
    {22, 771, 131},	// Soprano::FilterModel::setParentModel#
    {22, 801, 148},	// Soprano::FilterModel::statementCount
    {22, 808, 168},	// Soprano::FilterModel::staticMetaObject
    {22, 845, 159},	// Soprano::FilterModel::tr$
    {22, 846, 126},	// Soprano::FilterModel::tr$$
    {22, 847, 128},	// Soprano::FilterModel::tr$$$
    {22, 849, 160},	// Soprano::FilterModel::trUtf8$
    {22, 850, 127},	// Soprano::FilterModel::trUtf8$$
    {22, 851, 129},	// Soprano::FilterModel::trUtf8$$$
    {22, 897, 149},	// Soprano::FilterModel::write#
    {22, 913, 169},	// Soprano::FilterModel::~FilterModel
    {24, 95, 177},	// Soprano::Inference::InferenceModel::InferenceModel#
    {24, 225, 181},	// Soprano::Inference::InferenceModel::addRule#
    {24, 227, 178},	// Soprano::Inference::InferenceModel::addStatement#
    {24, 228, 193},	// Soprano::Inference::InferenceModel::addStatement###
    {24, 229, 183},	// Soprano::Inference::InferenceModel::addStatement####
    {24, 299, 188},	// Soprano::Inference::InferenceModel::clearInference
    {24, 602, 170},	// Soprano::Inference::InferenceModel::metaObject
    {24, 665, 187},	// Soprano::Inference::InferenceModel::performInference
    {24, 687, 176},	// Soprano::Inference::InferenceModel::qt_metacall$$?
    {24, 689, 171},	// Soprano::Inference::InferenceModel::qt_metacast$
    {24, 704, 186},	// Soprano::Inference::InferenceModel::removeAllStatements
    {24, 705, 180},	// Soprano::Inference::InferenceModel::removeAllStatements#
    {24, 706, 195},	// Soprano::Inference::InferenceModel::removeAllStatements###
    {24, 707, 185},	// Soprano::Inference::InferenceModel::removeAllStatements####
    {24, 715, 179},	// Soprano::Inference::InferenceModel::removeStatement#
    {24, 716, 194},	// Soprano::Inference::InferenceModel::removeStatement###
    {24, 717, 184},	// Soprano::Inference::InferenceModel::removeStatement####
    {24, 756, 189},	// Soprano::Inference::InferenceModel::setCompressedSourceStatements$
    {24, 769, 190},	// Soprano::Inference::InferenceModel::setOptimizedQueriesEnabled$
    {24, 781, 182},	// Soprano::Inference::InferenceModel::setRules?
    {24, 808, 196},	// Soprano::Inference::InferenceModel::staticMetaObject
    {24, 845, 191},	// Soprano::Inference::InferenceModel::tr$
    {24, 846, 172},	// Soprano::Inference::InferenceModel::tr$$
    {24, 847, 174},	// Soprano::Inference::InferenceModel::tr$$$
    {24, 849, 192},	// Soprano::Inference::InferenceModel::trUtf8$
    {24, 850, 173},	// Soprano::Inference::InferenceModel::trUtf8$$
    {24, 851, 175},	// Soprano::Inference::InferenceModel::trUtf8$$$
    {24, 914, 197},	// Soprano::Inference::InferenceModel::~InferenceModel
    {28, 108, 234},	// Soprano::Model::Model
    {28, 227, 205},	// Soprano::Model::addStatement#
    {28, 228, 237},	// Soprano::Model::addStatement###
    {28, 229, 206},	// Soprano::Model::addStatement####
    {28, 235, 207},	// Soprano::Model::addStatements?
    {28, 321, 221},	// Soprano::Model::containsAnyStatement#
    {28, 322, 242},	// Soprano::Model::containsAnyStatement###
    {28, 323, 222},	// Soprano::Model::containsAnyStatement####
    {28, 329, 225},	// Soprano::Model::containsContext#
    {28, 331, 223},	// Soprano::Model::containsStatement#
    {28, 332, 243},	// Soprano::Model::containsStatement###
    {28, 333, 224},	// Soprano::Model::containsStatement####
    {28, 347, 229},	// Soprano::Model::createBlankNode
    {28, 421, 241},	// Soprano::Model::executeQuery$$
    {28, 422, 220},	// Soprano::Model::executeQuery$$$
    {28, 507, 226},	// Soprano::Model::isEmpty
    {28, 560, 219},	// Soprano::Model::listContexts
    {28, 562, 217},	// Soprano::Model::listStatements
    {28, 563, 215},	// Soprano::Model::listStatements#
    {28, 564, 240},	// Soprano::Model::listStatements###
    {28, 565, 216},	// Soprano::Model::listStatements####
    {28, 571, 218},	// Soprano::Model::listStatementsInContext#
    {28, 602, 198},	// Soprano::Model::metaObject
    {28, 687, 204},	// Soprano::Model::qt_metacall$$?
    {28, 689, 199},	// Soprano::Model::qt_metacast$
    {28, 704, 214},	// Soprano::Model::removeAllStatements
    {28, 705, 210},	// Soprano::Model::removeAllStatements#
    {28, 706, 239},	// Soprano::Model::removeAllStatements###
    {28, 707, 211},	// Soprano::Model::removeAllStatements####
    {28, 713, 213},	// Soprano::Model::removeContext#
    {28, 715, 208},	// Soprano::Model::removeStatement#
    {28, 716, 238},	// Soprano::Model::removeStatement###
    {28, 717, 209},	// Soprano::Model::removeStatement####
    {28, 723, 212},	// Soprano::Model::removeStatements?
    {28, 800, 232},	// Soprano::Model::statementAdded#
    {28, 801, 227},	// Soprano::Model::statementCount
    {28, 805, 233},	// Soprano::Model::statementRemoved#
    {28, 806, 230},	// Soprano::Model::statementsAdded
    {28, 807, 231},	// Soprano::Model::statementsRemoved
    {28, 808, 244},	// Soprano::Model::staticMetaObject
    {28, 845, 235},	// Soprano::Model::tr$
    {28, 846, 200},	// Soprano::Model::tr$$
    {28, 847, 202},	// Soprano::Model::tr$$$
    {28, 849, 236},	// Soprano::Model::trUtf8$
    {28, 850, 201},	// Soprano::Model::trUtf8$$
    {28, 851, 203},	// Soprano::Model::trUtf8$$$
    {28, 897, 228},	// Soprano::Model::write#
    {28, 915, 245},	// Soprano::Model::~Model
    {29, 41, 288},	// Soprano::Node::BlankNode
    {29, 69, 285},	// Soprano::Node::EmptyNode
    {29, 90, 292},	// Soprano::Node::IgnorePrefixes
    {29, 101, 287},	// Soprano::Node::LiteralNode
    {29, 113, 289},	// Soprano::Node::NoFlags
    {29, 114, 246},	// Soprano::Node::Node
    {29, 115, -27},	// Soprano::Node::Node#
    {29, 116, 250},	// Soprano::Node::Node#$
    {29, 117, 248},	// Soprano::Node::Node$
    {29, 164, 286},	// Soprano::Node::ResourceNode
    {29, 205, 290},	// Soprano::Node::StrictLiteralTypes
    {29, 206, 291},	// Soprano::Node::StrictUris
    {29, 280, 279},	// Soprano::Node::blankToN3$
    {29, 348, 275},	// Soprano::Node::createBlankNode$
    {29, 350, 273},	// Soprano::Node::createEmptyNode
    {29, 352, 276},	// Soprano::Node::createLiteralNode#
    {29, 353, 277},	// Soprano::Node::createLiteralNode#$
    {29, 357, 274},	// Soprano::Node::createResourceNode#
    {29, 364, 269},	// Soprano::Node::dataType
    {29, 447, 283},	// Soprano::Node::fromN3$
    {29, 448, 281},	// Soprano::Node::fromN3$$
    {29, 450, 284},	// Soprano::Node::fromN3Stream#
    {29, 451, 282},	// Soprano::Node::fromN3Stream#$
    {29, 479, 267},	// Soprano::Node::identifier
    {29, 494, 265},	// Soprano::Node::isBlank
    {29, 507, 261},	// Soprano::Node::isEmpty
    {29, 513, 263},	// Soprano::Node::isLiteral
    {29, 523, 264},	// Soprano::Node::isResource
    {29, 533, 262},	// Soprano::Node::isValid
    {29, 550, 270},	// Soprano::Node::language
    {29, 572, 268},	// Soprano::Node::literal
    {29, 574, 280},	// Soprano::Node::literalToN3#
    {29, 592, 259},	// Soprano::Node::matches#
    {29, 630, 256},	// Soprano::Node::operator!=#
    {29, 634, -31},	// Soprano::Node::operator=#
    {29, 636, -35},	// Soprano::Node::operator==#
    {29, 728, 278},	// Soprano::Node::resourceToN3#
    {29, 839, 272},	// Soprano::Node::toN3
    {29, 841, 271},	// Soprano::Node::toString
    {29, 855, 260},	// Soprano::Node::type
    {29, 862, 266},	// Soprano::Node::uri
    {29, 916, 293},	// Soprano::Node::~Node
    {30, 118, 294},	// Soprano::NodeIterator::NodeIterator
    {30, 119, 296},	// Soprano::NodeIterator::NodeIterator#
    {30, 120, 295},	// Soprano::NodeIterator::NodeIterator?
    {30, 245, 298},	// Soprano::NodeIterator::allNodes
    {30, 634, 297},	// Soprano::NodeIterator::operator=#
    {30, 917, 299},	// Soprano::NodeIterator::~NodeIterator
    {31, 130, 307},	// Soprano::Parser::Parser#
    {31, 131, 306},	// Soprano::Parser::Parser$
    {31, 657, 309},	// Soprano::Parser::parseFile$#$
    {31, 658, 303},	// Soprano::Parser::parseFile$#$$
    {31, 660, 311},	// Soprano::Parser::parseStream##$
    {31, 661, 305},	// Soprano::Parser::parseStream##$$
    {31, 663, 310},	// Soprano::Parser::parseString$#$
    {31, 664, 304},	// Soprano::Parser::parseString$#$$
    {31, 824, 300},	// Soprano::Parser::supportedSerializations
    {31, 826, 301},	// Soprano::Parser::supportedUserSerializations
    {31, 831, 308},	// Soprano::Parser::supportsSerialization$
    {31, 832, 302},	// Soprano::Parser::supportsSerialization$$
    {31, 918, 312},	// Soprano::Parser::~Parser
    {32, 141, 316},	// Soprano::Plugin::Plugin#
    {32, 142, 315},	// Soprano::Plugin::Plugin$
    {32, 492, 314},	// Soprano::Plugin::isAvailable
    {32, 673, 313},	// Soprano::Plugin::pluginName
    {32, 920, 317},	// Soprano::Plugin::~Plugin
    {33, 243, 332},	// Soprano::PluginManager::allBackends
    {33, 246, 335},	// Soprano::PluginManager::allParsers
    {33, 247, 338},	// Soprano::PluginManager::allSerializers
    {33, 391, 343},	// Soprano::PluginManager::discoverBackendByFeatures$
    {33, 392, 331},	// Soprano::PluginManager::discoverBackendByFeatures$?
    {33, 394, 330},	// Soprano::PluginManager::discoverBackendByName$
    {33, 396, 333},	// Soprano::PluginManager::discoverParserByName$
    {33, 398, 344},	// Soprano::PluginManager::discoverParserForSerialization$
    {33, 399, 334},	// Soprano::PluginManager::discoverParserForSerialization$$
    {33, 401, 336},	// Soprano::PluginManager::discoverSerializerByName$
    {33, 403, 345},	// Soprano::PluginManager::discoverSerializerForSerialization$
    {33, 404, 337},	// Soprano::PluginManager::discoverSerializerForSerialization$$
    {33, 484, 339},	// Soprano::PluginManager::instance
    {33, 576, 327},	// Soprano::PluginManager::loadCustomBackend$
    {33, 578, 328},	// Soprano::PluginManager::loadCustomParser$
    {33, 580, 326},	// Soprano::PluginManager::loadCustomPlugin$
    {33, 582, 329},	// Soprano::PluginManager::loadCustomSerializer$
    {33, 602, 318},	// Soprano::PluginManager::metaObject
    {33, 687, 324},	// Soprano::PluginManager::qt_metacall$$?
    {33, 689, 319},	// Soprano::PluginManager::qt_metacast$
    {33, 773, 342},	// Soprano::PluginManager::setPluginSearchPath?
    {33, 774, 325},	// Soprano::PluginManager::setPluginSearchPath?$
    {33, 808, 346},	// Soprano::PluginManager::staticMetaObject
    {33, 845, 340},	// Soprano::PluginManager::tr$
    {33, 846, 320},	// Soprano::PluginManager::tr$$
    {33, 847, 322},	// Soprano::PluginManager::tr$$$
    {33, 849, 341},	// Soprano::PluginManager::trUtf8$
    {33, 850, 321},	// Soprano::PluginManager::trUtf8$$
    {33, 851, 323},	// Soprano::PluginManager::trUtf8$$$
    {33, 921, 347},	// Soprano::PluginManager::~PluginManager
    {34, 151, 348},	// Soprano::QueryResultIterator::QueryResultIterator
    {34, 152, -42},	// Soprano::QueryResultIterator::QueryResultIterator#
    {34, 244, 364},	// Soprano::QueryResultIterator::allBindings
    {34, 275, -45},	// Soprano::QueryResultIterator::binding$
    {34, 276, 359},	// Soprano::QueryResultIterator::bindingCount
    {34, 277, 360},	// Soprano::QueryResultIterator::bindingNames
    {34, 282, 354},	// Soprano::QueryResultIterator::boolValue
    {34, 361, 353},	// Soprano::QueryResultIterator::currentBindings
    {34, 362, 352},	// Soprano::QueryResultIterator::currentStatement
    {34, 493, 362},	// Soprano::QueryResultIterator::isBinding
    {34, 495, 363},	// Soprano::QueryResultIterator::isBool
    {34, 510, 361},	// Soprano::QueryResultIterator::isGraph
    {34, 536, -48},	// Soprano::QueryResultIterator::iterateBindings$
    {34, 540, 365},	// Soprano::QueryResultIterator::iterateStatements
    {34, 542, 369},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$
    {34, 543, 370},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$$
    {34, 544, 368},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$$#
    {34, 634, 351},	// Soprano::QueryResultIterator::operator=#
    {34, 639, -51},	// Soprano::QueryResultIterator::operator[]$
    {34, 922, 371},	// Soprano::QueryResultIterator::~QueryResultIterator
    {36, 155, 391},	// Soprano::RdfSchemaModel::RdfSchemaModel
    {36, 156, 372},	// Soprano::RdfSchemaModel::RdfSchemaModel#
    {36, 297, 373},	// Soprano::RdfSchemaModel::classes
    {36, 380, 392},	// Soprano::RdfSchemaModel::directSubClassOf#
    {36, 381, 374},	// Soprano::RdfSchemaModel::directSubClassOf##
    {36, 383, 393},	// Soprano::RdfSchemaModel::directSubPropertyOf#
    {36, 384, 375},	// Soprano::RdfSchemaModel::directSubPropertyOf##
    {36, 386, 376},	// Soprano::RdfSchemaModel::directType##
    {36, 409, 377},	// Soprano::RdfSchemaModel::domain##
    {36, 497, 383},	// Soprano::RdfSchemaModel::isClass#
    {36, 502, 385},	// Soprano::RdfSchemaModel::isDirectSubClassOf##
    {36, 504, 386},	// Soprano::RdfSchemaModel::isDirectSubPropertyOf##
    {36, 506, 387},	// Soprano::RdfSchemaModel::isDirectType##
    {36, 519, 384},	// Soprano::RdfSchemaModel::isProperty#
    {36, 526, 388},	// Soprano::RdfSchemaModel::isSubClassOf##
    {36, 528, 389},	// Soprano::RdfSchemaModel::isSubPropertyOf##
    {36, 532, 390},	// Soprano::RdfSchemaModel::isType##
    {36, 683, 378},	// Soprano::RdfSchemaModel::properties
    {36, 692, 379},	// Soprano::RdfSchemaModel::range##
    {36, 813, 394},	// Soprano::RdfSchemaModel::subClassOf#
    {36, 814, 380},	// Soprano::RdfSchemaModel::subClassOf##
    {36, 817, 395},	// Soprano::RdfSchemaModel::subPropertyOf#
    {36, 818, 381},	// Soprano::RdfSchemaModel::subPropertyOf##
    {36, 856, 382},	// Soprano::RdfSchemaModel::type##
    {36, 923, 396},	// Soprano::RdfSchemaModel::~RdfSchemaModel
    {37, 181, 405},	// Soprano::Serializer::Serializer#
    {37, 182, 404},	// Soprano::Serializer::Serializer$
    {37, 223, 401},	// Soprano::Serializer::addPrefix$#
    {37, 300, 402},	// Soprano::Serializer::clearPrefixes
    {37, 679, 403},	// Soprano::Serializer::prefixes
    {37, 751, 407},	// Soprano::Serializer::serialize##$
    {37, 752, 400},	// Soprano::Serializer::serialize##$$
    {37, 824, 397},	// Soprano::Serializer::supportedSerializations
    {37, 826, 398},	// Soprano::Serializer::supportedUserSerializations
    {37, 831, 406},	// Soprano::Serializer::supportsSerialization$
    {37, 832, 399},	// Soprano::Serializer::supportsSerialization$$
    {37, 925, 408},	// Soprano::Serializer::~Serializer
    {38, 196, 409},	// Soprano::Statement::Statement
    {38, 197, 411},	// Soprano::Statement::Statement#
    {38, 198, 425},	// Soprano::Statement::Statement###
    {38, 199, 410},	// Soprano::Statement::Statement####
    {38, 343, 420},	// Soprano::Statement::context
    {38, 533, 416},	// Soprano::Statement::isValid
    {38, 592, 415},	// Soprano::Statement::matches#
    {38, 624, 419},	// Soprano::Statement::object
    {38, 630, 414},	// Soprano::Statement::operator!=#
    {38, 634, 412},	// Soprano::Statement::operator=#
    {38, 636, 413},	// Soprano::Statement::operator==#
    {38, 676, 418},	// Soprano::Statement::predicate
    {38, 758, 424},	// Soprano::Statement::setContext#
    {38, 767, 423},	// Soprano::Statement::setObject#
    {38, 776, 422},	// Soprano::Statement::setPredicate#
    {38, 783, 421},	// Soprano::Statement::setSubject#
    {38, 819, 417},	// Soprano::Statement::subject
    {38, 929, 426},	// Soprano::Statement::~Statement
    {39, 200, 427},	// Soprano::StatementIterator::StatementIterator
    {39, 201, 429},	// Soprano::StatementIterator::StatementIterator#
    {39, 202, 428},	// Soprano::StatementIterator::StatementIterator?
    {39, 248, 431},	// Soprano::StatementIterator::allStatements
    {39, 537, 435},	// Soprano::StatementIterator::iterateContexts
    {39, 538, 434},	// Soprano::StatementIterator::iterateObjects
    {39, 539, 433},	// Soprano::StatementIterator::iteratePredicates
    {39, 545, 432},	// Soprano::StatementIterator::iterateSubjects
    {39, 634, 430},	// Soprano::StatementIterator::operator=#
    {39, 930, 436},	// Soprano::StatementIterator::~StatementIterator
    {40, 204, 453},	// Soprano::StorageModel::StorageModel#
    {40, 269, 448},	// Soprano::StorageModel::backend
    {40, 321, 446},	// Soprano::StorageModel::containsAnyStatement#
    {40, 322, 458},	// Soprano::StorageModel::containsAnyStatement###
    {40, 323, 452},	// Soprano::StorageModel::containsAnyStatement####
    {40, 331, 445},	// Soprano::StorageModel::containsStatement#
    {40, 332, 457},	// Soprano::StorageModel::containsStatement###
    {40, 333, 451},	// Soprano::StorageModel::containsStatement####
    {40, 507, 444},	// Soprano::StorageModel::isEmpty
    {40, 602, 437},	// Soprano::StorageModel::metaObject
    {40, 687, 443},	// Soprano::StorageModel::qt_metacall$$?
    {40, 689, 438},	// Soprano::StorageModel::qt_metacast$
    {40, 704, 450},	// Soprano::StorageModel::removeAllStatements
    {40, 705, 447},	// Soprano::StorageModel::removeAllStatements#
    {40, 706, 456},	// Soprano::StorageModel::removeAllStatements###
    {40, 707, 449},	// Soprano::StorageModel::removeAllStatements####
    {40, 808, 459},	// Soprano::StorageModel::staticMetaObject
    {40, 845, 454},	// Soprano::StorageModel::tr$
    {40, 846, 439},	// Soprano::StorageModel::tr$$
    {40, 847, 441},	// Soprano::StorageModel::tr$$$
    {40, 849, 455},	// Soprano::StorageModel::trUtf8$
    {40, 850, 440},	// Soprano::StorageModel::trUtf8$$
    {40, 851, 442},	// Soprano::StorageModel::trUtf8$$$
    {40, 931, 460},	// Soprano::StorageModel::~StorageModel
    {41, 9, 509},	// Soprano::Util::AsyncModel::AsyncModel
    {41, 10, 468},	// Soprano::Util::AsyncModel::AsyncModel#
    {41, 109, 526},	// Soprano::Util::AsyncModel::MultiThreaded
    {41, 191, 525},	// Soprano::Util::AsyncModel::SingleThreaded
    {41, 227, 494},	// Soprano::Util::AsyncModel::addStatement#
    {41, 228, 518},	// Soprano::Util::AsyncModel::addStatement###
    {41, 229, 495},	// Soprano::Util::AsyncModel::addStatement####
    {41, 231, 471},	// Soprano::Util::AsyncModel::addStatementAsync#
    {41, 232, 510},	// Soprano::Util::AsyncModel::addStatementAsync###
    {41, 233, 472},	// Soprano::Util::AsyncModel::addStatementAsync####
    {41, 237, 473},	// Soprano::Util::AsyncModel::addStatementsAsync?
    {41, 321, 505},	// Soprano::Util::AsyncModel::containsAnyStatement#
    {41, 322, 523},	// Soprano::Util::AsyncModel::containsAnyStatement###
    {41, 323, 506},	// Soprano::Util::AsyncModel::containsAnyStatement####
    {41, 325, 488},	// Soprano::Util::AsyncModel::containsAnyStatementAsync#
    {41, 326, 516},	// Soprano::Util::AsyncModel::containsAnyStatementAsync###
    {41, 327, 489},	// Soprano::Util::AsyncModel::containsAnyStatementAsync####
    {41, 331, 503},	// Soprano::Util::AsyncModel::containsStatement#
    {41, 332, 522},	// Soprano::Util::AsyncModel::containsStatement###
    {41, 333, 504},	// Soprano::Util::AsyncModel::containsStatement####
    {41, 335, 486},	// Soprano::Util::AsyncModel::containsStatementAsync#
    {41, 336, 515},	// Soprano::Util::AsyncModel::containsStatementAsync###
    {41, 337, 487},	// Soprano::Util::AsyncModel::containsStatementAsync####
    {41, 349, 490},	// Soprano::Util::AsyncModel::createBlankNodeAsync
    {41, 421, 517},	// Soprano::Util::AsyncModel::executeQuery$$
    {41, 422, 493},	// Soprano::Util::AsyncModel::executeQuery$$$
    {41, 424, 514},	// Soprano::Util::AsyncModel::executeQueryAsync$$
    {41, 425, 485},	// Soprano::Util::AsyncModel::executeQueryAsync$$$
    {41, 508, 479},	// Soprano::Util::AsyncModel::isEmptyAsync
    {41, 560, 492},	// Soprano::Util::AsyncModel::listContexts
    {41, 561, 484},	// Soprano::Util::AsyncModel::listContextsAsync
    {41, 562, 502},	// Soprano::Util::AsyncModel::listStatements
    {41, 563, 491},	// Soprano::Util::AsyncModel::listStatements#
    {41, 564, 521},	// Soprano::Util::AsyncModel::listStatements###
    {41, 565, 501},	// Soprano::Util::AsyncModel::listStatements####
    {41, 566, 483},	// Soprano::Util::AsyncModel::listStatementsAsync
    {41, 567, 481},	// Soprano::Util::AsyncModel::listStatementsAsync#
    {41, 568, 513},	// Soprano::Util::AsyncModel::listStatementsAsync###
    {41, 569, 482},	// Soprano::Util::AsyncModel::listStatementsAsync####
    {41, 602, 461},	// Soprano::Util::AsyncModel::metaObject
    {41, 608, 470},	// Soprano::Util::AsyncModel::mode
    {41, 687, 467},	// Soprano::Util::AsyncModel::qt_metacall$$?
    {41, 689, 462},	// Soprano::Util::AsyncModel::qt_metacast$
    {41, 704, 500},	// Soprano::Util::AsyncModel::removeAllStatements
    {41, 705, 498},	// Soprano::Util::AsyncModel::removeAllStatements#
    {41, 706, 520},	// Soprano::Util::AsyncModel::removeAllStatements###
    {41, 707, 499},	// Soprano::Util::AsyncModel::removeAllStatements####
    {41, 709, 477},	// Soprano::Util::AsyncModel::removeAllStatementsAsync#
    {41, 710, 512},	// Soprano::Util::AsyncModel::removeAllStatementsAsync###
    {41, 711, 478},	// Soprano::Util::AsyncModel::removeAllStatementsAsync####
    {41, 715, 496},	// Soprano::Util::AsyncModel::removeStatement#
    {41, 716, 519},	// Soprano::Util::AsyncModel::removeStatement###
    {41, 717, 497},	// Soprano::Util::AsyncModel::removeStatement####
    {41, 719, 474},	// Soprano::Util::AsyncModel::removeStatementAsync#
    {41, 720, 511},	// Soprano::Util::AsyncModel::removeStatementAsync###
    {41, 721, 475},	// Soprano::Util::AsyncModel::removeStatementAsync####
    {41, 725, 476},	// Soprano::Util::AsyncModel::removeStatementsAsync?
    {41, 765, 469},	// Soprano::Util::AsyncModel::setMode$
    {41, 802, 480},	// Soprano::Util::AsyncModel::statementCountAsync
    {41, 808, 524},	// Soprano::Util::AsyncModel::staticMetaObject
    {41, 845, 507},	// Soprano::Util::AsyncModel::tr$
    {41, 846, 463},	// Soprano::Util::AsyncModel::tr$$
    {41, 847, 465},	// Soprano::Util::AsyncModel::tr$$$
    {41, 849, 508},	// Soprano::Util::AsyncModel::trUtf8$
    {41, 850, 464},	// Soprano::Util::AsyncModel::trUtf8$$
    {41, 851, 466},	// Soprano::Util::AsyncModel::trUtf8$$$
    {41, 906, 527},	// Soprano::Util::AsyncModel::~AsyncModel
    {42, 275, -39},	// Soprano::Util::AsyncQuery::binding$
    {42, 276, 540},	// Soprano::Util::AsyncQuery::bindingCount
    {42, 277, 541},	// Soprano::Util::AsyncQuery::bindingNames
    {42, 282, 537},	// Soprano::Util::AsyncQuery::boolValue
    {42, 301, 546},	// Soprano::Util::AsyncQuery::close
    {42, 361, 536},	// Soprano::Util::AsyncQuery::currentBindings
    {42, 362, 535},	// Soprano::Util::AsyncQuery::currentStatement
    {42, 419, 552},	// Soprano::Util::AsyncQuery::executeQuery#$$
    {42, 420, 549},	// Soprano::Util::AsyncQuery::executeQuery#$$$
    {42, 436, 548},	// Soprano::Util::AsyncQuery::finished#
    {42, 493, 543},	// Soprano::Util::AsyncQuery::isBinding
    {42, 495, 544},	// Soprano::Util::AsyncQuery::isBool
    {42, 510, 542},	// Soprano::Util::AsyncQuery::isGraph
    {42, 602, 528},	// Soprano::Util::AsyncQuery::metaObject
    {42, 615, 545},	// Soprano::Util::AsyncQuery::next
    {42, 617, 547},	// Soprano::Util::AsyncQuery::nextReady#
    {42, 687, 534},	// Soprano::Util::AsyncQuery::qt_metacall$$?
    {42, 689, 529},	// Soprano::Util::AsyncQuery::qt_metacast$
    {42, 808, 553},	// Soprano::Util::AsyncQuery::staticMetaObject
    {42, 845, 550},	// Soprano::Util::AsyncQuery::tr$
    {42, 846, 530},	// Soprano::Util::AsyncQuery::tr$$
    {42, 847, 532},	// Soprano::Util::AsyncQuery::tr$$$
    {42, 849, 551},	// Soprano::Util::AsyncQuery::trUtf8$
    {42, 850, 531},	// Soprano::Util::AsyncQuery::trUtf8$$
    {42, 851, 533},	// Soprano::Util::AsyncQuery::trUtf8$$$
    {42, 907, 554},	// Soprano::Util::AsyncQuery::~AsyncQuery
    {43, 358, 563},	// Soprano::Util::AsyncResult::createResult
    {43, 415, 565},	// Soprano::Util::AsyncResult::errorCode
    {43, 602, 555},	// Soprano::Util::AsyncResult::metaObject
    {43, 619, 569},	// Soprano::Util::AsyncResult::node
    {43, 620, 567},	// Soprano::Util::AsyncResult::nodeIterator
    {43, 687, 561},	// Soprano::Util::AsyncResult::qt_metacall$$?
    {43, 689, 556},	// Soprano::Util::AsyncResult::qt_metacast$
    {43, 690, 568},	// Soprano::Util::AsyncResult::queryResultIterator
    {43, 731, 562},	// Soprano::Util::AsyncResult::resultReady#
    {43, 779, 570},	// Soprano::Util::AsyncResult::setResult##
    {43, 803, 566},	// Soprano::Util::AsyncResult::statementIterator
    {43, 808, 573},	// Soprano::Util::AsyncResult::staticMetaObject
    {43, 845, 571},	// Soprano::Util::AsyncResult::tr$
    {43, 846, 557},	// Soprano::Util::AsyncResult::tr$$
    {43, 847, 559},	// Soprano::Util::AsyncResult::tr$$$
    {43, 849, 572},	// Soprano::Util::AsyncResult::trUtf8$
    {43, 850, 558},	// Soprano::Util::AsyncResult::trUtf8$$
    {43, 851, 560},	// Soprano::Util::AsyncResult::trUtf8$$$
    {43, 872, 564},	// Soprano::Util::AsyncResult::value
    {43, 908, 574},	// Soprano::Util::AsyncResult::~AsyncResult
    {44, 157, 605},	// Soprano::Util::ReadOnlyModel::ReadOnlyModel
    {44, 158, 582},	// Soprano::Util::ReadOnlyModel::ReadOnlyModel#
    {44, 227, 591},	// Soprano::Util::ReadOnlyModel::addStatement#
    {44, 228, 607},	// Soprano::Util::ReadOnlyModel::addStatement###
    {44, 229, 595},	// Soprano::Util::ReadOnlyModel::addStatement####
    {44, 321, 588},	// Soprano::Util::ReadOnlyModel::containsAnyStatement#
    {44, 322, 612},	// Soprano::Util::ReadOnlyModel::containsAnyStatement###
    {44, 323, 602},	// Soprano::Util::ReadOnlyModel::containsAnyStatement####
    {44, 331, 587},	// Soprano::Util::ReadOnlyModel::containsStatement#
    {44, 332, 611},	// Soprano::Util::ReadOnlyModel::containsStatement###
    {44, 333, 601},	// Soprano::Util::ReadOnlyModel::containsStatement####
    {44, 347, 594},	// Soprano::Util::ReadOnlyModel::createBlankNode
    {44, 421, 606},	// Soprano::Util::ReadOnlyModel::executeQuery$$
    {44, 422, 586},	// Soprano::Util::ReadOnlyModel::executeQuery$$$
    {44, 507, 589},	// Soprano::Util::ReadOnlyModel::isEmpty
    {44, 560, 585},	// Soprano::Util::ReadOnlyModel::listContexts
    {44, 562, 600},	// Soprano::Util::ReadOnlyModel::listStatements
    {44, 563, 584},	// Soprano::Util::ReadOnlyModel::listStatements#
    {44, 564, 610},	// Soprano::Util::ReadOnlyModel::listStatements###
    {44, 565, 599},	// Soprano::Util::ReadOnlyModel::listStatements####
    {44, 602, 575},	// Soprano::Util::ReadOnlyModel::metaObject
    {44, 687, 581},	// Soprano::Util::ReadOnlyModel::qt_metacall$$?
    {44, 689, 576},	// Soprano::Util::ReadOnlyModel::qt_metacast$
    {44, 704, 598},	// Soprano::Util::ReadOnlyModel::removeAllStatements
    {44, 705, 593},	// Soprano::Util::ReadOnlyModel::removeAllStatements#
    {44, 706, 609},	// Soprano::Util::ReadOnlyModel::removeAllStatements###
    {44, 707, 597},	// Soprano::Util::ReadOnlyModel::removeAllStatements####
    {44, 715, 592},	// Soprano::Util::ReadOnlyModel::removeStatement#
    {44, 716, 608},	// Soprano::Util::ReadOnlyModel::removeStatement###
    {44, 717, 596},	// Soprano::Util::ReadOnlyModel::removeStatement####
    {44, 771, 583},	// Soprano::Util::ReadOnlyModel::setParentModel#
    {44, 801, 590},	// Soprano::Util::ReadOnlyModel::statementCount
    {44, 808, 613},	// Soprano::Util::ReadOnlyModel::staticMetaObject
    {44, 845, 603},	// Soprano::Util::ReadOnlyModel::tr$
    {44, 846, 577},	// Soprano::Util::ReadOnlyModel::tr$$
    {44, 847, 579},	// Soprano::Util::ReadOnlyModel::tr$$$
    {44, 849, 604},	// Soprano::Util::ReadOnlyModel::trUtf8$
    {44, 850, 578},	// Soprano::Util::ReadOnlyModel::trUtf8$$
    {44, 851, 580},	// Soprano::Util::ReadOnlyModel::trUtf8$$$
    {44, 924, 614},	// Soprano::Util::ReadOnlyModel::~ReadOnlyModel
    {45, 183, 630},	// Soprano::Util::SignalCacheModel::SignalCacheModel
    {45, 184, 622},	// Soprano::Util::SignalCacheModel::SignalCacheModel#
    {45, 284, 623},	// Soprano::Util::SignalCacheModel::cacheTime
    {45, 602, 615},	// Soprano::Util::SignalCacheModel::metaObject
    {45, 654, 625},	// Soprano::Util::SignalCacheModel::parentStatementsAdded
    {45, 655, 626},	// Soprano::Util::SignalCacheModel::parentStatementsRemoved
    {45, 687, 621},	// Soprano::Util::SignalCacheModel::qt_metacall$$?
    {45, 689, 616},	// Soprano::Util::SignalCacheModel::qt_metacast$
    {45, 754, 624},	// Soprano::Util::SignalCacheModel::setCacheTime$
    {45, 808, 631},	// Soprano::Util::SignalCacheModel::staticMetaObject
    {45, 836, 627},	// Soprano::Util::SignalCacheModel::timerEvent#
    {45, 845, 628},	// Soprano::Util::SignalCacheModel::tr$
    {45, 846, 617},	// Soprano::Util::SignalCacheModel::tr$$
    {45, 847, 619},	// Soprano::Util::SignalCacheModel::tr$$$
    {45, 849, 629},	// Soprano::Util::SignalCacheModel::trUtf8$
    {45, 850, 618},	// Soprano::Util::SignalCacheModel::trUtf8$$
    {45, 851, 620},	// Soprano::Util::SignalCacheModel::trUtf8$$$
    {45, 926, 632},	// Soprano::Util::SignalCacheModel::~SignalCacheModel
    {46, 185, 633},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator
    {46, 186, 635},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator#
    {46, 187, 634},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator?
    {46, 634, 637},	// Soprano::Util::SimpleNodeIterator::operator=#
    {46, 637, 636},	// Soprano::Util::SimpleNodeIterator::operator=?
    {46, 927, 638},	// Soprano::Util::SimpleNodeIterator::~SimpleNodeIterator
    {47, 188, 639},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator
    {47, 189, 641},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator#
    {47, 190, 640},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator?
    {47, 634, 643},	// Soprano::Util::SimpleStatementIterator::operator=#
    {47, 637, 642},	// Soprano::Util::SimpleStatementIterator::operator=?
    {47, 928, 644},	// Soprano::Util::SimpleStatementIterator::~SimpleStatementIterator
    {48, 1, 679},	// Soprano::Vocabulary::NAO::Agent
    {48, 83, 660},	// Soprano::Vocabulary::NAO::FreeDesktopIcon
    {48, 136, 684},	// Soprano::Vocabulary::NAO::Party
    {48, 207, 682},	// Soprano::Vocabulary::NAO::Symbol
    {48, 210, 666},	// Soprano::Vocabulary::NAO::Tag
    {48, 250, 655},	// Soprano::Vocabulary::NAO::altLabel
    {48, 251, 661},	// Soprano::Vocabulary::NAO::altSymbol
    {48, 252, 669},	// Soprano::Vocabulary::NAO::annotation
    {48, 344, 656},	// Soprano::Vocabulary::NAO::contributor
    {48, 359, 675},	// Soprano::Vocabulary::NAO::created
    {48, 360, 647},	// Soprano::Vocabulary::NAO::creator
    {48, 375, 654},	// Soprano::Vocabulary::NAO::deprecated
    {48, 377, 648},	// Soprano::Vocabulary::NAO::description
    {48, 411, 673},	// Soprano::Vocabulary::NAO::engineeringTool
    {48, 459, 653},	// Soprano::Vocabulary::NAO::hasDefaultNamespace
    {48, 460, 681},	// Soprano::Vocabulary::NAO::hasDefaultNamespaceAbbreviation
    {48, 463, 680},	// Soprano::Vocabulary::NAO::hasSubResource
    {48, 464, 646},	// Soprano::Vocabulary::NAO::hasSuperResource
    {48, 465, 686},	// Soprano::Vocabulary::NAO::hasSymbol
    {48, 466, 687},	// Soprano::Vocabulary::NAO::hasTag
    {48, 467, 663},	// Soprano::Vocabulary::NAO::hasTopic
    {48, 477, 650},	// Soprano::Vocabulary::NAO::iconName
    {48, 479, 676},	// Soprano::Vocabulary::NAO::identifier
    {48, 499, 649},	// Soprano::Vocabulary::NAO::isDataGraphFor
    {48, 522, 685},	// Soprano::Vocabulary::NAO::isRelated
    {48, 529, 657},	// Soprano::Vocabulary::NAO::isTagFor
    {48, 530, 678},	// Soprano::Vocabulary::NAO::isTopicOf
    {48, 552, 645},	// Soprano::Vocabulary::NAO::lastModified
    {48, 588, 664},	// Soprano::Vocabulary::NAO::maintainedBy
    {48, 609, 658},	// Soprano::Vocabulary::NAO::modified
    {48, 612, 652},	// Soprano::Vocabulary::NAO::naoNamespace
    {48, 623, 683},	// Soprano::Vocabulary::NAO::numericRating
    {48, 669, 672},	// Soprano::Vocabulary::NAO::personalIdentifier
    {48, 674, 662},	// Soprano::Vocabulary::NAO::pluralPrefLabel
    {48, 677, 670},	// Soprano::Vocabulary::NAO::prefLabel
    {48, 678, 651},	// Soprano::Vocabulary::NAO::prefSymbol
    {48, 693, 674},	// Soprano::Vocabulary::NAO::rating
    {48, 740, 665},	// Soprano::Vocabulary::NAO::score
    {48, 741, 677},	// Soprano::Vocabulary::NAO::scoreParameter
    {48, 746, 668},	// Soprano::Vocabulary::NAO::serializationLanguage
    {48, 809, 659},	// Soprano::Vocabulary::NAO::status
    {48, 870, 667},	// Soprano::Vocabulary::NAO::userVisible
    {48, 879, 671},	// Soprano::Vocabulary::NAO::version
    {49, 8, 726},	// Soprano::Vocabulary::NRL::AsymmetricProperty
    {49, 46, 722},	// Soprano::Vocabulary::NRL::Configuration
    {49, 52, 691},	// Soprano::Vocabulary::NRL::Data
    {49, 57, 692},	// Soprano::Vocabulary::NRL::DefaultGraph
    {49, 58, 699},	// Soprano::Vocabulary::NRL::DefiningProperty
    {49, 62, 712},	// Soprano::Vocabulary::NRL::DiscardableInstanceBase
    {49, 64, 694},	// Soprano::Vocabulary::NRL::DocumentGraph
    {49, 76, 700},	// Soprano::Vocabulary::NRL::ExternalViewSpecification
    {49, 84, 709},	// Soprano::Vocabulary::NRL::FunctionalProperty
    {49, 85, 690},	// Soprano::Vocabulary::NRL::Graph
    {49, 86, 730},	// Soprano::Vocabulary::NRL::GraphMetadata
    {49, 87, 711},	// Soprano::Vocabulary::NRL::GraphView
    {49, 96, 703},	// Soprano::Vocabulary::NRL::InstanceBase
    {49, 97, 697},	// Soprano::Vocabulary::NRL::InverseFunctionalProperty
    {49, 98, 729},	// Soprano::Vocabulary::NRL::KnowledgeBase
    {49, 121, 719},	// Soprano::Vocabulary::NRL::NonDefiningProperty
    {49, 125, 705},	// Soprano::Vocabulary::NRL::Ontology
    {49, 159, 713},	// Soprano::Vocabulary::NRL::ReflexiveProperty
    {49, 168, 689},	// Soprano::Vocabulary::NRL::RuleViewSpecification
    {49, 169, 720},	// Soprano::Vocabulary::NRL::Schema
    {49, 170, 708},	// Soprano::Vocabulary::NRL::Semantics
    {49, 208, 716},	// Soprano::Vocabulary::NRL::SymmetricProperty
    {49, 214, 714},	// Soprano::Vocabulary::NRL::TransitiveProperty
    {49, 217, 688},	// Soprano::Vocabulary::NRL::ViewSpecification
    {49, 287, 710},	// Soprano::Vocabulary::NRL::cardinality
    {49, 346, 728},	// Soprano::Vocabulary::NRL::coreGraphMetadataFor
    {49, 413, 721},	// Soprano::Vocabulary::NRL::equivalentGraph
    {49, 429, 704},	// Soprano::Vocabulary::NRL::externalRealizer
    {49, 457, 723},	// Soprano::Vocabulary::NRL::graphMetadataFor
    {49, 461, 701},	// Soprano::Vocabulary::NRL::hasSemantics
    {49, 462, 698},	// Soprano::Vocabulary::NRL::hasSpecification
    {49, 481, 727},	// Soprano::Vocabulary::NRL::imports
    {49, 490, 696},	// Soprano::Vocabulary::NRL::inverseProperty
    {49, 593, 707},	// Soprano::Vocabulary::NRL::maxCardinality
    {49, 607, 693},	// Soprano::Vocabulary::NRL::minCardinality
    {49, 622, 724},	// Soprano::Vocabulary::NRL::nrlNamespace
    {49, 696, 717},	// Soprano::Vocabulary::NRL::realizes
    {49, 734, 718},	// Soprano::Vocabulary::NRL::rule
    {49, 735, 715},	// Soprano::Vocabulary::NRL::ruleLanguage
    {49, 745, 695},	// Soprano::Vocabulary::NRL::semanticsDefinedBy
    {49, 815, 706},	// Soprano::Vocabulary::NRL::subGraphOf
    {49, 821, 725},	// Soprano::Vocabulary::NRL::superGraphOf
    {49, 861, 731},	// Soprano::Vocabulary::NRL::updatable
    {49, 889, 702},	// Soprano::Vocabulary::NRL::viewOn
    {50, 2, 763},	// Soprano::Vocabulary::OWL::AllDifferent
    {50, 5, 757},	// Soprano::Vocabulary::OWL::AnnotationProperty
    {50, 44, 760},	// Soprano::Vocabulary::OWL::Class
    {50, 54, 756},	// Soprano::Vocabulary::OWL::DataRange
    {50, 56, 770},	// Soprano::Vocabulary::OWL::DatatypeProperty
    {50, 60, 736},	// Soprano::Vocabulary::OWL::DeprecatedClass
    {50, 61, 762},	// Soprano::Vocabulary::OWL::DeprecatedProperty
    {50, 84, 732},	// Soprano::Vocabulary::OWL::FunctionalProperty
    {50, 97, 753},	// Soprano::Vocabulary::OWL::InverseFunctionalProperty
    {50, 122, 734},	// Soprano::Vocabulary::OWL::Nothing
    {50, 123, 771},	// Soprano::Vocabulary::OWL::ObjectProperty
    {50, 125, 735},	// Soprano::Vocabulary::OWL::Ontology
    {50, 126, 744},	// Soprano::Vocabulary::OWL::OntologyProperty
    {50, 165, 751},	// Soprano::Vocabulary::OWL::Restriction
    {50, 208, 749},	// Soprano::Vocabulary::OWL::SymmetricProperty
    {50, 213, 752},	// Soprano::Vocabulary::OWL::Thing
    {50, 214, 739},	// Soprano::Vocabulary::OWL::TransitiveProperty
    {50, 249, 733},	// Soprano::Vocabulary::OWL::allValuesFrom
    {50, 270, 748},	// Soprano::Vocabulary::OWL::backwardCompatibleWith
    {50, 287, 772},	// Soprano::Vocabulary::OWL::cardinality
    {50, 310, 765},	// Soprano::Vocabulary::OWL::complementOf
    {50, 378, 742},	// Soprano::Vocabulary::OWL::differentFrom
    {50, 405, 750},	// Soprano::Vocabulary::OWL::disjointWith
    {50, 406, 743},	// Soprano::Vocabulary::OWL::distinctMembers
    {50, 412, 738},	// Soprano::Vocabulary::OWL::equivalentClass
    {50, 414, 745},	// Soprano::Vocabulary::OWL::equivalentProperty
    {50, 468, 754},	// Soprano::Vocabulary::OWL::hasValue
    {50, 481, 758},	// Soprano::Vocabulary::OWL::imports
    {50, 483, 755},	// Soprano::Vocabulary::OWL::incompatibleWith
    {50, 488, 768},	// Soprano::Vocabulary::OWL::intersectionOf
    {50, 489, 759},	// Soprano::Vocabulary::OWL::inverseOf
    {50, 593, 764},	// Soprano::Vocabulary::OWL::maxCardinality
    {50, 607, 766},	// Soprano::Vocabulary::OWL::minCardinality
    {50, 626, 761},	// Soprano::Vocabulary::OWL::onProperty
    {50, 627, 746},	// Soprano::Vocabulary::OWL::oneOf
    {50, 645, 767},	// Soprano::Vocabulary::OWL::owlNamespace
    {50, 681, 741},	// Soprano::Vocabulary::OWL::priorVersion
    {50, 736, 740},	// Soprano::Vocabulary::OWL::sameAs
    {50, 795, 747},	// Soprano::Vocabulary::OWL::someValuesFrom
    {50, 857, 769},	// Soprano::Vocabulary::OWL::unionOf
    {50, 880, 737},	// Soprano::Vocabulary::OWL::versionInfo
    {51, 3, 784},	// Soprano::Vocabulary::RDF::Alt
    {51, 40, 777},	// Soprano::Vocabulary::RDF::Bag
    {51, 99, 778},	// Soprano::Vocabulary::RDF::List
    {51, 145, 787},	// Soprano::Vocabulary::RDF::Property
    {51, 171, 788},	// Soprano::Vocabulary::RDF::Seq
    {51, 196, 781},	// Soprano::Vocabulary::RDF::Statement
    {51, 220, 775},	// Soprano::Vocabulary::RDF::XMLLiteral
    {51, 437, 773},	// Soprano::Vocabulary::RDF::first
    {51, 618, 785},	// Soprano::Vocabulary::RDF::nil
    {51, 624, 783},	// Soprano::Vocabulary::RDF::object
    {51, 676, 780},	// Soprano::Vocabulary::RDF::predicate
    {51, 694, 779},	// Soprano::Vocabulary::RDF::rdfNamespace
    {51, 729, 776},	// Soprano::Vocabulary::RDF::rest
    {51, 819, 782},	// Soprano::Vocabulary::RDF::subject
    {51, 855, 774},	// Soprano::Vocabulary::RDF::type
    {51, 872, 786},	// Soprano::Vocabulary::RDF::value
    {52, 44, 798},	// Soprano::Vocabulary::RDFS::Class
    {52, 49, 794},	// Soprano::Vocabulary::RDFS::Container
    {52, 50, 789},	// Soprano::Vocabulary::RDFS::ContainerMembershipProperty
    {52, 55, 801},	// Soprano::Vocabulary::RDFS::Datatype
    {52, 100, 795},	// Soprano::Vocabulary::RDFS::Literal
    {52, 163, 791},	// Soprano::Vocabulary::RDFS::Resource
    {52, 306, 792},	// Soprano::Vocabulary::RDFS::comment
    {52, 408, 793},	// Soprano::Vocabulary::RDFS::domain
    {52, 500, 799},	// Soprano::Vocabulary::RDFS::isDefinedBy
    {52, 549, 796},	// Soprano::Vocabulary::RDFS::label
    {52, 599, 797},	// Soprano::Vocabulary::RDFS::member
    {52, 691, 800},	// Soprano::Vocabulary::RDFS::range
    {52, 695, 802},	// Soprano::Vocabulary::RDFS::rdfsNamespace
    {52, 743, 804},	// Soprano::Vocabulary::RDFS::seeAlso
    {52, 812, 790},	// Soprano::Vocabulary::RDFS::subClassOf
    {52, 816, 803},	// Soprano::Vocabulary::RDFS::subPropertyOf
    {53, 92, 806},	// Soprano::Vocabulary::SIL::InferenceGraph
    {53, 93, 809},	// Soprano::Vocabulary::SIL::InferenceMetaData
    {53, 343, 807},	// Soprano::Vocabulary::SIL::context
    {53, 793, 805},	// Soprano::Vocabulary::SIL::silNamespace
    {53, 798, 808},	// Soprano::Vocabulary::SIL::sourceStatement
    {54, 271, 815},	// Soprano::Vocabulary::XMLSchema::base64Binary
    {54, 283, 825},	// Soprano::Vocabulary::XMLSchema::boolean
    {54, 365, 826},	// Soprano::Vocabulary::XMLSchema::date
    {54, 366, 824},	// Soprano::Vocabulary::XMLSchema::dateTime
    {54, 367, 814},	// Soprano::Vocabulary::XMLSchema::decimal
    {54, 485, 812},	// Soprano::Vocabulary::XMLSchema::integer
    {54, 613, 823},	// Soprano::Vocabulary::XMLSchema::negativeInteger
    {54, 621, 816},	// Soprano::Vocabulary::XMLSchema::nonNegativeInteger
    {54, 811, 817},	// Soprano::Vocabulary::XMLSchema::string
    {54, 834, 827},	// Soprano::Vocabulary::XMLSchema::time
    {54, 858, 813},	// Soprano::Vocabulary::XMLSchema::unsignedInt
    {54, 859, 819},	// Soprano::Vocabulary::XMLSchema::unsignedLong
    {54, 860, 828},	// Soprano::Vocabulary::XMLSchema::unsignedShort
    {54, 900, 811},	// Soprano::Vocabulary::XMLSchema::xsdDouble
    {54, 901, 820},	// Soprano::Vocabulary::XMLSchema::xsdFloat
    {54, 902, 818},	// Soprano::Vocabulary::XMLSchema::xsdInt
    {54, 903, 810},	// Soprano::Vocabulary::XMLSchema::xsdLong
    {54, 904, 822},	// Soprano::Vocabulary::XMLSchema::xsdNamespace
    {54, 905, 821},	// Soprano::Vocabulary::XMLSchema::xsdShort
    {55, 4, 997},	// Soprano::Vocabulary::Xesam::Annotation
    {55, 6, 1074},	// Soprano::Vocabulary::Xesam::Archive
    {55, 7, 975},	// Soprano::Vocabulary::Xesam::ArchivedFile
    {55, 11, 907},	// Soprano::Vocabulary::Xesam::Audio
    {55, 12, 1018},	// Soprano::Vocabulary::Xesam::AudioList
    {55, 42, 919},	// Soprano::Vocabulary::Xesam::BlockDevice
    {55, 43, 893},	// Soprano::Vocabulary::Xesam::Bookmark
    {55, 45, 866},	// Soprano::Vocabulary::Xesam::CommunicationChannel
    {55, 47, 1066},	// Soprano::Vocabulary::Xesam::Contact
    {55, 48, 873},	// Soprano::Vocabulary::Xesam::ContactGroup
    {55, 51, 973},	// Soprano::Vocabulary::Xesam::Content
    {55, 53, 1077},	// Soprano::Vocabulary::Xesam::DataObject
    {55, 59, 876},	// Soprano::Vocabulary::Xesam::DeletedFile
    {55, 63, 834},	// Soprano::Vocabulary::Xesam::Document
    {55, 65, 883},	// Soprano::Vocabulary::Xesam::Documentation
    {55, 66, 950},	// Soprano::Vocabulary::Xesam::Email
    {55, 67, 953},	// Soprano::Vocabulary::Xesam::EmailAttachment
    {55, 68, 831},	// Soprano::Vocabulary::Xesam::EmbeddedObject
    {55, 77, 1044},	// Soprano::Vocabulary::Xesam::File
    {55, 78, 1043},	// Soprano::Vocabulary::Xesam::FileSystem
    {55, 79, 1054},	// Soprano::Vocabulary::Xesam::Filelike
    {55, 82, 1092},	// Soprano::Vocabulary::Xesam::Folder
    {55, 88, 991},	// Soprano::Vocabulary::Xesam::IMAP4Message
    {55, 89, 982},	// Soprano::Vocabulary::Xesam::IMMessage
    {55, 91, 969},	// Soprano::Vocabulary::Xesam::Image
    {55, 102, 963},	// Soprano::Vocabulary::Xesam::MailingList
    {55, 103, 938},	// Soprano::Vocabulary::Xesam::MailingListEmail
    {55, 104, 999},	// Soprano::Vocabulary::Xesam::Media
    {55, 105, 958},	// Soprano::Vocabulary::Xesam::MediaList
    {55, 106, 1023},	// Soprano::Vocabulary::Xesam::Message
    {55, 107, 987},	// Soprano::Vocabulary::Xesam::MessageboxMessage
    {55, 110, 1026},	// Soprano::Vocabulary::Xesam::Music
    {55, 111, 1056},	// Soprano::Vocabulary::Xesam::NewsGroup
    {55, 112, 960},	// Soprano::Vocabulary::Xesam::NewsGroupEmail
    {55, 124, 1047},	// Soprano::Vocabulary::Xesam::OfflineMedia
    {55, 127, 875},	// Soprano::Vocabulary::Xesam::Organization
    {55, 128, 1028},	// Soprano::Vocabulary::Xesam::POP3Message
    {55, 137, 976},	// Soprano::Vocabulary::Xesam::Person
    {55, 138, 928},	// Soprano::Vocabulary::Xesam::PersonalEmail
    {55, 139, 1012},	// Soprano::Vocabulary::Xesam::Photo
    {55, 143, 882},	// Soprano::Vocabulary::Xesam::Presentation
    {55, 144, 860},	// Soprano::Vocabulary::Xesam::Project
    {55, 153, 871},	// Soprano::Vocabulary::Xesam::RSSFeed
    {55, 154, 978},	// Soprano::Vocabulary::Xesam::RSSMessage
    {55, 160, 1042},	// Soprano::Vocabulary::Xesam::RemoteFile
    {55, 161, 1057},	// Soprano::Vocabulary::Xesam::RemoteMessageboxMessage
    {55, 162, 891},	// Soprano::Vocabulary::Xesam::RemoteResource
    {55, 166, 889},	// Soprano::Vocabulary::Xesam::RevisionControlledFile
    {55, 167, 930},	// Soprano::Vocabulary::Xesam::RevisionControlledRepository
    {55, 192, 1014},	// Soprano::Vocabulary::Xesam::SoftwarePackage
    {55, 193, 970},	// Soprano::Vocabulary::Xesam::Source
    {55, 194, 1097},	// Soprano::Vocabulary::Xesam::SourceCode
    {55, 195, 1034},	// Soprano::Vocabulary::Xesam::Spreadsheet
    {55, 209, 1090},	// Soprano::Vocabulary::Xesam::SystemResource
    {55, 210, 916},	// Soprano::Vocabulary::Xesam::Tag
    {55, 211, 952},	// Soprano::Vocabulary::Xesam::Text
    {55, 212, 965},	// Soprano::Vocabulary::Xesam::TextDocument
    {55, 215, 901},	// Soprano::Vocabulary::Xesam::UncategorizedText
    {55, 216, 954},	// Soprano::Vocabulary::Xesam::Video
    {55, 218, 1085},	// Soprano::Vocabulary::Xesam::Visual
    {55, 219, 1025},	// Soprano::Vocabulary::Xesam::XML
    {55, 221, 872},	// Soprano::Vocabulary::Xesam::acl
    {55, 238, 906},	// Soprano::Vocabulary::Xesam::album
    {55, 239, 1088},	// Soprano::Vocabulary::Xesam::albumArtist
    {55, 240, 902},	// Soprano::Vocabulary::Xesam::albumGain
    {55, 241, 886},	// Soprano::Vocabulary::Xesam::albumPeakGain
    {55, 242, 940},	// Soprano::Vocabulary::Xesam::albumTrackCount
    {55, 253, 850},	// Soprano::Vocabulary::Xesam::aperture
    {55, 254, 1083},	// Soprano::Vocabulary::Xesam::artist
    {55, 255, 1082},	// Soprano::Vocabulary::Xesam::asText
    {55, 256, 857},	// Soprano::Vocabulary::Xesam::aspectRatio
    {55, 257, 979},	// Soprano::Vocabulary::Xesam::attachmentEncoding
    {55, 258, 1045},	// Soprano::Vocabulary::Xesam::audioBPM
    {55, 259, 896},	// Soprano::Vocabulary::Xesam::audioBitrate
    {55, 260, 1058},	// Soprano::Vocabulary::Xesam::audioChannels
    {55, 261, 867},	// Soprano::Vocabulary::Xesam::audioCodec
    {55, 262, 1005},	// Soprano::Vocabulary::Xesam::audioCodecType
    {55, 263, 864},	// Soprano::Vocabulary::Xesam::audioSampleBitDepth
    {55, 264, 1098},	// Soprano::Vocabulary::Xesam::audioSampleCount
    {55, 265, 911},	// Soprano::Vocabulary::Xesam::audioSampleDataType
    {55, 266, 913},	// Soprano::Vocabulary::Xesam::audioSampleRate
    {55, 267, 837},	// Soprano::Vocabulary::Xesam::author
    {55, 268, 900},	// Soprano::Vocabulary::Xesam::autoRating
    {55, 272, 1062},	// Soprano::Vocabulary::Xesam::baseRevisionID
    {55, 273, 884},	// Soprano::Vocabulary::Xesam::bcc
    {55, 278, 1037},	// Soprano::Vocabulary::Xesam::birthDate
    {55, 281, 885},	// Soprano::Vocabulary::Xesam::blogContactURL
    {55, 285, 1075},	// Soprano::Vocabulary::Xesam::cameraManufacturer
    {55, 286, 865},	// Soprano::Vocabulary::Xesam::cameraModel
    {55, 288, 1003},	// Soprano::Vocabulary::Xesam::cc
    {55, 289, 905},	// Soprano::Vocabulary::Xesam::ccdWidth
    {55, 290, 995},	// Soprano::Vocabulary::Xesam::cellPhoneNumber
    {55, 291, 841},	// Soprano::Vocabulary::Xesam::changeCommitTime
    {55, 292, 1059},	// Soprano::Vocabulary::Xesam::changeCommitter
    {55, 293, 948},	// Soprano::Vocabulary::Xesam::characterCount
    {55, 294, 1033},	// Soprano::Vocabulary::Xesam::charset
    {55, 295, 1099},	// Soprano::Vocabulary::Xesam::chatRoom
    {55, 303, 1061},	// Soprano::Vocabulary::Xesam::colorCount
    {55, 304, 1021},	// Soprano::Vocabulary::Xesam::colorSpace
    {55, 305, 1011},	// Soprano::Vocabulary::Xesam::columnCount
    {55, 306, 925},	// Soprano::Vocabulary::Xesam::comment
    {55, 307, 964},	// Soprano::Vocabulary::Xesam::commentCharacterCount
    {55, 308, 845},	// Soprano::Vocabulary::Xesam::commitDiff
    {55, 309, 1001},	// Soprano::Vocabulary::Xesam::communicationChannel
    {55, 311, 868},	// Soprano::Vocabulary::Xesam::composer
    {55, 312, 955},	// Soprano::Vocabulary::Xesam::compressionAlgorithm
    {55, 313, 897},	// Soprano::Vocabulary::Xesam::compressionLevel
    {55, 314, 1076},	// Soprano::Vocabulary::Xesam::conflicts
    {55, 316, 1086},	// Soprano::Vocabulary::Xesam::contactMedium
    {55, 317, 904},	// Soprano::Vocabulary::Xesam::contactNick
    {55, 318, 858},	// Soprano::Vocabulary::Xesam::contactURL
    {55, 319, 853},	// Soprano::Vocabulary::Xesam::contains
    {55, 338, 1091},	// Soprano::Vocabulary::Xesam::contentComment
    {55, 339, 942},	// Soprano::Vocabulary::Xesam::contentCreated
    {55, 340, 1016},	// Soprano::Vocabulary::Xesam::contentKeyword
    {55, 341, 1078},	// Soprano::Vocabulary::Xesam::contentModified
    {55, 342, 971},	// Soprano::Vocabulary::Xesam::contentType
    {55, 344, 1063},	// Soprano::Vocabulary::Xesam::contributor
    {55, 345, 838},	// Soprano::Vocabulary::Xesam::copyright
    {55, 360, 944},	// Soprano::Vocabulary::Xesam::creator
    {55, 368, 1024},	// Soprano::Vocabulary::Xesam::definesClass
    {55, 369, 932},	// Soprano::Vocabulary::Xesam::definesFunction
    {55, 370, 967},	// Soprano::Vocabulary::Xesam::definesGlobalVariable
    {55, 373, 1010},	// Soprano::Vocabulary::Xesam::deletionTime
    {55, 374, 939},	// Soprano::Vocabulary::Xesam::depends
    {55, 376, 949},	// Soprano::Vocabulary::Xesam::derivedFrom
    {55, 377, 1067},	// Soprano::Vocabulary::Xesam::description
    {55, 387, 894},	// Soprano::Vocabulary::Xesam::discNumber
    {55, 388, 1030},	// Soprano::Vocabulary::Xesam::disclaimer
    {55, 407, 874},	// Soprano::Vocabulary::Xesam::documentCategory
    {55, 410, 1064},	// Soprano::Vocabulary::Xesam::emailAddress
    {55, 426, 861},	// Soprano::Vocabulary::Xesam::exposureBias
    {55, 427, 980},	// Soprano::Vocabulary::Xesam::exposureProgram
    {55, 428, 1070},	// Soprano::Vocabulary::Xesam::exposureTime
    {55, 430, 833},	// Soprano::Vocabulary::Xesam::familyName
    {55, 431, 934},	// Soprano::Vocabulary::Xesam::faxPhoneNumber
    {55, 432, 856},	// Soprano::Vocabulary::Xesam::fileExtension
    {55, 433, 895},	// Soprano::Vocabulary::Xesam::fileSystemType
    {55, 434, 986},	// Soprano::Vocabulary::Xesam::fingerprint
    {55, 438, 879},	// Soprano::Vocabulary::Xesam::firstUsed
    {55, 439, 890},	// Soprano::Vocabulary::Xesam::flashUsed
    {55, 440, 1052},	// Soprano::Vocabulary::Xesam::focalLength
    {55, 441, 877},	// Soprano::Vocabulary::Xesam::focusDistance
    {55, 442, 1019},	// Soprano::Vocabulary::Xesam::formatSubtype
    {55, 443, 988},	// Soprano::Vocabulary::Xesam::frameCount
    {55, 444, 947},	// Soprano::Vocabulary::Xesam::frameRate
    {55, 445, 923},	// Soprano::Vocabulary::Xesam::freeSpace
    {55, 452, 1081},	// Soprano::Vocabulary::Xesam::gender
    {55, 453, 1072},	// Soprano::Vocabulary::Xesam::generator
    {55, 454, 1087},	// Soprano::Vocabulary::Xesam::generatorOptions
    {55, 455, 1022},	// Soprano::Vocabulary::Xesam::genre
    {55, 456, 846},	// Soprano::Vocabulary::Xesam::givenName
    {55, 458, 909},	// Soprano::Vocabulary::Xesam::group
    {55, 469, 1000},	// Soprano::Vocabulary::Xesam::height
    {55, 470, 935},	// Soprano::Vocabulary::Xesam::homeEmailAddress
    {55, 471, 1073},	// Soprano::Vocabulary::Xesam::homePhoneNumber
    {55, 472, 943},	// Soprano::Vocabulary::Xesam::homePostalAddress
    {55, 473, 957},	// Soprano::Vocabulary::Xesam::homepageContactURL
    {55, 474, 1089},	// Soprano::Vocabulary::Xesam::honorificPrefix
    {55, 475, 1093},	// Soprano::Vocabulary::Xesam::honorificSuffix
    {55, 476, 918},	// Soprano::Vocabulary::Xesam::horizontalResolution
    {55, 478, 1094},	// Soprano::Vocabulary::Xesam::id
    {55, 480, 998},	// Soprano::Vocabulary::Xesam::imContactMedium
    {55, 482, 966},	// Soprano::Vocabulary::Xesam::inReplyTo
    {55, 486, 852},	// Soprano::Vocabulary::Xesam::interest
    {55, 487, 887},	// Soprano::Vocabulary::Xesam::interlaceMode
    {55, 491, 917},	// Soprano::Vocabulary::Xesam::ircContactMedium
    {55, 498, 1096},	// Soprano::Vocabulary::Xesam::isContentEncrypted
    {55, 509, 862},	// Soprano::Vocabulary::Xesam::isEncrypted
    {55, 511, 1041},	// Soprano::Vocabulary::Xesam::isImportant
    {55, 512, 961},	// Soprano::Vocabulary::Xesam::isInProgress
    {55, 520, 1029},	// Soprano::Vocabulary::Xesam::isPublicChannel
    {55, 521, 972},	// Soprano::Vocabulary::Xesam::isRead
    {55, 524, 915},	// Soprano::Vocabulary::Xesam::isSourceEncrypted
    {55, 534, 878},	// Soprano::Vocabulary::Xesam::isoEquivalent
    {55, 546, 832},	// Soprano::Vocabulary::Xesam::jabberContactMedium
    {55, 547, 959},	// Soprano::Vocabulary::Xesam::keyword
    {55, 548, 1069},	// Soprano::Vocabulary::Xesam::knows
    {55, 550, 1027},	// Soprano::Vocabulary::Xesam::language
    {55, 553, 984},	// Soprano::Vocabulary::Xesam::lastRefreshed
    {55, 554, 990},	// Soprano::Vocabulary::Xesam::lastUsed
    {55, 555, 903},	// Soprano::Vocabulary::Xesam::legal
    {55, 556, 936},	// Soprano::Vocabulary::Xesam::license
    {55, 557, 1009},	// Soprano::Vocabulary::Xesam::licenseType
    {55, 558, 851},	// Soprano::Vocabulary::Xesam::lineCount
    {55, 559, 1036},	// Soprano::Vocabulary::Xesam::links
    {55, 583, 981},	// Soprano::Vocabulary::Xesam::localRevision
    {55, 585, 929},	// Soprano::Vocabulary::Xesam::lyricist
    {55, 586, 847},	// Soprano::Vocabulary::Xesam::mailingList
    {55, 587, 836},	// Soprano::Vocabulary::Xesam::mailingPostalAddress
    {55, 589, 855},	// Soprano::Vocabulary::Xesam::maintainer
    {55, 590, 977},	// Soprano::Vocabulary::Xesam::markupCharacterCount
    {55, 594, 968},	// Soprano::Vocabulary::Xesam::md5Hash
    {55, 595, 859},	// Soprano::Vocabulary::Xesam::mediaBitrate
    {55, 596, 921},	// Soprano::Vocabulary::Xesam::mediaCodec
    {55, 597, 1039},	// Soprano::Vocabulary::Xesam::mediaCodecType
    {55, 598, 996},	// Soprano::Vocabulary::Xesam::mediaDuration
    {55, 600, 927},	// Soprano::Vocabulary::Xesam::mergeConflict
    {55, 603, 1079},	// Soprano::Vocabulary::Xesam::meteringMode
    {55, 604, 840},	// Soprano::Vocabulary::Xesam::mimeType
    {55, 610, 881},	// Soprano::Vocabulary::Xesam::mountPoint
    {55, 611, 1031},	// Soprano::Vocabulary::Xesam::name
    {55, 614, 1017},	// Soprano::Vocabulary::Xesam::newsGroup
    {55, 625, 920},	// Soprano::Vocabulary::Xesam::occupiedSpace
    {55, 641, 1049},	// Soprano::Vocabulary::Xesam::orientation
    {55, 642, 910},	// Soprano::Vocabulary::Xesam::originURL
    {55, 643, 1065},	// Soprano::Vocabulary::Xesam::originalLocation
    {55, 644, 992},	// Soprano::Vocabulary::Xesam::otherName
    {55, 646, 924},	// Soprano::Vocabulary::Xesam::owner
    {55, 647, 994},	// Soprano::Vocabulary::Xesam::pageCount
    {55, 648, 1038},	// Soprano::Vocabulary::Xesam::paragraphCount
    {55, 666, 848},	// Soprano::Vocabulary::Xesam::performer
    {55, 667, 839},	// Soprano::Vocabulary::Xesam::permissions
    {55, 668, 888},	// Soprano::Vocabulary::Xesam::personPhoto
    {55, 670, 829},	// Soprano::Vocabulary::Xesam::phoneNumber
    {55, 671, 1084},	// Soprano::Vocabulary::Xesam::pixelDataBitDepth
    {55, 672, 1013},	// Soprano::Vocabulary::Xesam::pixelDataType
    {55, 675, 946},	// Soprano::Vocabulary::Xesam::postalAddress
    {55, 680, 1035},	// Soprano::Vocabulary::Xesam::primaryRecipient
    {55, 682, 922},	// Soprano::Vocabulary::Xesam::programmingLanguage
    {55, 697, 937},	// Soprano::Vocabulary::Xesam::receptionTime
    {55, 698, 835},	// Soprano::Vocabulary::Xesam::recipient
    {55, 699, 899},	// Soprano::Vocabulary::Xesam::related
    {55, 700, 985},	// Soprano::Vocabulary::Xesam::remotePassword
    {55, 701, 1060},	// Soprano::Vocabulary::Xesam::remotePort
    {55, 702, 945},	// Soprano::Vocabulary::Xesam::remoteServer
    {55, 703, 962},	// Soprano::Vocabulary::Xesam::remoteUser
    {55, 726, 870},	// Soprano::Vocabulary::Xesam::replyTo
    {55, 732, 1040},	// Soprano::Vocabulary::Xesam::rowCount
    {55, 733, 863},	// Soprano::Vocabulary::Xesam::rssFeed
    {55, 737, 1020},	// Soprano::Vocabulary::Xesam::sampleConfiguration
    {55, 738, 956},	// Soprano::Vocabulary::Xesam::sampleDataBitDepth
    {55, 739, 1068},	// Soprano::Vocabulary::Xesam::sampleDataType
    {55, 742, 842},	// Soprano::Vocabulary::Xesam::secondaryRecipient
    {55, 744, 1007},	// Soprano::Vocabulary::Xesam::seenAttachedAs
    {55, 759, 844},	// Soprano::Vocabulary::Xesam::setCount
    {55, 777, 1100},	// Soprano::Vocabulary::Xesam::setRate
    {55, 792, 1015},	// Soprano::Vocabulary::Xesam::sha1Hash
    {55, 794, 908},	// Soprano::Vocabulary::Xesam::size
    {55, 796, 1050},	// Soprano::Vocabulary::Xesam::sourceCreated
    {55, 797, 1051},	// Soprano::Vocabulary::Xesam::sourceModified
    {55, 810, 1002},	// Soprano::Vocabulary::Xesam::storageSize
    {55, 819, 993},	// Soprano::Vocabulary::Xesam::subject
    {55, 820, 869},	// Soprano::Vocabulary::Xesam::summary
    {55, 822, 926},	// Soprano::Vocabulary::Xesam::supercedes
    {55, 833, 1080},	// Soprano::Vocabulary::Xesam::targetQuality
    {55, 837, 1048},	// Soprano::Vocabulary::Xesam::title
    {55, 838, 880},	// Soprano::Vocabulary::Xesam::to
    {55, 842, 1006},	// Soprano::Vocabulary::Xesam::totalSpace
    {55, 843, 983},	// Soprano::Vocabulary::Xesam::totalUncompressedSize
    {55, 852, 1053},	// Soprano::Vocabulary::Xesam::trackGain
    {55, 853, 849},	// Soprano::Vocabulary::Xesam::trackNumber
    {55, 854, 912},	// Soprano::Vocabulary::Xesam::trackPeakGain
    {55, 863, 898},	// Soprano::Vocabulary::Xesam::url
    {55, 864, 914},	// Soprano::Vocabulary::Xesam::useCount
    {55, 866, 892},	// Soprano::Vocabulary::Xesam::userComment
    {55, 867, 843},	// Soprano::Vocabulary::Xesam::userKeyword
    {55, 869, 933},	// Soprano::Vocabulary::Xesam::userRating
    {55, 871, 1004},	// Soprano::Vocabulary::Xesam::usesNamespace
    {55, 879, 931},	// Soprano::Vocabulary::Xesam::version
    {55, 885, 989},	// Soprano::Vocabulary::Xesam::verticalResolution
    {55, 886, 1008},	// Soprano::Vocabulary::Xesam::videoBitrate
    {55, 887, 941},	// Soprano::Vocabulary::Xesam::videoCodec
    {55, 888, 951},	// Soprano::Vocabulary::Xesam::videoCodecType
    {55, 890, 1095},	// Soprano::Vocabulary::Xesam::whiteBalance
    {55, 891, 830},	// Soprano::Vocabulary::Xesam::width
    {55, 892, 854},	// Soprano::Vocabulary::Xesam::wordCount
    {55, 893, 1032},	// Soprano::Vocabulary::Xesam::workEmailAddress
    {55, 894, 1046},	// Soprano::Vocabulary::Xesam::workPhoneNumber
    {55, 895, 1071},	// Soprano::Vocabulary::Xesam::workPostalAddress
    {55, 898, 974},	// Soprano::Vocabulary::Xesam::xesam35mmEquivalent
    {55, 899, 1055},	// Soprano::Vocabulary::Xesam::xesamNamespace
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *soprano_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_soprano_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    soprano_Smoke = new Smoke(
        "soprano",
        __smokesoprano::classes, 55,
        __smokesoprano::methods, 1101,
        __smokesoprano::methodMaps, 1071,
        __smokesoprano::methodNames, 931,
        __smokesoprano::types, 201,
        __smokesoprano::inheritanceList,
        __smokesoprano::argumentList,
        __smokesoprano::ambiguousMethodList,
        __smokesoprano::cast );
    initialized = true;
}

void delete_soprano_Smoke() { delete soprano_Smoke; }

}
